git-buildpackage (0.9.11) unstable; urgency=medium

  [ Guido Günther ]
  * [7ce98d6] import-ref: New experimental command to merge in changes from a
    upstream using git.
  * [2320ac3] Add test case for conversion of extra DEP-3 headers to
    pseudo-headers.  Currently the extra DEP-3 headers may end up as trailers
    instead of should be pseudo-headers.
  * [1e31e67] pq: Fix testcase.  Pseudo headers are now moved to the top of
    the patch.
  * [2f6a432] travisci: Test Python 3.7 as well.
    Use the workaround from
        https://github.com/travis-ci/travis-ci/issues/9815
    since Python 3.7 is not yet supported by the default image.
  * [497addc] Ignore flake8's 'W504 line break after binary operator'
    With flake8's other warnings this doesn't make much sense since
    indentation according to https://hg.python.org/peps/rev/3857909d7956
    does not work. It triggers
    - 'W503 line break before binary operator'
    - 'E129 visually indented line with same indent as next logical line'
    If one want to align the operators one hits
    - 'E127 continuation line over-indented for visual indent'
    So let's leave things as is for the moment.
  * [6b13422] Fix flake8's W605 (invalid escape sequence)
    See also
        https://docs.python.org/3/whatsnew/3.6.html#deprecated-python-behavior
  * [caa586a] builpackage-rpm: Use GBP_TMP_DIR instead of GBP_BUILD_DIR.
    This is consistent with --git-post-export and unbreaks
        tests/component/rpm/test_buildpackage_rpm.py:TestGbpRpm.test_hook_options
  * [1994bb2] PatchSeries: Only pass patch description and header to
    git-mailinfo. There are patches around that use
      Content-Transfer-Encoding: base64
    but the actual patch after '---' is unencoded ascii resulting in garbage
    after the patch description when imported into a patch queue.
    Since we're discarding the patch part of git-mailinfo anyway don't pass
    this on in the first place. (Closes: #912426)
  * [a55d19f] PristineTar: detect signature verification support
  * [dacca59] PristineTar: support checking in/out upstream signatures
  * [ad904b8] PristienTar: Properly detect signature feature
  * [0277c54] PristineTar: Don't fail if pristine-tar doesn't support
    signatures
  * [4a8908c] Make it simple to print exception details
  * [f932338] import-orig: rename sourcepackage to name
    since it's the source package's name

  [ Mathieu Parent ]
  * [03accd2] import-orig: Allow one to import the requested version with
    --uscan (Closes: #741148)

  [ Ben Hutchings ]
  * [771114b] Add test case for bug #905934
  * [0304fd3] pq import: Look for DEP-3 header fields even if git mailimport
    succeeds (Closes: #905934)
  * [47cf4c6] pq import: Always put DEP-3 headers as pseudo-headers.  If there
    are any non-git DEP-3 header fields, put them at the top of the body text,
    regardless of whether Description or Subject is used.  Also put a blank
    line between them and the rest of the message body.
  
  [ Markus Lehtonen ]
  * [8428343] gbp.git: fix doctest with recent python-dateutil.
    Traceback format has changed in recent python-dateutil.
  * [a656995] tests: small fix for import-orig-rpm component test.
    Merge behaviour in newer git versions (> v2.16) is slightly different.

  [ Andreas Beckmann ]
  * [12574cc] debian.source: Enumerate components only once
  * [a596206] PkgPolicy.symlink_orig: also remove dangling symlinks

  [ Luca Boccassi ]
  * [ce6b1e7] buildpackage{,-rpm}: add preexport hook.
    Sometimes it is necessary to perform operations before preparing the
    tarballs and exporting to the build directory.
    One such case is when having to handle extremely large binary assets in
    the orig tarball and at the same time complex packaging code, which makes
    it desirable to separate the two into different repositories for easier
    handling.
    A pre-export hook allows one to ensure that the tarball repository is
    present and checked out at the correct branch. (Closes: #909266)
  * [44acc6d] Refresh tests data submodule
  * [e5aedb1] buildpackage, export-orig: support version substitution for
    --git-tarball-dir.
    Add support for passing %(version), %(hversion) and %(version%A%B) in
    buildpackage --git-tarball-dir and export-orig --tarball-dir.
    (Closes: #909266)

  [ Kiss György ]
  * [7bba657] setup.py: Fix version parsing when installing from pip.

  [ Arnaud Rebillout ]
  * [f0cb11d] docs: update references from <http://dep.debian.net> to
    <https://dep-team.pages.debian.net>.

  [ Chris Lamb ]
  * [9dc9f5e] Fix "was build" typos (Closes: #916044)

  [ Ken Dreyer ]
  * [f6096ed] gbp.deb: Correct "otherwise" spelling in comment

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Dec 2018 10:39:43 +0100

git-buildpackage (0.9.10) unstable; urgency=medium

  [ Ken Dreyer ]
  * [f0b1bbe] deb.git: fix duplicate "tarball" in docstring.
    Fix the docstring for create_pristine_tar_commits()
  * [29b9f2c] deb.git: fix spelling of "described" in docstring.
    Fix the docstring for _sanitize_version() and _unsanitize_version()

  [ Guido Günther ]
  * [62e0102] push: Allow to skip upstream and debian branch and tag push.
    Push of tag and or branch can be skipped by setting
    --{upstream,debian}-{branch,tag}='' . (Closes: #899234)
  * [28a950a] tests: Check help output of tag and push too
  * [a287bf6] config: allow to override default values via
    add_config_file_option
  * [b8221b8] pull: Check that repo is clean before fetching anything
  * [6dda2da] pull: allow to set up branch tracking for missing branches.
    If the remote branch does not exist at all that's currently not fatal.
    (Closes: #882187)
  * [d69006d] Depend on sensible-utils. gbp-dch uses sensible-editor.

  [ Chris Lamb ]
  * [6c30ac9] import-{dsc,orig}: Make --download deprecation text more useful.
    Point to the manpages for usage examples. (Closes: #900606)

  [ Guus Sliepen ]
  * [48ef0ec] changelog: try iso8859-1 when utf-8 fails.
    Fall back to iso8859-1 when opening the changelog. Helps when importing
    old versions. (Closes: #900841)

  [ Carsten Schoenert ]
  * [50b9223] create_remote_repo: import urllib.parse
    urllib.parse did not get imported in packaegs without changelog.

  [ Iain Lane ]
  * [5fedb2b] Ignore merge commits when looking at the pristine-tar branch.
    (Closes: #906331)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Aug 2018 08:29:47 +0200

git-buildpackage (0.9.9) unstable; urgency=medium

  [ Guido Günther ]
  * [0a6e73f] Fix typos spotted by lintian
  * [e730865] docs: options in [DEFAULT] apply to all gbp commands
  * [3da92ba] import-orig: Better error message when vcs-tag is not found
    (Closes: #896654)
  * [a6ceb00] config: when printing a single value only print the value.  This
    is more in line with what `git config` does and eases usage in scripts.
  * [a1f4af5] docs: document how to use GBP_CONF_FILES to override
    debian/gbp.conf
    (Closes: #898613)

  [ Ken Dreyer ]
  * [ba32efc] bin: drop umlaut again for setuptools.
    Setuptools cannot handle non-ascii characters in files declared in
    "scripts". See https://github.com/pypa/setuptools/issues/761

 -- Guido Günther <agx@sigxcpu.org>  Mon, 21 May 2018 13:27:17 +0200

git-buildpackage (0.9.8) unstable; urgency=medium

  [ Guido Günther ]
  * [c5b5d4f] Bump standards version
  * [5f2120b] gbplogtaster: capture INFO and DEBUG log levels too.
    This allows one to test for certain features more easily and to use it not
    only in the error case.
  * [e9942bd] docs: add export-orig to list of available commands
  * [23874c2] 8bit Guido
  * [5301692] Move rollback code out of import_orig so it can be reused in
    'gbp import-ref'
  * [99b3811] RollbackDebianGitRepository: quote refs for readability
  * [29eafbc] Makefile: Run tests verbosely by default so we see which test
    fails / is skipped right away

  [ Markus Lehtonen ]
  * [f1b878c,042f422] tests: enable unittests without devscripts.
    Add some additional skipIf statements, checking for the existence of the
    debchange tool. Makes it possible to run unit tests in an environment that
    doesn't have devscripts installed.

  [ Simon McVittie ]
  * [c159d0b] pq export: Write out patches as UTF-8 if necessary.
    Due to behaviour changes in Python, 'gbp pq export' would previously
    write the commit message in the base64 Content-Transfer-Encoding, which
    is not very readable. Now it uses 8bit.
    Based on a patch from Carlos Maddela. (Closes: #883541)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Apr 2018 13:06:47 +0200

git-buildpackage (0.9.7) unstable; urgency=medium

  [ Guido Günther ]
  * [d686024] deb.source: Fix class names in doc string.
    Thanks to Nish Aravamudan
  * [e36592d] gbp.conf: clarify environment variables.
    Thanks to Nish Aravamudan
  * [74ca1fa] Enable Python3.4 in travis
  * [c782a29] Fix typo in env var names.
    Thanks to Nish Aravamudan for pointing this out
  * [17914a9] docs: Although imported trees are important we mean the former.
    Fix typo. Thanks to Ferenc Wágner (Closes: #887499)
  * [e1aacbb] push: allow to push from detached heads
  * [6903232] buildpackage: look at builder as well when determining the
    changes file name
    (Closes: #887779)
  * [da84b60] config: strip '.py' suffix from commands.
    This makes sure we parse config sections correctly even when running from
    the source tree like: PYTHONPATH=. python3 "gbp/scripts/dch.py"
  * [362f793] docs: document pq export --commit
  * [3576ee8] tests: build docs too.
    When running in travis build the docs too to catch errors there as well.
  * [a708096] docs: fix section names for defaults.
    Thanks to Christoph Berg (Closes: #888415)

  [ rubicks ]
  * [f1694df] Rework docker script to allow to build packages as well.

  [ Markus Lehtonen ]
  * [4868442] gbp.git: Python 3.4 compatibility
  * [c8dbfe1] pq-rpm: implement --drop option.
    Counterpart for the --drop option of gbp-pq.
  * [5e9ab95] docs: dynamically select the DocBook-to-man tool to use to ease
    building on other distros.
  * [3011490] dch: implement postedit hooks.
    Add new --postedit command line option for defining a custom hook that
    will be run after changes to the changelog file has been finalized.
  * [5a8bbe9] debian/gbp.conf: dch hook to automatically update version in
    spec file.
  * [c3e1beb] rpm packaging: update build deps of docs.  Needed after docs
    were changed to xml.
  * [fb9cf84] import-srpm: change commit message of native sources.  Include
    the full package version in the commit message for native packages.
  * [cb5754b] tests: add more tagging tests for import-srpm
  * [972db70] import-srpm: implement --skip-packaging-tag option.
    Corresponding the --skip-debian-tag options of import-dsc.
  * [8515181] import-srpm: support --upstream-vcs-tag cmdline option.
    Similar to what the option does in gbp import-orig.
  * [d8ed8bd] gbp-pull: implement --all cmdline option.
    This updates all remote-tracking branches (for the remote that is fetched
    from) whose local branch name is identical to the remote branch name.
  * [393edba] buildpackage-rpm: support setting the 'VCS:' tag in spec.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Jan 2018 10:46:01 +0100

git-buildpackage (0.9.6) unstable; urgency=medium

  * [89495f7] patch_series: Properly chain up to parent class.
    Insted of duplicating the logic use the parent classes _read_info.
  * [28838b9] patch_series: don't read dep3 info multiple times
  * [7b0660a] patch_series: Remove duplicate functions.
    No need to repeat them in Dep3Patch since the parent class Patch already
    has them.
  * [0730a57] patch_series: Don't fail on decoding errors when looking for
    DEP3 headers
    (Closes: #885929)
  * [6979250] export-orig: fix --upstream-branch argument name in manpage

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Jan 2018 20:43:18 +0100

git-buildpackage (0.9.5) unstable; urgency=medium

  [ Guido Günther ]
  * [6b43cfe] docs: gbp.conf: bring back section names.
    These got lost in f6e360f6ca0b4e3b510f82546a1daada592b18b6.
  * [d7739b8] docs: gbp: mention push and tag
  * [3cbdc3a] docs: gbp-buildpackage: clarify --git-no-create-orig
  * [7bb8758] docs: gbp-buildpackage: list hooks in execution order
  * [59f82d8] docs: gbp-buildpackage: clarify hook working directories
  * [22d40a4] hooks: print hook name prior to execution.
    This makes it simpler to identify build steps
  * [56d630b] pristine-tar: print upstream version number on import.
    Printing the debian version might be confusing
  * [06bbc70] Fix complaints of flake8 3.5
  * [e51358f] docs: drop duplicate "you can"
    Thanks to Ludovic Rousseau
  * [5aaec4f] Typo fixes.
    Thanks to Ludovic Rousseau
  * [4312e54] docs: Add ids to all sections
    so we get nicer link names
  * [13cd3b4] Handle KeyboardInterrupt in pristine_tar, push, rpm_ch and tag
    to avoid python exceptions on the console. The other commands handle it
    already.

  [ Markus Lehtonen ]
  * [f50069a] rpm packaging: update dependency on rpm-build.
    Most RPM-based distribution now support weak dependencies. Make rpm-build
    a weak dependency as it's not strictly needed by buildpackage-rpm: in
    Fedora people probably use 'mock' and in openSUSE they use 'osc' for
    building packages, for example.
  * [3661127] create_remote_repo: fix typo
  * [d9a5319] rpm.SpecFile: support %autosetup.
    Try to do "the right thing" when %autosetup macro is used in the spec
    file. That is, do not examine/manage %patch macros at all, but, assume
    that patches are handled by %autosetup which was introduced in RPM
    v4.11.

  [ Maximiliano Curia ]
  * [17a471d] pq: Parse DEP3 headers.
    (Closes: #785274)

  [ Chris West (Faux) ]
  * [3003d07] docs: pq: Document how DEP3 headers are parsed and added to the
    commit message.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Dec 2017 20:17:01 +0100

git-buildpackage (0.9.4) unstable; urgency=medium

  * [868e8ae] Bump standards version
  * [5c078f7] docs: Add --git-overlay to synopsis
  * [015f1a7] import-orig: use separate exit code when uscan did not find
    anything new
  * [45a0652] dch: Create changelog if missing.
    Thanks to Daniel Dehennin for the groundwork on this (Closes: #669171)
  * [c90cb78] git-pbuilder: properly escape -? (Closes: #882984)
  * gbp-try-ff improvements

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Nov 2017 12:32:01 +0100

git-buildpackage (0.9.3) unstable; urgency=medium

  * [9a2c5e6] import_orig: drop debian/ again in --merge-mode=replace.
    Another fallout of the Python3 conversion.
    Thanks to Víctor Cuadrado Juan for providing a nice reproducer
    (Closes: #881750)
  * [876ebb3] git-pbuilder: handle --help (Closes: #734862)
  * [ff03bec] GitRepository: require an exact ref path when looking for
    branches. Otherwise we might match on
       refs/heads/refs/heads/foo instead of refs/heads/foo
    when looking for  branch named 'foo' (Closes: #813298)
  * [3b5a7dd] changelog: handle comma in maintainers name.
    Thanks to Andreas Beckmann for the proposed fix (Closes: #737623)
  * [e74b40a] rpm: conditionally check for librpm flags.  Not all of them are
    in newer librpm and this way we can add new ones as needed as well.
    This unbreaks the tests with new python3-rpm in sid.
  * [c429d97] dch: make --auto the default.  The current default mode of
    looking at the version in the changelog only leads to problems when people
    build up the changelog incrementally.  --auto handles this since many
    years so make this the default. There's still --since for finer control
    where to start from. (Closes: #880552, #552624)
  * [43d5587] docs: better explain dch operation (also addresses #880552)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Nov 2017 15:33:20 +0100

git-buildpackage (0.9.2) unstable; urgency=medium

  [ Guido Günther ]
  * [5b05ead] push: Don't abort on first failure.  Push as many refs as
    possible instead of aborting on the first error.
  * Unbreak running in non-UTF8 locales
    Thanks to Nico Schlömer for the report (Closes: #880964)
  * [5b1614d] travis: run tests under C locale too
  * [79d4340] setup.py: add python_requires so pip doesn't use the gbp module
    for python2
    Thanks to Nico Schlömer for the proposed solution
  * [d656cbd] import-dsc: Fuzzy parse changelog date.
    Especially older changelogs aren't 100% policy conformant (e.g. using a
    localized day of week like).  This allows us to better import older
    histories. (Closes: #880878)
  * [577ca32] import-orig: Run postimport hook on all successful imports.
    So far we would skip it on initial imports which is pointless.
  * [7d6f61a] import-orig: don't fail when importing unpacked dirs.
  * [34b2390] import-orig: avoid master branch when importing into empty repo.
    We don't want a master branch if debian-branch != 'master'.
  * [c135ad4] Make import-orig-rpm tests work with import-orig.
    We use the Debian version to import RPMs since there's currently no
    separate import-orig-rpm needed.  The tests also cover cases we were
    currently not testing in components/deb/test_import_orig.py.
  * [fe0022b] import-dsc: cleanup temp dirs on unexpected exceptions too
  * [486cbfd] examples: drop gbp-posttag-push.  We have "gbp push" now.
  * [3efd339] examples: Add gbp-try-ff.  Helper to fetch new upstream source,
    refresh patches and do a test build.
  * [1b5a344] buildpackage: Add back --git-pristine-tar-commit support.
    The call got lost when we split out export-orig. (Closes: #880624)
  * [4378eae] command_wrapper: quote error strings so we don't accidentally
    try to expand values in error messages. (Closes: #881254)
  * [e5df7d0] buildpackage: unpack additional tarballs as well in
    --git-overlay mode. (Closes: #881253)
  * [75273ee,53c0e7c] buildpackage: Expand --git-comp-type auto again in
    --git-overlay mode.
    Thanks to Maximiliano Curia for the detailed analysis (Closes: #879781)
  * [d9fb2df] import-dsc: Apply filters on debian tarballs too
    (Closes: #881311)
  * Several testsuite and documentation improvements

  [ Felipe Sateler ]
  * [7f85a0d] zsh: Fix delegation of dscs options to dsc
  * [9d276b5] zsh: dch does not use git prefix for ignore-branch option
    (Closes: #787005)

  [ Ken Dreyer ]
  * [3d084fd] DebianChangelog: Strip trailing newlines from changes.
    Python3's message_from_string passes on a trailing newline from
    dpkg-parsechangelog but the consumer of the output shouldn't need to
    bother.

  [ Markus Lehtonen ]
  * [34c22d4] tests: add tests for gbp import-orig-rpm.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Nov 2017 08:08:25 +0100

git-buildpackage (0.9.1) unstable; urgency=medium

  * Kill use of six.*
  * Add gbp import-dsc hook for pk4.
    Can be enabled via
        mkdir -p ~/.config/pk4/hooks-enabled/unpack/
        ln -s /usr/share/pk4/hooks-available/unpack/gbp \
              ~/.config/pk4/hooks-enabled/unpack/
  * [f18d6b4] import-dsc: improve error message when Debian branch does not
    exist
  * [01da1e6] import-dsc: make sure we don't create 'master' if not needed.
    This way we only get the debian- and upstream-branch in empty repos and
    not a pointless 'master' if debian-branch != master.
    It also makes sure we don't need --create-missing-branches on empty
    repos where it is pointless. (Closes: #750962)
  * [cec2123] docs: Add rpm tool manpages to manual too.
    On non-Debian platform it's sometimes cumbersome to build the manpages
    so make sure we have them available on the web at least.
  * [8e67334] Lock flake8 version.
    We don't want to play catchup with new flake8 checks but rather
    update and fix things in a controlled manner.
  * [f1bf7c3] command_wrappers: report proper exception on bad process
    arguments.  If subprocess.communicate raised a TypeError due to bad
    arguments 'ret' was undefined and therefore the real error reason got
    masked.
    Closes parts of #879495
  * [280f4c9] pq: kill useless use of sed. This also broke paths containing
    spaces. Thanks to André Althaus for a proposed fix.
  * [ca273d9] dscfile: parse out upstream signatures as well
  * [5db9f15] dscfile: Make sure we match on additional tarballs containing
    uppercase (Closes: #880228)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Oct 2017 12:48:53 +0100

git-buildpackage (0.9.0) unstable; urgency=medium

  * Upload to unstable
  * [dbb9290,9c1bd13] README: use https, shorter URLs and add image
  * [ce7ff21] d/control: mentions new commands in packaging description
  * [44b4e2b] import-dsc: split import of tarballs out of main.  The current
    logic tried to force native and non-native packages into the same code
    path leading to hardly readable if-else-maybe code paths.
  * [4b9789a] import-dsc: Look for pristine-tar reference by commit.  The
    upstream branch tip is up to date at this point already but this makes
    sure things don't get wired if we move code around.
  * [d0ee56b] import-dsc: don't create pristine-tar commits on every import.
    We must not create pristine-tar commits if no new upstream sources were
    imported. Othewise we'd create them on every Debian revision.  This hardly
    wastes space since commits are identical but does waste time.
  * [680784b] pq: import patches before rebase if the pq branch doesn't exist
    yet. (Closes: #876800)
  * [c1c7fa7] pq: recommend 'rebase' and 'switch' when pq branch already
    exists
  * [1551051] pq: import pq branch on switch (Closes: #761166)
  * [02978fb] pq: let drop work when pq branch is currently checked out

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Oct 2017 11:41:53 +0200

git-buildpackage (0.9.0~exp7) experimental; urgency=medium

  * [fdf2720] Don't fail on unicode errors when importing patches.  Use
    backslashreplace not lose data.
  * [252c102] clone: clarify what we're looking for when using vcsgit:
  * [4e6c4cf] command_wrappers: fix path lookups.
    Python3 performs path lookups by itself when no path is given so remove
    our path lookup code.
    Thanks to Nish Aravamudan
  * [2c7a5c5] import-orig: roll back on CTRL-C too
  * [4761cf9] import-orig: Use gz compression when repackaging non tarball
    filtered upstream source.  This makes it consistent with
    export_orig:guess_comp_type when no compressor could be detected.
  * [80189f2] create_remote_repo: another missing python3 string conversion
  * [0259fd5] config: Don't require the command to be started from toplevel
    dir.  At least dch, push, tag and export-orig don't require to be run from
    the toplevel of the git repo. Make sure we pick up debian/gbp.conf
    nevertheless.
  * [d75fbd4] docs: Switch to docbook-xml
    (Closes: #877322)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Oct 2017 12:03:21 +0200

git-buildpackage (0.9.0~exp6) experimental; urgency=medium

  * [23b334c] README.source example: fix typo.
    Thanks to Roel van Meer
  * [db5c670] Add tag command by splitting out the code from buildpackage
    This is shorter than running
         gbp buildpackage --git-tag-only
    Closes: #797086
  * [01ee027] bash completion: add some missing branch and file opts.
    This unbreaks completion of options on some of the newer commands such
    as gbp export-orig --tarball-dir=<tab>
  * [0c6cbfa] bash completion: don't accidentally match subcommands as options.
    We match on option first so we need to make sure we don't accidentally
    match on subcommands. This unbreaks command completion for e.g. "gbp
    tag"
  * [84596ab] Unbreak dch tests with newer devscripts.
    Due to #842468 debchange now produces shorter output omitting empty
    blocks if there weren't any changes by the maintainer invoking
    debchange (which is nice). So check for the matching lines in both the old
    and new location.
  * [6abb9e8] buildpackage: don't require debian/ prefix for --git-dist=DEP14
    to work
  * [d5c4804] Add id-length to gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Sep 2017 12:51:52 +0200

git-buildpackage (0.9.0~exp5) experimental; urgency=medium

  * [67cdeac] push: fix option names in error output.  Only buildpackage uses
    the '--git-' prefix
  * [04ae7d5] git: Don't decode diff output.
    The output can be in any encoding so assuming utf-8 is plain wrong
  * [0f84a0d] patch_series: Make sure we close the temp file
  * [4c6f8fc] command_wrappers: allow one to look up executables in $PATH
  * [2ca3e37] pristine-tar: look for binary in $PATH
    to help the Ubuntu git importer that run's pristine-tar inside a snap.
  * [b2092c1] patch_series: don't let "git mailinfo" sanitize the subject.
    This would strip away text in []. This improves the import/export round
    trip. (Closes: #872354)
  * import_orig: be more descriptive what we're "using"
  * pq: Be clearer what '--commit' did instead of a confusing "git status".

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Sep 2017 11:19:36 +0200

git-buildpackage (0.9.0~exp4) experimental; urgency=medium

  [ Ken Dreyer ]
  * [0ca5283] doc: expand --git-pbuilder-options docs.
    Give an example of how to use the --git-pbuilder-options option, and
    explain how it interacts with git-pbuilder.

  [ Guido Günther ]
  * [b7c34cc] export-orig: drop sloppy mode from the docs since it's not
    useful here
  * [dab6761] import-dsc: cleanup error printing and exceptions.
    Raise exceptions with the error message instead of printing these first.
  * [a7b96a7] export-orig: print absolute path of created tarball.
    To avoid paths like '/a/b/../c'
  * [d5c3101] config: make dch-opt a list option.
    This unbreaks dch-opt when used in gbp.conf (Closes: #872141)
  * [5032688] spawn_dch: fail if dch failed.  We pass quiet=True to avoid
    duplicate error messages
  * [40b1883] gbp.conf: drop --noconf since it needs to be dch's first option
  * [ec643d9] Revert "buildpackage: don't prepare any tarballs in overlay mode"
    This breaks workflows where people have a detached debian/ dir
    but keep upstream VCS and pristine-tar in the same repo.
    This reverts commit 3e4e7950d2b0e81a8821f60e9a6d842c88e8b7fb.
    Thanks to Maximiliano Curia for the report
  * [d76834c] pq: use more gittish commit message in --commit.  Use present
    instead of past tense
  * [5d40d44] pq-rpm: Correctly pass abbrev to format-patch
    broken by 75e18fc5bb4831df924bc708130b0a6ab311a230
  * [b23e958] tests: remove duplication in test options
  * [f8714dc] log: don't color the log message, only the marker
    to improve readability
  * [40acd04] tests: Move pristine-tar test data to tests/data as well
  * [19310dc] Spell pristine_tar consistently
  * [9dc2129] pq: properly retry non-ascii charset on patch body encode.
    The current code tried to catch the wrong exception
  * [6d3e34c] patch_series: report decoding errors when reading patch files

  [ mci156 ]
  * [d115b67] docs: Add paragraph break
  * [e5be602] docs: Explain the v1.0 <starting point> (Closes: #872524)

  [ Chris Lamb ]
  * [f97b910] pq: make --abbrev= configurable (Closes: #872351)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 27 Aug 2017 17:38:19 +0200

git-buildpackage (0.9.0~exp3) experimental; urgency=medium

  [ Guido Günther ]
  * [ce76320] doc: properly mark filter as repeatable in the gbp-import-dsc
    synopsis
  * [01a4a7f] dch: support passing arbitrary dch command line options
    (Closes: #596513, #682854)
  * [f208a0b] import_orig: use a more gittish commit message.
    When replacing the debian/ dir don't used past tense and
    keep the subject more like git-merge. (Closes: #867214)
  * [3e4e795] buildpackage: don't prepare any tarballs in overlay mode.
    They're not in git so we fail otherwise
  * [66138d9] buildpackage: pass the proper tarball dir for overlays.
    We want to look for tarballs in tarball dir (if specified) not the output
    dir
  * [da42f70] buildpackge: add test for overlay mode
  * [b71a89e] export: print names of generated tarballs when using
    pristine-tar so we get as much information as with git-archive.
  * [3ff0fc7] pristine-tar: properly separate additional tarballs by spaces

  [ Maximiliano Curia ]
  * [a20047b] export_source: replace orig_file with
    source.upstream_tarball_name orig_file was dropped in
    8edd16022d75967a8fe54ef99a0733400a287bc2

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Aug 2017 14:57:39 -0300

git-buildpackage (0.9.0~exp2) experimental; urgency=medium

  [ Guido Günther ]
  * [cbacdfb] push: new command to push changes in one go (Closes: #733639)
  * [3d4d011] export-orig: fix manpage example
  * [2320e19] pq: don't create empty pq branch on rebase and switch.  We
    always want to start from an imported series.
    Thanks to Chris Lamb for the reproducer
  * [c4bc656] pq: don't eagerly encode email headers.
    Python3 changed behaviour and does not try us-ascii before the given
    encoding so open code this in pq to avoid patch churn due to changed email
    header encodings.
  * [48076da] docs: expand the working with patches section
  * [fb2e083] docs: drop the section about how to unapply patches
    dpkg since 1.16.5 does this automatically and even oldoldstable has this
    version.
  * [f8c429f] docs: add images to explain pq workflow
  * [5b3fcd6] docs: spell debian-branch consistently
  * [f145e1d] docs: drop trailing '>' from xrefs
  * [698e7bf] docs: add some more explanations
    after feedback from Chris Lamb.
  * [705f571] docs: Fix allow(s) one to spelling.
    Thanks to lintian
  * [4bad3c5] d/manpages: drop unused file
  * [a5f22cb] Bump standards version

  [ Chris Lamb ]
  * [7cbe658] Correct "allow to" typos.
  * [dff2864] Use build profiles to avoid unconditional installation of test
    dependencies.

  [ Maximiliano Curia ]
  * [b7455ad] find_version: add a missing decode _git_getoutput returns a list
    of bytes, that we need to decode

 -- Guido Günther <agx@sigxcpu.org>  Sun, 06 Aug 2017 22:55:10 -0300

git-buildpackage (0.9.0~exp1) experimental; urgency=medium

  [ Guido Günther ]
  * User visible changes:
    * [ae7ed14] export-orig: new command to export orig tarballs from git
      (Closes: #840089)
    * [d9b535e] Use python3-notify2.
      Thanks to Alexandre Detiste (Closes: #870595)
    * [cfd884f] pristine-tar: don't print checkout errors twice
      similar to f1c3a6f4dc6ceee5be5d49b4d193da8fd36c8920
    * [76f247e] pristine_tar_verify_origs: skip verification if pristine-tar
      does not support it.
      This allows us to run with pristine-tar << 1.35
    * [961723e] docs: generate version.py if missing.
      This makes doc builds succeed in a clean tree.
    * [4424008] bin: drop umlaut to make setuptools happy
    * [e7bbd65] gbp-buildpackage: Group manpage options (Closes: #824801)
    * [ad3515a] buildpackage: drop the long deprecated --dont-purge option.
      Use --no-purge instead
  * Lots of internal changes to make tarball generation simpler and avoid
    code duplication between export-orig and build-package

  [ Ken Dreyer ]
  * [e5132b1] docs: fix spelling of "sure"

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Aug 2017 20:48:22 -0300

git-buildpackage (0.9.0~exp0) experimental; urgency=medium

  * Switch to python3 (Closes: #810854)
  * [889cf65] Use pydoctor to generate apidocs since epydoc
    does not work with python3 files
  * [6d8f386] spec: switch to python3 packaging for rpm
    and adjust the smoketest accordingly
  * [6b326e2] pristine-tar: add feature detection
    so we can run tests with older pristine-tar not supporting verify
  * [f4574be] travis: run test with different python versions and run at least
    parts of the tests outside the container

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Aug 2017 15:32:46 -0300

git-buildpackage (0.8.18) unstable; urgency=medium

  [ Guido Günther ]
  * [4e6dd9c] Use install_requirements for dateutil to make using gbp in
    virtualenv simpler
    Thanks: Ken Dreyer
  * [0388f9e] import-orig: Always raise an error if we find <error/> or
    <warning/> when invoking uscan.
    Older uscan does not abort with a non-zero exit status when it e.g. fails
    to verify gpg signatures. So abort when we find a warning or error. (See
    #841910 for reference).
  * [561286d] Devscripts 2.17.7 properly exits on gpg signature validation
    errors. So revert the above and depend on a fixed version. We keep the
    above for reference since this is the right thing to do with older
    uscan (e.g. in backports).
  * [9fc1774] import-dscs: don't use long gone log function (Closes: #868733)
  * [aaee8bb] tests: add initial component test for import-dscs
  * [62ab1eb] tests: properly restore import_dscs so later testcases don't
    break

  [ Christos Trochalakis ]
  * [61f4625] dch: unmangle upstream_tag when guessing upstream version.
    Running `gbp dch` with a mangled upstream tag resulted in a KeyError while
    trying to build a tag pattern.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Jul 2017 18:06:21 -0300

git-buildpackage (0.8.17) unstable; urgency=medium

  * [0b4a348] imort-dsc: Allow for shorter apt: pseudo URLs instead of the
    apt:/// scheme.
  * [021fe9d] git-pbuilder: drop environment variables that passed in our
    config.  We don't want to pass them on to pdebuild since this can trip up
    the invoked build system.
  * [b70d859] Fix typos in comments
  * [d022623] pq_rpm: clarify doc string
    mention RPM and start with a capital letter to make
        gbp --list-cmds
    output consistent.
  * [956982c] New command 'pristine-tar'
    This allows one to run the pristine-tar import at a later point.  This
    is useful when using component tarballs and we need to reference the
    right trees for the commits.
  * [f1c3a6f] DebianGitRepository: better pristine-tar errors.
    We should not raise CommandErrors from methods on a GitRepository so
    convert the error and suppress the output. This will make us use the
    handler for GitRepositoryError in import_orig and pristine_tar which
    default to printing the error message. (Closes: #829252)
  * [f1e9d85] Don't print debsnap errors twice (Closes: #851128)
  * [7fd6ba1] docs: merge histories when importing.
    This is only necessary for non 3.0 (quilt) packages when not using
    merge-mode=auto with "gbp import-orig".
    Thanks to Sean Whitton (Closes: #864881)
  * [f905594] docs: drop commands for ancient git versions. Even oldoldstable
    has a more recent one.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Jun 2017 19:26:50 +0200

git-buildpackage (0.8.16.1) unstable; urgency=medium

  * Upload to unstable
  * [57f2c4a] docs: simplify commands

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jun 2017 15:57:41 +0200

git-buildpackage (0.8.16) experimental; urgency=medium

  * [2f806bc] Update to git-pbuilder 1.48
    incorporating the changes we made since 0.8.3
    Thanks to Russ Allbery
  * [8ea5d6f] Don't fail tests on older git versions.
    There are some nuances in reflog handling.
    Thanks to jean-christophe manciot for reporting this
  * [be6af1e] Test that we don't fail tagging when on pq branch
    (Closes: #863167)
  * [20ece98] pq: Disable rename tracking to always produce 'diff' compatible
    patches even when rename tracking is enabled in the config.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 May 2017 16:28:41 +0200

git-buildpackage (0.8.15) experimental; urgency=medium

  [ Guido Günther ]
  * [9fa917a] pull: give more detail about what we updated
  * [1bf6ef4] docs: use [DEFAULT] section in import example so it also fits
    the "gbp dch" usecase
  * [ead7157] buildpackage: make --git-export=WC simpler to use by implying
    --git-ignore-new --git-ignore-branch. There's no point in these safety
    checks when we export the working copy as is.  (Closes: #822823)
  * [1832d14] Drop long deprecated --no-dch
  * [000f924] buildpackage: add sloppy mode to build upstream tarballs.  When
    starting with packaging people often stumble over a mismatch between what
    dpkg-source expects to be in the tarball and the generated tarball for
    various reasons. Give them a way to say: "Use what I have on my current
    debian branch" as upstream source. Also helpful for snapshot builds with
    upstream modifications. (Closes: #861004)
  * [1113c95] clone: Add support for pseudo protocols like vcsgit: and github:
    to make cloning simpler (Closes: #861206)
  * [a4667c7] dockerfile: add src uri for the gbp clone network test

  [ Kevin Locke ]
  * [a03af0d] git-pbuilder: Check $OPTIONS for --basepath.
    Previously only the arguments were checked for --basepath.  This
    resulted in --basepath being ignored and overridden by the default when
    passed in --git-pbuilder-options
    (Closes: #856263)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Apr 2017 08:36:16 +0200

git-buildpackage (0.8.14) experimental; urgency=medium

  * [fe821e2] GitRepository: use stdout as last resort if stderr is empty.
    This e.g. gives:
        GitRepositoryError: Error running git commit: On branch master
        Untracked files:
    	debian/
        nothing added to commit but untracked files present
    Instead of
        GitRepositoryError: Error running git commit:
  * [1dd290a] pq: unbreak --commit when patch series becomes empty.  We
    skipped the commit when the patch series became completely empty but we
    want to commit that change too.
  * [75bf793] posttag-push: Use named parameter for dry_run
  * [844e4f8] import-orig: only abort merge if it got started.
    This isn't be the case when there are e.g. files that would be overwritten
    by the merge in the workig copy (Closes: #859439)
  * [3b70ad2] GitRepository: add is_in_merge()
  * [5d414c1] buildpackage: cleaner does not default to debuild since ages
    (Closes: #859594)
  * [e890ce3] ipmort_orig: pick best way to import upstream tarball
    automatically.  Add new value --merge-mode=auto that selects either
    'replace' or 'merge' depending on the source format version.
    (Closes: #700411)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Apr 2017 13:53:52 +0200

git-buildpackage (0.8.13) experimental; urgency=medium

  [ Guido Günther ]
  * [22013ad] pq: Filter out comments from series diff.
    When creating the delta of added and dropped pachtches ignore comment
    lines in the series file.
    (Closes: #852817)
  * [8103903] import_dsc: use three slashes by default for apt URLs.
    We don't have a host part so leave that empty. Since there very likely
    won't be any ever accept only two slashes as well.
  * [d904b61] Use a symlink to supercomand instead of
    pkgresources.load_entry_point. This sp:eds up startup by a factor of 10
    and thus makes bash completion much more responsive:
      $ gbp buildpackge --help # entrypoints
      real	0m0,573s
      user	0m0,532s
      sys	0m0,036s
      $ gbp buildpackage --help # symlink
      real	0m0,051s
      user	0m0,040s
      sys	0m0,012s
    (Closes: #853283)
  * [d31fb0b] On a patch-queue branch tag the corresponding debian branch
    instead.
    (Closes: #583938)
  * [ac34351] import_dsc: delay pristine-tar import to the very end.
    This makes sure we have a sane debian and upstream branch already so we
    don't leave the repo in an inconsistent state in case of failure.
    (Closes: #851287)
  * [0e6e23e] Improve error message for non-native packages with broken
    version numbers
    (Closes: #824634)
  * [8f93dc0] git-pbuilder: don't do set -x by default to avoid spewig on
    stderr. Use GIT_PBUILDER_DEBUG to enable it.
  * Test suite improvements
  * Doc updates including some CSS improvements

  [ Ben Finney ]
  * [0fc89bc] Extract a function to clean the working tree.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Mar 2017 09:58:42 +0100

git-buildpackage (0.8.12.2) unstable; urgency=medium

  * [80044e1] GitRepository: shorten reflog message.
    Thanks to Chris Lamb for the report (Closes: #854333)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Feb 2017 07:34:57 +0100

git-buildpackage (0.8.12.1) unstable; urgency=medium

  * Upload to unstable 

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Jan 2017 14:50:30 +0100

git-buildpackage (0.8.12) experimental; urgency=medium

  [ Guido Günther ]
  * [5c23d41] GitRepository: properly determine git-dir
    instead of assuming '.git'
    Heavily based on a patch by Markus Lehtonnen (Closes: #674015)
  * [53b5af5] gbp dch: Allow to run from subdirectory
  * [390d34a] git-pbuilder: print pdebuild command as executed
    to ease debugging things like #852264
  * Test suite improvements

  [ Markus Lehtonen ]
  * [f30bb98] buildpackage: fix exporting of working copy when .git is not a directory
    as is the case with git submodules lately, for example

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Jan 2017 14:06:33 +0100

git-buildpackage (0.8.11) experimental; urgency=medium

  * [8bd74df] command_wrappers: Simplify RunAtCommand
  * [1140886] buildpackage: Don't set a compression level if unset and make
    this the default.  This allows compressors to use the their default
    compression level. Only applies when not using pristine-tar.
    Thanks to Antoine Beaupré for investigating (Closes: #820846)
  * [0fdff8e] buildpackage: Use commit instead of tree to create archive.
    This makes sure we use the timestamps of the commit when creating the
    tarball. Only applies when not using pristine-tar
    Thanks to Ximin Luo for investigating (Closes: #851645)
  * [3f4b9f8] make: Check if we can use parallel flake
  * [534c055] git-pbuilder: Don't remove changes file (Closes: #850478)
  * [b863399] pull: Allow to specify remote on the command line
    (Closes: #851844)
  * [d3cb4db] gbp-posttag-push: add missing dry-run for debian branch push
  * [f9a7640] buildpackage: verify generated tarballs when using pristine-tar
  * [b8ea662] pq: Hardcode commit abbrev to 7 when exporting patches.
    This avoids path churn with git >= 2.11.0 (Closes: #848354)
  * Test suite enhancements

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Jan 2017 12:54:40 +0100

git-buildpackage (0.8.10) unstable; urgency=medium

  * [ede603e] GitRepository: properly use pipe on empty strings.
    (Closes: #850319)
  * [42ee784] buildpackage: print proper dist when using sid.
  * [e9ffa80] buildpackage: create all missing dirs with --export
    Thanks to Andrea Zagli for the suggestion
  * [42878ff] dch: honor --no-git-author
    Thanks to David Kalnischkies for investigating (Closes: #796913)
  * [4086fc9] import_dsc: Store debian/changelog in commit message
    when importing packages. (Closes: #577810)
  * [5fb0749] import_orig: Delay unpack of component tarballs.
    (Closes: #840602)
  * [67d8b9f] Move default gbp.conf back to the right location.
    Thanks to Luca Boccassi (Closes: #850937)
  * [80a1c39] Quote arguments passed to builder.
    Thanks to Simon McVittie for the detailed report (Closes: #850869)
  * [4a41d49] import-orig: Move orig.tar.gz with filter-pristine-tar.
    (Closes: #558777)
  * [661444b] Update docs regarding --download and drop it from completions
  * flake8 test suite and example cleanups
  * Update test data submodule URLs to https
  * Make gbp-posttag-push easier to use
  * [bba1ec7] docs: changelog entry is not created after gbp import-orig.
    Thanks to Guillaume Millet

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Jan 2017 10:08:28 +0100

git-buildpackage (0.8.9) unstable; urgency=medium

  [ Guido Günther ]
  * [b6a94b6] git-pbuilder: Run actions under "set -x"
    cowbuilder is currently very terse about certain errors so run the
    action under "set -x" to print the exact command invocation.
    This will also help to diagnose sudo issues.
  * [ef1d8e7] create-remote-repo: allow to list config sections via
      gbp create-remote-repo list
  * [be44031] gbp create-remote-repo: autocomplete --remote-config= too
  * [1291b17] Update to git-builder 1.43. Thanks Russ Allberry!
  * [0e3deeb] setup.py: use a valid classifier
    from https://pypi.python.org/pypi?%3Aaction=list_classifiers
  * [9cbb9df] Use relative patch to install gbp.conf to make
    pip install --user work
  * [6f5070d] bash completion: don't complete options values with options.  So
    far hitting <tab> on --bar= would have all other options as suggestions
    which is confusing.
  * [a21e394] bash completion: complete tags on --upstream-vcs-tag= too
  * [fe39b8e] bash completion: complete filenames on hooks, cleaners and builders
  * [f7a61fa] Only set username and email when creating repos.  Don't modify
    existing ones.
  * [cb8169d] gbp {clone, import_dsc, import_srpm}: Document new
    --repo-{user,email} options
  * [7b297b7] GitRepository: allow to check cleanliness of arbitrary paths
  * [e31f15b] gbp pq: Don't fail --commit on empty commits. So far we would fail
    empty commits with a confusing error
  * [bad1f23] import-orig: Handle download errors properly.
  * [d90e6be] import-orig: determine download automatically making --download
    superfluous and deprecated.
  * [58271d6] import-dsc: determine download automatically making --download
    superfluous and deprecated.
  * [8038a6f] import-dsc: Improve error message if there is no dsc file
    instead of spewing the exception on the console.
  * [9ecb5a4] Add helper to run tests in docker container
    and use this on travisci. Some ideas taken form travis.debian.net.
  * [3b1b9bc] GitRepository: use GitArgs for update_ref
  * [1ac2724] GitRepository.commit_dir: add a proper reflog entry
    otherwise 'gbp import-dsc' adds reflog entries without a description.
  * [7ae2778] GitRepository: allow for dry-run push
  * Various enhancements to the test-suite including tests that reach out to
    the network to test these import options
  * Various enhancements to the gbp-posttag-push example hook like trying the
    git push with --dry-run before the upload.

  [ Michael Stapelberg ]
  * [67cf3ed] gbp clone: configure user.email, user.name from DEBEMAIL/DEBFULLNAME.
    Close: #845536

 -- Guido Günther <agx@sigxcpu.org>  Sat, 31 Dec 2016 17:13:03 +0100

git-buildpackage (0.8.8) unstable; urgency=medium

  [ Chris Lamb ]
  * [03276df] Add ability to specify the clone target to gbp-import-{dsc,srpm}
    (Closes: #846567)

  [ Guido Günther ]
  * [0a9cf44] docs: setting target dir is supported for --download too
  * [f631e64] import_dsc: fail properly again without a package to import
  * [a10c77b] import_srpm: allow for more than one argument otherwise giving a
    target dir always raises an error
  * [e1aec57,627b858] import_rpms: use upstream version for upstream tag
    (Closes: #846936)
  * [ce42aadc] pq_rpm: use relative path names for patches Based on a patch
    from Tzafrir Cohen
    (Closes: #834582)
  * [fa091b6] rpm: improve error message on specfile patch parser errors.
  * [bf4afbe] gbp-posttag-push: catch exceptions instead of printing the full
    trace
  * [1d44f48] buildpackage_rpm: drop unused vcs_info()
  * flake8 cleanups all over the rpm code

  [ Tzafrir Cohen ]
  * [73d30ef] specfile: handle %patch -F.
    (Closes: #846479)
  * [d9b28f9] gbp-mock: handle single letter options by properly handling '-?'
    to request help output.
    (Closes: #847464)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Dec 2016 14:52:18 +0100

git-buildpackage (0.8.7) unstable; urgency=medium

  [ Guido Günther ]
  * [924f809] Build-depend on libdistro-info-perl.
    This silences the testsuite and unbreaks the build on Ubuntu
    (Closes: #842960)
  * [36b8a58] rpm: don't warn about deprecated $repo/.gbp.conf.
    People use it a lot with rpm based tools so don't warn there until we
    clearly suggested a better location.
  * [3c498e1] docs: Don't suggest deprecated section names in examples
  * [42657fc] docs: Rework "upstream uses git" section
  * [ced46db] tests: Move doctests to subdir
  * [ea5775a] commands: allow to fall back to error reason if stderr is empty.
    Use this in PristineTar and SrcRpmFile to give better error messages if
    the command doesn't even get to print to stderr (i.e. missing on disk).
    (Closes: #842592)
  * [4cacaeb] Avoid printing deprecation twice.  Some tools reparse the
    config. We don't want another deprecation in this case.
  * [039a286] Avoid deprecation outside of Debian package repositories.  E.g.
    ~ might have a .gbp.conf for the user and might be git managed.
  * [acf7a73] Avoid deprecation on bash completion
  * [6f75d7c] Fix new flake8 errors. (Closes: #844932)
  * [420e299] DebianGitRepository: Handle dot escaping as specified in DEP-14
    (Closes: #843840)
  * [d360a6d] DebianGitRepository: simplify version mangling '%' is not valid
    in a Debian version number and we only want single character replacements
    for now.
  * [7ed5e2b] DebianGitRepository: Unmangle version.  When mapping from a git
    tag to a Debian version unamngle it.
  * [0b317ee] docs: Use version mangling with care
  * [c96a5b4] docs: Recommend DEP-14
  * [9cb3966] examples/gbp-posttag-push: allow to upload packages too after
    pushing all the git data to the remote end. Making one more custom
    packaging script obsolete.

  [ Jonas Meurer ]
  * [dd5c3bc] Add version mangling.
    This allows to replace characters in upstream version numbers. I.e.
    replace '-' by '.'. (Closes: #842638)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Nov 2016 08:39:35 +0100

git-buildpackage (0.8.6) unstable; urgency=medium

  * [a35d7d6] buildpackage: handle <vendor>/master
  * [12fda23] create-remote-repo: print proper error message on missing
    remote-configs instead of printing the exception to the console.
  * [e917d3a] config: Turn dict of config files into a list so we get a fixed
    order with all Python versions
  * [c092d73] config: warn on deprecated $REPO/.gbp.conf location.  The file
    is deprecated at least since 2012 but we never warned about it.  Warning
    can be disabled via GBP_DISABLE_GBP_CONF_DEPRECTATION.
  * [507ae50] import-orig: Document --rollback option
  * [eb3be92] import-orig: Give some context on --merge-mode=replace option

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Oct 2016 17:16:23 +0200

git-buildpackage (0.8.5) unstable; urgency=medium

  [ Guido Günther ]
  * Fixes:
    * [7c964ea] buildpackage: add back export-dir options
      (Closes: #839581)

  * Improvements:
    * [9817e89] posttag-push: Print branches we push to

  * Cleanups:
    * [a5a8a1c] pq: remove redundancies in --pq-from code paths
    * [59dce12] pq: introduce pq_on_upstream_tag
    * [f31bcd2] pq: make TestFromTAG tests silent
    * [c1ab85a] test_pq_rpm: flake8 clean
    * [86068d4] test_pq_rpm.py: don't spew on stderr
    * [46787e3] test_buildpackage_rpm.py: flake8 clean
    * [f96c8e1] tests: capture stderr in gbp rpm-ch component tests - reduces
      spurious output
    * [e4c893d] tests: capture stderr in gbp import_srpm component tests -
      reduces spurious output
    * [43beb38] GitRepository.archive: use _git_inout instead of the
      deprecated _git_getoutput that spews to stderr This silences a spurious
      output to stderr in test_buildpackage_rpm
    * [55e8c8f] GitRepository.list_submodules: use _git_inout and check exit
      status.
    * [53f9f40] test_buildpackage_rpm: check that we fail subtarball
      generation correctly
    * [f87c21c] tests/buildpackage: test --git-export-dir

  [ Linn Crosetto ]
  * [c1b32fa] dch: avoid adding section in snapshot mode if distribution is
    UNRELEASED. (Closes: #838714)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 10 Oct 2016 18:06:32 +0200

git-buildpackage (0.8.4) unstable; urgency=medium

  [ Maximiliano Curia ]
  * [e615c65] pq: Handle unmerged debian branches. This allows one to import
    the patch-queue branch onto the upstream tag.
    (Closes: #834726)
  * [f6433f9] pq: Ensure we are working in the right git directory.

  [ Guido Günther ]
  * [6909bb1] Unbreak gbp-pq manpage generation
  * flake8 cleaniness
  * [7a7068d] create_remote_repo: allow one to create non bare repositories
    (Closes: #837158)
  * [98cea5f] import_orig: Use gbp.scripts.common.hook
  * [5ff1be8] test_rpm_ch: use GIT_AUTHOR_* env vars.
  * [98ea945] flake8: Ignore rpm related files for now. This makes it easier
    to integrate changes from git-buildpackage-rpm.
  * [3ded91b] Move doc generation and test invocation to separate Makefile
  * [2845359] Switch from pychecker to flake8. The later is maintained and
    has more checks Use '-j1' for now since otherwise we need /dev/shm access
    which fails in a pbuilder chroot with EPERM.
  * [264090e] Rename README to README.md to get Markdown formatting
  * [2809284] dch: document which options can't be set via gbp.conf
  * [2122d8b] dch: document --security
  * [ef7ca4a] config: allow one to specify short options
  * [3feba49] dch: make urgency a config file option so it can be set via
    gbp.conf (Closes: #837680)
  * [fdcee06] dch: add missing short opts to manpage
  * [dbb9623] Unbreak patch delta output broken by "pq: Ensure we are working
    in the right git directory"
  * [3e26d02] Vcs-Git: use https transport
  * [74c7bc0] autopkgtest: Skip build if setuptools is not available
  * [6ec588a] pq: restrict choices of pq-from to 'DEBIAN' and 'TAG'

  [ Markus Lehtonen ]
  * [c6b32c8] Command: redirect stdout/stderr to sys.stdout/stderr.
  * [245b443] tests: capture stderr in buildpackage-rpm unit tests.
    Reduces spurious output from rpmbuild. (Closes: #829690)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Sep 2016 18:56:12 +0200

git-buildpackage (0.8.3) unstable; urgency=medium

  * Upload to unstable
  * [51620e9] import-orig: export version information to postimport hook
    (Closes: #833429)
  * [086ff78] Drop dependencies on sp and jade.
    Thanks to Neil Roeth
  * [bf46e26] Update to git-pbuilder 1.42
  * [99e7703] import_orig: Properly abort merge on rollbacks.
    If merging fails we need to call "git merge --abort"
  * [a868977] tests: match env vars values in hook checks too
  * [fae6456] tests: only check gbp related env vars in hooks.
    This avoids test failures when env vars contain newlines

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Aug 2016 14:18:17 +0200

git-buildpackage (0.8.2) experimental; urgency=medium

  * [1f0013c] import-orig: Switch to Debian branch before merging in changes
    otherwise we'd always merge into the current working copy
    (Closes: #832016)
  * [a52aff5] download_orig: unlink file before raising the exception
    otherwise we would not clean up
  * [3d261da] import_orig: Only try rollbacks if necessary.
  * [61e659d] pq: strip comments with multiple leading whitespace. Really
    Closes: #825536
  * [68940fb] pq: Retry patch with whitespace fixup on failure.  This helps
    patches with CRLF line endings and we don't lose anything since we'd
    failed otherwise anyway. (Closes: #833066)
  * [e2671b9] docs: fix --postclone and --hooks options of git-clone.
    Thanks to IOhannes m zmoelnig for pointing this out
  * [e68a0a1] docs: Document --postclone hook behaviour with debian/gbp.conf
    Thanks to IOhannes m zmoelnig for pointing this out
    (Closes: #833143)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Aug 2016 19:26:33 +0200

git-buildpackage (0.8.1) experimental; urgency=medium

  [ Guido Günther ]
  * [3a5a497] import_dsc: Use the same patch options as dpkg-source for 1.0
    packages (except for creating backup files) (Closes: #670099)
  * [8d84fd3] dch: Match 'thanks' case insensitive (Closes: #746753)
  * [29f16ca] Unbreak autopkgtest by setting git user and email
  * [2b33349] import_orig: Drop duplicate log message when rolling back a branch
  * [7ba43f6] Improve check for empty_repository.
    Based on a patch by Carlos Maddela (Closes: #791472)
  * [55fd73a] Remove outdated ref on git-import-dsc
  * [1fae819] Use proper test fixtures.
    (Closes: #723888)
  * [95c8c53] clone: add postclone hook (Closes: #812816, #812815)
  * [491adcf] clone: document missing directory option

  [ Michael Elovskikh ]
  * [a6311e6] Added option `never` to dch `--spawn-editor` choices

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Jul 2016 15:44:28 +0200

git-buildpackage (0.8.0) experimental; urgency=medium

  [ Markus Lehtonen ]
  * [c5cfb5e] Introduce gbp-rpm-ch.
    Initial version of gbp rpm-ch command, a tool for maintaining
    RPM changelogs. The new command supports %changelog section inside spec
    files as well as separate changelog files ("OBS style"). (Closes: #808027)

  [ Guido Günther ]
  * [b4b7f9f] clone: Be a bit more verbose and let the user know that we
    started cloning
  * [1f58d21] PatchSeries: Strip comment from patch names (Closes: #825536)
  * [1989c32] pq: Report number of imported patches
  * [dcb145f] Use existing option as example in gbp-buildpackage manpage.
    Thanks to Nicolas Braud-Santoni (Closes: #828703)
  * [f1c64e2] manpages: add examples for gbp {clone,import-dsc}
  * [83dfa67] GitRepository: Deleting a non-existing branch should not throw
    an error
  * [ba7b087] docs: Clarify some gbp pq options
  * [ebc6b91] import_orig: Recover from import errors by winding back branches
    and tags to their pre-error states (Closes: #828838)
  * [4964234] dch: Log version number when preparing a snapshot
    (Closes: #829025)
  * [7a6641a] import-dsc: Don't fail on 1.0 non-native packages without a
    Debian version
    (Closes: #829070)
  * [8c4460c] Actually install gbp-rpm-ch and unbreak manpage generation
  * [d92b656] tests: Omit build dependend variables from epydocs
    based on a patch from Sascha Steinbiss (Closes: #827546)
  * [d977377] Set date in manpages based on last changelog entry
    for reproducibility. This can be reverted once ocbook2man is fixed
    (#800797).
    Thanks to Sascha Steinbiss for the patch
  * [53f37eb] import-orig: Make default import message more gbp-dch friendly.
  * [312c9b9] Use imperative for git messages as suggested in gh:#26.
  * [2bc3801] import_dsc: don't assume component tarballs have the correct name.
    (Closes: #829458)
  * [bc3805c] import_orig: add support for importing additional tarballs.
    We expect the additional tarballs to be located next to the orig tarball
    and to be already named properly. (Closes: #561071)
  * [870c901] Docs: Clarify on possible key names and priorities in gbp.conf
  * [7a521d4] Handle Ctrl-C more gracefully
  * [b540c98] additional tarballs: allow one to configure components via gbp.conf
  * [1d4d4a2] config: Allow one to give list values in plural form
  * [700e164] config: Properly abort on config file parsing errors
    instead of printing an exception on the console
  * [3b4912d] config: always use 'gbp <cmd>' in help output.
    The {git,gbp}- versions went away ages ago
  * [f545010] Give more instructions when config is unparseable
    and make return codes and messages consistent.
    (Closes: #733640)
  * [a0ed81b] Require python 2.7. It's the default up to Wheezy
    (Closes: #685031)

  [ Otto Kekäläinen ]
  * [af16f59] Fix simple spelling errors in comments and strings
  * [f28a26b] Fix spelling of existant->existent in function names, strings
    and comments

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Jul 2016 21:47:42 +0200

git-buildpackage (0.7.5) unstable; urgency=medium

  [ Dmitry Teselkin ]
  * [3a93ada] Use tox for testing

  [ Guido Günther ]
  * [b56f7b0] buildpackage: don't claim the tarball does not exist. It can
    also be triggered by --force-create
  * [4ff5c3a] buildpackage: Simplify tarball generation logic.
  * [cfcac02] buildpackage: Allow to generate subtarballs.
  * [508656d] buildpackage: Support pristine-tar with multiple tarballs
    but disable pristine-tar-commit in this case for now
  * [22435b2] buildpackage: Check for existence of subtarballs as well

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 May 2016 10:27:07 +0200

git-buildpackage (0.7.4) unstable; urgency=medium

  [ Guido Günther ]
  * [bb373cf] buildpackage: Improve error message when using DEP14
  * [074e8e6] import_dsc: Allow to use pristine-tar with multiple tarballs
  * [1aa9fc3,31754ac,6681989,1d8fb9d]: more multiple tarball tooling to
    support it in other commands besides import-dsc with upcoming releases
  * [060408f] create_remote_repo: Don't fail if current repo does not have any branches
    (Closes: #822089)
  * [d232194] gbp.conf: Add customization example
  * [816829a] import_dscs: Mention debsnap command in options so it shows up
    in the bash completion

  [ Daniel Kahn Gillmor ]
  * [a507ce2] docs: correct gbp.conf example of multiple filter options.
    Commit 7e8f3bb1223269cf1b646 fixed the section that explains how to use
    multiple filter options but forgot to clean up the import-orig example
    at the end of the manpage.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 May 2016 13:50:41 +0200

git-buildpackage (0.7.3) unstable; urgency=medium

  * [324b833] Fixup trailer in README.source example
  * [3a84c11] Add testcase for non-native build-package
  * [61ced0a] Mention debian branch (Closes: #817980)
  * [9ef2aff] Clarify {upstream,debian}-{branch,tag} options
    (Closes: #817980, #817981)
  * [511b67f] gbplogtester: Check if we have enough log lines
  * [9990b88] import_dsc: Make 'gbp import-dsc' aware of component tarballs
    instead of plain failing. Just import the additional tarball but disable
    pristine-tar until we sorted out how to export things again.
    (Closes: #561072)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Apr 2016 10:50:05 +0200

git-buildpackage (0.7.2) unstable; urgency=medium

  * [81ca19d] import_orig: Check git repo before downloading the source.  This
    makes sure we fail fast and not after the 30MB download
  * [9dbe0cf] import_orig: Check upfront if the upstream tag already exists.
    This makes sure we fail fast instead of importing first and then failing
    to tag.
  * [0b5a0a2] import_dsc: Check git repo before downloading the source.  This
    makes sure we fail fast and not after the 30MB download
  * [9cc0a3f] buildpackage: Move git-pbuilder environemt variables into GBP_
    namespace.
    Keep the old ones for backward compatibility but this way they're all
    available to all hooks and not only to prebuild.  In order to not put more
    stuff into the process enviroment dont use os.environ but only pass these
    in via extra_env.
    While at that test that hooks actually get their environment variables set
    up correctly.
  * [36893cb] buildpackage: make sure hook_vars is always available.
    --tag-only uses different code paths so far only covered by the external
    test suite. Add a component test to fix that.
  * [92b7f1b] upstream_source: Don't silently ignore filters when importing
    zip archives
  * [35bd093] Don't throw exception when printing help an getting EPIPE.
    Python's optparse does not ignore EPIPE so just add our own print_help().
  * [2f0d139] docs: Clarify relation between git- prefixed options and
    gbp.conf
  * [fe37670] docs: add options passed to build command to synopsis
  * [abe4e40] Update to git-pbuilder 1.40.
    Thanks to Russ Allberry
  * [2cc710d] docs: Fix sgml parsing errors spotted by docbook2html

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Jan 2016 09:13:18 +0100

git-buildpackage (0.7.1) unstable; urgency=medium

  [ Guido Günther ]
  * [0bb2064] Python3 cleanups
  * [003c7cf,8583e03] Update to git-pbuilder 1.37 and 1.38
    incorporating our changes. Many thanks to Russ Allberry!
  * [7cc509d] manpages: mention git-pbuilder upfront in the workflow and add
    missing pre-build hook
  * [ebe31e6] manpages: consistency for gbp buildpackage.
  * [7835216] Use faster CGit URL for Vcs-Browser
  * [bf4a67d] manpages: document GBP_DISABLE_SECTION_DEPRECTATION
  * [bfe32f1] buildpackage-rpm: add support for mock chroot builder.
     Try: gbp buildpackage-rpm --git-mock --git-dist=epel-6
    This is very heavily based on a patch from Tzafrir Cohen.
  * [84a2025] Support "gbp help <command>" (Closes: #791759)
  * [cbd40e5] import_dsc: Fail if a package has additional unhandled tarballs.
  * [8583e03] import-dsc: Bail out if target dir exists.
    If import-dsc is not run from within a Git repository it tries to create
    one named like the source package. If that directory already exists we
    get confusing message like:
        gbp:info: No git repository found, creating one.
        gbp:warning: Version 0.7.0 already imported.
        gbp:info: Everything imported under /foo/git-buildpackage
    Avoid this by checking if the directory exists and aborting in this
    case. (Closes: #766350)
  * [6d80239] config: Use the same logic for printing a single and all values.
    Printing single values didn't populate the parser with defaults so we
    ended up with empty values for options not set in a config file.
  * [0d6e99d] Add README.source example. This can be used for gbp managed
    projects. Different tools are mentioned in different paragraphs so they
    can be extended or deleted if unused.
  * [d02d812] docs: Update Patches chapter. Mostly mention --commit and remove
    referenes to outdated tools.
  * [597e040] docs: Use <programlisting> consistently.  Use it for command
    blocks instead of a mixture of programlisting and screen.
  * [8e1020d] docs: Move all debian packaging branches into the debian/
    namespace to be consistent with DEP-14

  [ Markus Lehtonen ]
  * [ac020c3,ec331ef,c195442] rpm packaging cleanups
  * [82999a8] docs: enable building html docs with docbook2html if sgxml2x is
    unavailable.
  * [af17809] tests: enable buildpackage-rpm component tests.
  * [89648de] buildpackage_rpm: implement --native option.
  * [fe5ffe0] tests: enable unit tests for buildpackage-rpm

  [ Ken Dreyer ]
  * [aba67ba] git-pbuilder: spelling fix

  [ Lucas Nussbaum ]
  * Import content of https://honk.../debian_packages_in_git/ into the
    official manual.
    (Closes: #809023)

  [ Anthony Fok ]
  * [96df9e3] docs: Restore coloured background for <programlisting> in docs
    by using lower case class names.
    Closes: #gh:14

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Dec 2015 15:26:56 +0100

git-buildpackage (0.7.0) unstable; urgency=medium

  [ Guido Günther ]
  * [17e8a51] docs: Explain gbp dch --upstream-tag. (Closes: #795774)
  * [4da6402] docs: Split manpages between debian and rpm related tools.
  * [16dc010] docs: Add manpages for gbp import-srpm and gbp pq-rpm based on
    Markus Lehtonens work.
  * [24ee8fc] docs: Add missing EOF.
  * [01acdd7] docs: git-buildpackage is not a command anymore
  * [db5d50f] docs: Update pbuilder invocation section. The current docs were
    badly outdated not even mentioning --git-pbuilder.  Also document that we
    use cowbuilder with git-pbuilder. (Closes: #703969)
  * [c39e779] docs: Update gbp.conf manpage. Better explain parse order and
    option format.
  * [26c726e] docs: Add meta-closes-bugnum to gbp-pq manpage since it's used
    with "export --commit".
  * [45a5d08] docs: Use "hook" consistently for commands that aren't strictly
    necessary to run a build.

  * [6da8e46] buildpackage: Pass pbuilder dist to prebuild hook. This can e.g.
    be used to setup a tmpfs for git-pbuilder.

  * [422ae85] buildpackage-rpm: Add a minimal gbp buildpackage-rpm based
    on Markus Lehtonens work.

  * [c57c9fc] config: Don't print None for unset values. Just leave them
    empty.
  * [98df835] config: Don't skip empty values when printing all options, just
    print an empty value. This allows us to get a complete option list.

  * [e4704a6] git-pbuilder: Update to 1.35. (Closes: #765724)
  * [4be0df7] git-pbuilder: Check for sudo. (Closes: #796046)

  * [ffdfcd0] packaging: Update description for rpm packages. Make it clear
    that we're still experimenting with layouts and names.
  * [5704478,da78c09,50767fd,fc60141] rpm: spec file improvements

  * [488ba32] examples: gbp-posttag-push: Be more verbose when pushing.
  * [cf69c46] examples: Remove gbp-cowbuilder-sid, git-pbuilder replaced it
    ages ago.
  * [7630523] examples: Update jenkins-scratchbuilder to not use "git-" but
    "gbp ".

  * [c227c70] tests: Skip buildpackage-rpm component tests until we setup a
    proper test data repo.
  * [48d9d58] tests: Allow to easily check tags in a repo too.
  * [20d3c1d] tests: Add simple component test for buildpackage.
  * [3528b0f] tests: Add simple component test for gbp import-orig.
  * [34b4f65] tests: Add autopkgtest that builds a RPM of ourself.

  * [386d3a7] bash completion: Move from /etc to /usr/share.
  * [57f810c] bash completion: Use _have() instead of have() the later not
    being deprecated.
  * [25ca642] bash completion: Ensure autoload. The completion needs to be
    named like the command to be autoloaded.

  [ Lucas Nussbaum ]
  * [a954d1f] docs: Document gbp import-orig --debsnap.
  * [88833aa] docs: Document gbp import-orig --uscan.
  * [bf60f8a] docs: Fix typos in documentation and man pages.

  [ Markus Lehtonen ]
  * [5cab1bc] tests: tests.testutils: Add ls_dir(), ls_tar() and ls_zip()
  * [7ce69de] tests: Rewrite gbp.tmpfile.
  * [f45585f,6d56f24,a645073,3474d74] rpm packaging improvements
  * [3474d74] docs: Document gbp meta-tag commands of pq-rpm.
  * [a9ed4b2] docs: Document some options of buildpackage-rpm.
    Add manpage documentation for some previously undocumented options.
    Also, drop non-existing --git-patch-export and --git-export-only options
    from the manpage.
  * [f157bfb] buildpackage_rpm: Fix crash when package has no source archive.

  [ Jonathan Toppins ]
  * [c89c29d] dch: Allow bug number format to be overridden to help
    derivatives like EX-12345. This also helps in pulling CVE numbers simply
    by letting the user modify the regex to something like 'cve-\d+-\d+'.

  [ Florian Haftmann ]
  * [2dc9177] buildpackage: Early check before attempting to brand using
    pre-existing tag

  [ Rafael Laboissiere ]
  * [cd6d7da] docs: Clarify Gbp-Dch vs Git-Dch meta tag wording.
    (Closes: #797343)

  [ Daniel Gollub ]
  * [5210026] dch: Restore correct version-guessing for -0releases.

  [ Anthony Fok ]
  * [3e1240a] packaging: Add dh-python to Build-Depends
  * [b49bb0d] docs: Change "it's" to "its" in comments where appropriate
  * [881087a] docs: Copy-edit git-buildpackage documentations
  * [d8a30df] docs: Fix SGML validation errors in documentation

  [ James Clarke ]
  * [ae6826b] git-pbuilder: Check correct config file when using qemubuilder.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Oct 2015 08:30:40 +0200

git-buildpackage (0.6.33) experimental; urgency=medium

  [ Carlos Maddela ]
  * [da4d469] Add support for referencing existing local repositories when
    cloning repositories. (Closes: #790889)
  * [97c7a32] Allow exported patches to be renumbered and the patch number
    prefix format to be specified as an option. (Closes: #790890)
  * [279e946] import-orig: Honour --debian-branch option when importing into
    an empty repo. (Closes: #791473)

  [ Guido Günther ]
  * [035b179] import-orig: Add new --merge-mode=replace.
    This allows one to not merge upstream versions into the debian branch
    but rather replace the content of the debian branch and only preserve
    the debian/ dirs content. (Closes: #778594)
  * [3d86432] buildpackage: in overlay mode remove debian/ from unpacked
    tarball.  We don't have a way to influence the upstream tarball in overlay
    mode so remove debian/ after unpack if the source format expects this.
    (Closes: #792692)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Aug 2015 18:29:53 +0200

git-buildpackage (0.6.32) unstable; urgency=medium

  [ Guido Günther ]
  * [82a3971] import-dsc: mention that we create new repos if none found
    (Closes: #748340)
  * [dff628b] Don't insist on cowbuilder that much.
    Allow for pbuilder or sbuild either. Since the integration with
    cowbuilder is currenty best let's see how this turns out. It would be
    nice if somebody would provide some code to detect which builder is
    there and automatically adjust configuration for that one.
    Closes: #695280
  * [eff79b1] Add symlink for git-buildpackage.1.
    Make sure "man git-buildpackage" at least gives enough information where
    to look further.
  * [6a5675c,901581b,64e6fff,5f9e72a] Non C Locale related fixes
  * [a331b7f] Add spec file taken from git-buildpackage-rpm.
  * [46eacf2] Use --set-upstream-to instead of deprecated --set-upstream
    (Closes: #791798)
  * [cf67fc5] Fix urllib.urlopen import six.moves.urllib.urlopen does not
    exist

  [ Felipe Sateler ]
  * [3b99a6d] import-orig: Document pattern replacing in upstream-vcs-tag
    (Closes: #787832)

  [ Evgeni Golov ]
  * [b3341e5] Fix FSF address - thanks rpmlint
    use gnu.org/licences instead of a postal address, as suggested by Guido
  * [df215f3] call debchange instead of dch.
    Call the tool by its actual name instead of the abbriviation.
    dch is a symlink to debchange, which is not present on Fedora

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Jul 2015 20:07:15 +0200

git-buildpackage (0.6.31) unstable; urgency=medium

  * [8241459] pq: Allow to preserve the patch name on import/export
    (Closes: #761161)
  * [32c52b7,58ea067] pylint and python3 cleanups

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Jun 2015 20:00:47 +0200

git-buildpackage (0.6.30) unstable; urgency=medium

  * [474acd9] Allow to automatically determine the dist to build for.
    Setting --git-dist=DEP14 will follow the DEP14 proposal to determine the
    suite to build for via vendor/suite. The exception is sid where DIST is
    just set to be empty as well as native packages.
  * [18d83d5,3894520,c4f82d3] Python3 compatibility

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 May 2015 19:41:25 +0200

git-buildpackage (0.6.29) unstable; urgency=medium

  * [14c4f41] Drop my_collections from spec files.  It trips up recent librpm
    and we don't need the data for the tests anyway.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 May 2015 22:33:06 +0200

git-buildpackage (0.6.28) unstable; urgency=medium

  * [7a0b9df] git-pbuilder: Support creation of chroots for LTS
  * [c11a4d3] Add back completion for pq subcommands. This got lost in
    270f41.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 May 2015 12:43:44 +0200

git-buildpackage (0.6.27) unstable; urgency=medium

  * [15187ba,270f41b] bash-completion: Simplify the code. This additionally
    avoids warnings on unknown commands and gives us basic completion for
    the RPM commands for free.
  * [f22785b] Allow to disable config section deprecations. Sections named
    [gbp-<command>] or [git-<command>] in gbp.conf cause a warning. In order
    to make it simpler to be compatible with ancient gbp versions these
    can be disabled by setting
        GBP_DISABLE_SECTION_DEPRECTATION=true
    in the environment.
  * [3585fdb] bash-completion: Disable config section deprecation warnings.
    It's of no use if we get these warnings on bash completion, it only
    confuses users. They're still shown when running the actual command.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 May 2015 08:55:11 +0200

git-buildpackage (0.6.26) unstable; urgency=medium

  * [72e129b] Drop git-* commands from manpages too.
    Thanks to Michael Biebl (Closes: #783537)
  * [ee2d421] Add a note to NEWS.Debian about the removal of the git-* symlinks

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Apr 2015 00:19:03 +0200

git-buildpackage (0.6.25) unstable; urgency=medium

  [ Markus Lehtonen ]
  * [f10d67f] UpstreamSource.guess_version: recognise debian native tarballs
  * [3ef3304] tests: add tests for UpstreamSource.guess_version()
  * [60ad28f] rpm tests: use eq_ and ok_ from nose tools.
    Provides better error messages as is more consistent as eq_ was already
    used in some test cases.
  * [f089021] tristate: implement __nonzero__() method.
    Returns False if tristate is 'off', otherwise True ('on' or 'auto').
  * [e07aaba] config: support for older six
  * [e4f767f] GitRepository/has_submodules: add treeish argument.  For
    defining a Git treeish which to look into, instead of the current working
    copy.
  * [5a74d4e] tests: add unit tests for gbp.rpm.SrcRpmFile
  * [1e347cc] rpm tests: disable one anomalous pylint error
  * [bd72c30] rpm tests: unbreak spec parsing test for openSUSE 13.2.
    Some SUSE-specific RPM tags are not supported anymore.

  [ Guido Günther ]
  * Upload to unstable
  * Some Python3 compat including using six.
  * [74008c7] Turn off coverage output by default.  It's much simpler to spot
    the cause of test failures this way.
  * [19d9280] Update docs on component tests and mailing list
  * [0b98c48,49f0e44,7ebf843] gbplogtester: robustness so we can finally
    silence the test suite.
  * [b1b7761] config test: fix missing prefix. We want to test no prefix,
    'gbp-' and 'git-'.
  * [335dfdb] command_wrapper: Make error reporting more flexible.
    We allow to substitute stderr, stdout and error_reason in run_error now.
    These changes the API for derived classses slightly so fix them up as
    well.
  * [89574a0] Don't let pristine-tar spew on stderr.
    Capture its output and only dump it on failure. This makes "gbp
    import-orig" and test runs less verbose.
  * [430be38] testutils: Fix __all__. The values weren't correctly seperated
  * [36b90e9] SrcRpmFile: Add stderr to error messages
    so we can better debug failures like
        http://honk.sigxcpu.org:8001/job/git-buildpackage/230/changes
  * [53fbee6] Depend on cpio needed by gbp import-srpm

  [ Daniel Kahn Gillmor ]
  * [83c5cc5] Allow to set upstream-vcs-tag via gbp.conf.
    Also pass it through version_to_tag so
        upstream-vcs-tag = libgpg-error-%(version)s
    properly expands the version replacement. (Closes: #780602)
  * [cb03293] Add %(hversion)s to version_to_tag to support some upstreams
    enigmail upstream uses tags named enigmail-1-8 for 1.8.  Other
    upstreams have used similar conventions, likely as holdovers from CVS
    (e.g. gnupg 1.4.2 was tagged with V1-4-2).  This patch helps packagers
    work with these upstreams. (Closes: #780679)

  [ Martin Erik Werner ]
  * [4a53c0f] docs: Fix diirectory->directory typo in gbp.conf manpage
    (Closes: #783013)

  [ Daniel Gollub ]
  * [aa8548d,e0f8b5b] gbp-dch: Guess upstream-tag based on merge-base to not
    accidentally pick up tags from the Debian branch.
    (Closes: #gh:7)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Apr 2015 09:05:16 +0200

git-buildpackage (0.6.24) experimental; urgency=medium

  [ Guido Günther ]
  * [1d6c4c7] Deprecate legacy config sections.
    We deprecate sections starting with git- and gbp- to reduce the confusion
    about what gets parsed first.  Output a warning if the old format is in use.
    Jessies gbp already supports both formats as does the one in
    wheezy-backports.
  * [e3a8666] Drop all gbp-* and git-* commands as announced in the
    deprecation notice from June 2013. From now on only "gbp <command>" is
    supported.
  * [229f259] buildpackage: Tag currently checked out head.
    Tag the head checked out at command invocation. The build can
    take some time and the repo might have changed underneath us.
    (Closes: #776506)
  * [428e895] Make Debian and Git spelling consistent
  * [644c97f] dch: Support Gbp-Dch: besides Git-Dch: as meta tag
  * [64be54d] pq: Generate new style Gbp-Pq: Topic <topic> entries.
  * [ff40c5d] Move requests import to downloads.
    The requests import takes ages and therefore considerably slows
    down program start up.
    This is very much noticeably during bash completion. Before:
    $ time gbp --list-cmds >/dev/null
    real	0m0.559s
    user	0m0.528s
    sys	0m0.028s
    After:
    $ time gbp --list-cmds >/dev/null
    real	0m0.092s
    user	0m0.088s
    sys	0m0.000s
  * [d86c624] bash-completion: Avoid a pointless fork
  * [0881bfc] Bump standards version
  * Many fixes towards Python3 compatibility

  [ Markus Lehtonen ]
  * [7ce15d2] pq: deprecate the usage of 'gbp-pq-topic:'
    Replaced by the "Gbp[-Pq]: Topic <topic>" command.
  * [aa22e22] import-srpm: support gbp-config command.
  * [1c6df3e] ComponentTestBase: ignore system and user config.
    User might have a system and/or user specific gbp config files. Disable
    these config files so that they don't affect the component tests.
  * [55d5422] patchseries: strip numbering when guessing subject from filename
  * [600d5d7] rpm: suppress stderr when unpacking src.rpm

  [ Dmitrij Tejblum ]
  * [296796f] git-dch --git-author: separate author and email.
    Allow --git-author to work if either author or email is not specified
    in the git config, taking the other config option into account.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Feb 2015 19:19:30 +0100

git-buildpackage (0.6.23) experimental; urgency=medium

  [ Markus Lehtonen ]
  * [7a503e9] pq: move switch_pq() to common.
  * [cb9271f] GitRepository: add diff_status method.
    This is a method of getting the filename and status information of a
    diff. That is, a list of files that changed and their status, "added",
    "modified" etc.
  * [410e613] GitRepository.create_branch: add 'force' option
  * [a84f6c1] ComponentTestBase: add a per-class toplevel temp dir
  * [0e7cb0d] ComponentTestBase: add check_files() method
  * [194b6b8] ComponentTestBase: add dirs argument to _check_repo_state()
    Make difference between regular files and directories, eliminating the
    requirement of listing directories in the file list.
  * [01470e1] gbp-dch: fix handling of the '--meta' option.
    Make it effective again - previously it was totally ignored. Also,
    change it's default value to True to match the current behavior.
  * [f48f0ff] notify: catch RuntimeError when importing pynotify.
    Work around a problem in some distros (e.g. Fedora) where "import
    pynotify" crashes in RuntimeError in some cases, e.g. when DISPLAY env
    variable is not set.
  * [7df4d8c] log: fix auto colorizing for custom streams.
    Check for existence of isatty() method in the stream object. Some custom
    streams (e.g. in nose) do not necessarily have this.
  * [4cd6627] buildpackage/dump_tree: add 'recursive' option.
    For selecting whether to dump all the files recursively or just the top
    level directory of the tree.
  * [ff4cc8b] config: read the right config if run from subdir.
    A step towards being able to run GBP tools from subdirectories.
    Now expands '%(top_dir)s' and '%(git_dir)s' in config file path to root
    of the working directory and git metadata directory, respectively.
    Also, adds a new method _read_config_file() in preparation for
    supporting per-tree config files.
    Fixes tests.test_Config: currently the only correct way to define the
    config file(s) to be parsed is by using the GBP_CONF_FILES environment
    variable.
  * [60479af] Introduce gbp-pq-rpm.
    Initial version of gbp-pq-rpm - a tool for managing patch queues for rpm
    packages. The functionality more or less corresponds to that of the
    (Debian) gbp-pq. The only major difference probably being (in addition
    to the obvious of working with .spec files instead of debian/) is that
    patches are always imported on top of the upstream version, not on top
    of the packaging branch (which might not even contain any source code).
    (Closes: #771215)

  [ Ed Bartosh ]
  * [76739f8] GitRepository: Implement status method.  Simple wrapper to the
    git-status command.

  [ Guido Günther ]
  * [578e394] pq: print which patch got just applied
  * [e098857] test data: Add .git for bare repository
  * [813d01d] Fix argument type
  * [15663e7] import-orig: Add --download option to download tarballs via HTTP
    (Closes: #747101)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 Jan 2015 15:29:57 +0100

git-buildpackage (0.6.22) unstable; urgency=medium

  * [3d8939d] git.vfs: fix close method. Preventing a infinite recursion
    which can be triggered by gbp pq export --commit.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Oct 2014 07:47:21 +0100

git-buildpackage (0.6.21) unstable; urgency=medium

  * [81dab4b] pq: Don't fail commit if the series file is empty on the source
    branch
  * [740e431] man: fix option argument for --git-pbuilder-options
  * [22a6987] Improve change reporting a bit
  * [e08d64d] Complete setup.py for pypi

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Oct 2014 18:41:14 +0200

git-buildpackage (0.6.20) unstable; urgency=medium

  * [ee44479] Allow to always drop pq branch after export (Closes: #761160)
  * [51ac0a5] pq: document --drop
  * [90b283f] meta-closes: Move help text to GbpOptionParser.help
  * [0afcd3d] pq: Add "pq export --commit" option.  This commits the changes
    in the pq right away. This options is currently experimental and subject
    to change.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Oct 2014 11:42:27 +0200

git-buildpackage (0.6.19) unstable; urgency=medium

  * [5d4cb92] Update to git-pbuilder 1.33

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Sep 2014 09:25:48 +0200

git-buildpackage (0.6.18) unstable; urgency=medium

  * Upload to unstable
  * [6edd836] Don't delete *_source.changes on source only builds
    (Closes: #758726)
  * [a37832e] Mention --no-merge (Closes: #760091)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Sep 2014 13:41:05 +0200

git-buildpackage (0.6.17) experimental; urgency=medium

  [ Guido Günther ]
  * [692e5da] Make sure we fixup the changelog trailer with newer devscripts.
    We don't change any mainttrailer options already given.
    Thanks to James McCoy for the detailed explanation (Closes: #740566)
  * [ae5805e] Improve error messages on formatting errors to
    make it easier for the user to detect misformated replacement strings in
    config files and command line options.
  * [5f82f44] gbp: add --version option (Closes: #758909)
  * [04aa92f] Allow to list all available gbp subcommands
  * [68c053f] Unify doc strings a bit since they now show up with --list-cmds
  * [6d510ce] bash completion: make command list dynamic.
    Use "gbp --list-cmds" so we don't have to hardcode the available
    commands and get support for the RPM ones as they show up.

  [ Kamal Mostafa ]
  * [6823e51] buildpackage: Make debian-tag message configurable via
    --git-debian-tag-msg.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Aug 2014 11:31:28 +0200

git-buildpackage (0.6.16) experimental; urgency=medium

  [ Markus Lehtonen ]
  * Doc cleanups and reformatting
  * [736b9d8] Introduce git-import-srpm tool.
  * [ed228a2] import-srpm: add 'vendor' config option.
    Intended to represent the distribution vendor (e.g. 'Debian').
    Currently, this can be used in tag format strings.

  [ Guido Günther ]
  * [0b1fc0d] buildpackage: Also print tag name when tagging the Debian
    release.  Based on a patch by Kamal Mostafa
  * [2bf944f] Pass --no-pristine-tar to SRPM compnent tests
    to avoid pristine-tar showing up in the matched branches
  * [23090c9] Introduce git-buildpackage-rpm. Currently only including "gbp
    import-srpm".
  * Remove newly introducted spurious log outputs from tests

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Jul 2014 15:57:49 +0200

git-buildpackage (0.6.15) unstable; urgency=medium

  * [5cde49a] Revert "Determine build_dir upfront"
    This reverts commit b2549fac19f2d666552291a4fcf2020ca0570834.
    Closes: #749104

 -- Guido Günther <agx@sigxcpu.org>  Sat, 24 May 2014 18:40:44 +0200

git-buildpackage (0.6.14) unstable; urgency=medium

  * [949ce84] Slightly improve usage output
  * [045e607] gbp pq: document --force
  * [817976e] Handle version format errors more gracefully.
  * [b0390d1] Fix committer vs committer typos.
    Thanks to Sandro Tosi (Closes: #748339)
  * [dc231f2] Document that the patches must apply without fuzz
  * [de77df7] pq: Print proper error message if we fail to apply the tree
  * [54e4542] pq: Try harder to cleanup after a failed patch.
    Thanks to Marco d'Itri for the repo to debug this
  * [b2549fa] Determine build_dir upfront
  * [a050942] Improve error reporting on failed commands.
    (Closes: #748248)
  * [030ff96] Improve error reporting on hooks.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 May 2014 22:47:37 +0200

git-buildpackage (0.6.13) unstable; urgency=medium

  [ Guido Günther ]
  * [14f6ded] Test option parser fallbacks more thoroughly
    revealing another bug where we overwrote parsed values with defaults
    (Closes: #733759)
  * [03ada72] .gitignore: ignore editor backup files
  * [4c6b067] Add minimal 'config' command.  This only allows to print single
    config values so far. (Closes: #733470)
  * [b393080] Import command not module. This matches the function name.
  * [459d9bf] config: add decorator to add_option_* functions.
    This allows us to build an internal list of valid options and print
    these.

  [ Markus Lehtonen ]
  * [a8cfd88] Revert "GitRepository/add_remote_repo: fix the 'tags' argument"
    Which caused an unwanted behavior of not fetching refs/heads at all --
    only tags were fetched.
    This reverts commit 5dd598fb8f2a9109189fad6cf631811f12ce2130
  * [4131b90] docs: re-enable missing manpage

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Apr 2014 21:31:38 +0200

git-buildpackage (0.6.12) unstable; urgency=medium

  * [89f3005] Use a much simpler version to fix the command name in --help
    mostly reverting e1780f0. (Closes: #742907)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Mar 2014 00:17:59 +0100

git-buildpackage (0.6.11) unstable; urgency=medium

  [ Guido Günther ]
  * [38cfa6c] Request verbose output on bug reports
  * [d000b0c] Remove incorrect docs about multiple filter options
    (Closes: #718536)
  * [fd440e2] Use a temporary directory.  This avoids file name collisions and
    weired files in the working copy.
  * [e1780f0] Fix command output.
    The first line lacked the subcommand like:
    $ gbp pull --help
    Usage: gbp [options] - safely update a repository from remote
    instead of
    $ gbp pull --help
    Usage: gbp pull [options] - safely update a repository from remote
               ^^^^

  [ Mario Lang ]
  * [077dc35] Fix config file name

  [ Markus Lehtonen ]
  * [3808523] docs: add some missing sgml closing tags
  * [d8f55da] GitRepository/get_commit_info: correctly handle file
    renames/copies.  Use the '--no-renames' git command line option in order
    to prevent two filenames per entry.
  * [5dd598f] GitRepository/add_remote_repo: fix the 'tags' argument.
    Explicitly use --tags in git arguments - otherwise tags might not be
    fetched.
  * [15d87fb] tests: more robust check for the default urgency level of dch.
    The dch tool might not report it's version if it is incorrectly compiled.
    Create a dummy changelog and parse it "manually" to determine the default
    urgency level.
  * [7774375] pq: minor log message typo fix
  * [bbf21bf] ComponentTestBase: use regex matching in log checking

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Mar 2014 22:27:38 +0100

git-buildpackage (0.6.10) unstable; urgency=medium

  * [f1bc542,1b0b17c] config: Don't pull in config defaults twice.
    This would otherwise overwrite values set in the legacy config sections.
    (Closes: #733759)
  * [7e26f91] Remove cover-min-percentage.  It makes running single tests
    harder than necessary since it requires the percentage also when using
    "nose <testname>".
  * [d533e0f] import_dsc: Create missing debian branch with
    --create-missing-branches (Closes: #739888)
  * [df32264] git-import-dsc: Document --create-missing-branches

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Feb 2014 17:56:47 +0100

git-buildpackage (0.6.9) unstable; urgency=medium

  [ Guido Günther ]
  * [78f3673] Depend on newer devscripts.
    These contain a uscan that handles repackaging at the right level and
    won't let us pick up the wrong tarball name.
    Thanks to gregor herrmann and all others involved (Closes: #635920)
  * [7c64575] Avoid backtrace on config file parse errors
    "gbp buildpackage" did this already but others didn't (Closes: #733759)
  * [7b1eadd] Make parsing config file sections symmetric.
    Always read the legacy command's config file section prior to the
    subcommand's config file section.
    Until now 'gbp <subcommand>' would read '[subcommand]' as well as
    '[gbp-<subcommand>]' sections while 'gbp-<subcommand>' would only read
    '[gbp-<subcommand>]' sections. (Closes: #733759)
  * [49f0e44] Change the default of cleaner to /bin/true.
    Running a clean command within version control by default nowadays
    causes more trouble than it helps. It's unnecessary with
    pbuilder/cowbuilder/sbuild and with export-dir. So change the default
    from 'debuild clean' to a noop ('/bin/true'). (Closes: #670624)
  * [d93c89f] import_orig: test error paths of find_source
  * [daf249f] docs: improve docs on using upstream's git repo.
    The documentation on using upstream's git directly instead of tarballs
    was very terse. Add a step by step guide on how to get started and
    how to update to new upstream versions.

  [ Markus Lehtonen ]
  * [e876beb] tests: adapt dch tests for older devscripts.
    Determine the default urgency level by determining the version number of
    the dch tool from command line.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2014 11:45:00 +0100

git-buildpackage (0.6.8) unstable; urgency=medium

  * [f5718b8] No need to document --verbose.  Properly document --help
    instead.
    Thanks to Olivier Berger for pointing this out (Closes: #731149)
  * [e746d5f] Adjust test cases to newer devscripts (Closes: #732384)
  * [ca93ccb] Run nosetest on executables too.
    They're all well behaved and this allows us to use doctests in them
  * [eec8ce3] Determine changes file name based on dpkg-buildpackage options
    (Closes: #732678)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Dec 2013 17:21:20 +0100

git-buildpackage (0.6.7) unstable; urgency=low

  * [ab5a708] import-dsc; Merge upstream version by tag
    instead of simply using the upstream branch name. THis makes sure
    we also merge upstream versions that were imported previously with
    e.g. "gbp import-orig". (Closes: #698222)
  * [2042144] log: add error and warning aliases since I tend to use them
    instead of err and warn. (Closes: #728896)
  * [bc5ce39] Fix description of backports branches
  * [00d830c] Use --distribution instead of --dist (Closes: #730788)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Nov 2013 20:52:03 +0100

git-buildpackage (0.6.6) unstable; urgency=low

  [ Guan Junchun ]
  * [284eea5] gbp-clone: support repo URLs like "host:repo.git" Previously,
    gbp didn't correctly parse this kind of URL and clone failed.
  * [d52abf3] gbp-clone: support cloning to a specific directory
    (Closes: #725666)

  [ Guido Günther ]
  * [3092623] Add missing bash completion for gbp import-dscs
    (Closes: #727749)
  * [fc5b485] import-dsc: allow to skip Debian tag creation
    (Closes: #636368)
  * [6f0c8f9] Update to git-pbuilder 1.30 that resyncs with what we shipped in
    gbp.
  * [3e09958] Disable html coverage generation until python-nose is fixed.

  [ Markus Lehtonen ]
  * [c661c71] pq: rewrite patch export functionality.
    Use our own function for constructing the patch files instead of using
    the format-patch command of git. This way, we get the desired output
    format directly, without the need for the error-prone "format-patch,
    parse patch files, mangle and re-write patch files" cycle.
    Also, fix patch naming in patch generation when '--no-patch-numbers' is
    used.  Previously, multiple commits with the same subject resulted in
    multiple patches having the same filename. This lead into broken series
    with missing patches as patch files were overwritten by the topmost
    commit.
  * [017fac3] pq.format_patch: support file path filtering.
    Implements a filter option that allows filtering out changes to certain
    files/paths in the patch-generation. A commit is totally ignored if all
    files would be filtered out. The path filter is given as a Python
    regexp.
  * [a0d6eb7] pq: properly generate non-ascii patch files.
    Encode non-ascii email headers properly. Also, set MIME headers
    correctly for the message body if the commit message body contains
    non-ascii characters.
    The reason for constructing the message in a little bit "clumsy" way is
    the intention is to match the output of git-format-patch as closely as
    possible.
  * [91fbdc1] pq: support patch-export commands.
    Support giving commands to pq as a meta tag in commit message. The
    format is "Gbp: <command> [args]".
    Currently, only one command is supported. namely 'ignore'. That is, one
    can use 'Gbp: Ignore' in the commit message for ignoring the commit in
    patch-generation.
  * [3dccca6] pq: add format_diff() function.
    For generating a patch file from a diff between two arbitrary commits.
  * [34e85f7] pq: listen to 'Gbp-Pq:' commands, too
  * [99c6995] pq: support 'Topic' patch-export command.
    Topic can be defined with either 'Gbp: Topic <topic>' or 'Gbp-Pq: Topic
    <topic>' in the commit message.
    This is to replace the "gbp-pq-topic: <topic>" command.
  * [0c0086b] docs: update pq manpages regarding pq command meta tags

  [ Felipe Sateler ]
  * [babbc5e] Add zsh completion.
    (Closes: #717002)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Nov 2013 08:21:55 +0100

git-buildpackage (0.6.5) unstable; urgency=low

  [ Etienne Millon ]
  * [ba4f778] doc: Fix git-pbuilder example (Closes: #725875)

  [ Guido Günther ]
  * [3be2947] Be more robust about git status output changes by using
    --porcelain. Heavily based on a patch by rian m. carlson
    (Closes: #726260)
  * [ae460e1] Bump standards version

  [ Andrew Starr-Bochicchio ]
  * [4368694] Don't export DEB_VENDOR="Debian"
    Tests now take Ubuntu versions into consideration. (Closes: #723756)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Oct 2013 10:29:58 +0200

git-buildpackage (0.6.4) unstable; urgency=low

  [ Guido Günther ]
  * [0385dc5] docs: having an upstream branch is a recommendation rather than
    a hard requirement, we can use any treeish to build the upstream tarball
    from.
  * [e398469] Remove unused import
  * [f738be3] Add link to online docs
  * [ec7bd94] pq: print which patch failed to apply
  * [820100d] pq: Only print number or tries if we try more than once
  * [a86ccb7] Update to git-pbuilder 1.29
  * [b494801] Backports got integrated into the main archive.  From wheezy on
    we can use the main archive

  [ Markus Lehtonen ]
  * [4030c19] docs: minor sgml syntax fix
  * [e72a1e2] config: restore mangled env in doctests.
  * [0eeafba] GitRepository/diff: add 'stat' and 'summary' options.
  * [8cdc06f] ComponentTestBase: more verbose output in case of branch mismatch
  * [af2034c] ComponentTestBase: fix env restore in teardown
  * [54099f5] import-orig: import readline in the common module.
  * [6c478a6] ComponentTestBase: keep tmpdir if GBP_TESTS_NOCLEAN is in env
  * [bc40956] GitRepository: Add clean() method
  * [e48f0a0] GitRepository.diff: add 'text' option.  for generating textual
    diffs.
  * [3c0a022] GitRepository.diff: prevent usage of external diff.  External
    diff might break patch generation, for example.
  * [6f3d63a] ComponentTestBase: use eq_() ok_() from nose.tools for better
    assert messages.
  * [e54289e] common/buildpackage: fix handling of empty tarball prefix as
    needed for rpm builds
  * [39f581e] GitRepository.diff: add 'ignore_submodules' option
  * [b9b9eea] GitRepository.list_tree: add 'paths' option.
  * [3eb401d] git: new class and method for remote repositories.
  * [28fdf4c] GitRepository.has_remote_repo: use get_remotes method.
  * [b4e5b73] GitRepository: deprecate the get_remote_repos method.
  * [c222197] tests: add test for archiving without git submodules
  * [92f29be] tests: use eq_ and ok_ from nose tools in submodule tests.
    For consistency and better assert error messages.
  * [f858f87] tests: add some docstrings to git submodule tests.
  * [1d92bfe] tests: upper case global variables in submodule tests.
  * [6b8037e] tests: remove unused import in submodule tests.

  [ Lingchaox Xin ]
  * [07b3054] GitRepository.has_treeish: minor pylint fix
  * [eca5a33] GitRepository.describe: add 'tags' and 'extra-match' options
  * [1320de2] GitRepository.fetch: Add 'refspec' option
  * [171579f] GitRepository.fetch: Add 'all_remotes' option
  * [68baa9a] GitRepository.push: Add 'force' option
  * [d28c7cc] GitRepository.push: Add 'tags' option
  * [db79c5d] GitRepository.pull: Add 'all_remotes' option.
    Also changes the method to utilize the GitArgs class.

  [ Osamu Aoki ]
  * [8441bba] typo s/bei/be/ (Closes: #722359)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 06 Oct 2013 17:35:14 +0200

git-buildpackage (0.6.3) unstable; urgency=low

  * [60ffe95] --git-hooks doesn't take an argument
  * [7a29e42] Move MockedChangelog to testutils and allow to specify the
    content so we can reuse it for other dch tests.
  * [938e4cd] dch: make automatic adding of new sections more robust.
    The code that determined if we found a snapshot header was obfuscated by
    the code that determines the commits to add. Split those and better
    document their purpose. Also always return the commit to start from so we
    don't need to repeat the logic in the upper levels.
  * [d0fb6d8] Minor docstring updates
  * [388cfb8] docs: Add recommended branch layout.
    It'd be nice to have similar branch layouts among packages so recommend
    one that worked well so far.
  * [34b2079] GitRepository: allow to use '..' instead of '...'
    The symmetric difference isn't always useful since it includes changes
    from both branches. See #680705.
  * [f793ed0] pq: exclude patches from Debian packaging branch.
    When regenerating the patch queue including patches from the Debian
    branch is not useful. Addresses parts of #680705.
    Thanks to Benjamin Cama for the detailed analysis.
  * [283c847] docs: Refert to gbp in the introduction since this wraps all
    commands now.
    Thanks to Ross Boylan for pointing out that the current wording is
    confusing.
  * [8f073eb] docs: remove superfluous at
  * [c9d3d93] Use open() instead of file() since the later doesn't exist in
    python3

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Aug 2013 19:35:34 +0200

git-buildpackage (0.6.2) unstable; urgency=low

  * [194d396] Document gbp's help option
  * [56068e5] Git.Repository.__git_inout: properly set stdin.
    We should set stdin to subprocess.PIPE when piping input according
    to the subprocess docs.
  * [585439e] Git.Repository.__git_inout: Close all other file descriptors.
    No need to leak fds to the child.
  * [9af1868] gbp.git.Repository.get_branch(): use _git_command
    instead of the deprecated _git_inout and clarify the return codes and
    exceptions raised.
  * [a2ce387] gbp.git.GitRepository.has_branch(): use _git_command instead of
    the deprecated _git_getoutput
  * [2145c58] Test succesful import too and make sure we don't spew to stderr
    during this test
  * [8d2ceba] Make sure we keep our test coverage
  * [00a4162] Switch to debhelper level 9 which is available in Wheezy
  * [55ba9b8] Update Vcs-Browser URL
  * [e829dc5] Add symlinks to the manpages for the deprecated commands and
    make lintian happy (Closes: #714489)
  * [fc74aa2] Fix broken xrefs
  * [2a233a7] Add examples for importing upstream sources
  * [cef5bae] Add gbp buildpackage example showing git-pbuilder invocation
  * [1b38d90] Remove duplicate config files section in the "gbp buildpackage"
    man page
  * [a22eee2] GitRepository.set_upstream_branch: Newer git wants a valid
    remote repo entry so set one in the tests before trying to set the
    upstream branch. Found with git 1.8.3.2
  * [7762b17] GitRepository.set_upstream_branch: don't try to set upstream
    twice.  Move setting of the upstream branch out of the loop. This worked
    by accident so far.
  * [b615db5] GitRepository.set_upstream_branch: Catch errors to set upstream
    branch
  * [b8e921e] GitRepository.set_upstream_branch: use --set-upstream-to if
    available since --set-upstream is deprecated.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jul 2013 21:46:00 +0200

git-buildpackage (0.6.1) unstable; urgency=low

  * [42769e3] Split {Build-,}Deps per line
    and sort alphabetically
  * [747a273] Depend on python-pkg-resources (Closes: #714238)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Jun 2013 11:23:03 +0200

git-buildpackage (0.6.0) unstable; urgency=low

  [ Guido Günther ]
  * Introduce gbp supercommand to get rid of the git-<command> vs.
    gbp-<command> inconsistencies:
      * [12dce5f] Add wrapper for all gbp commands.  So like git you can now
        use gbp <command> instead of git-<command> or gbp-<command>. The
        manpages and docs aren't adjusted yet.
      * [416f690] Bash complete on "gbp <command>" too
      * [5684b18] Add gbp manpage
      * [6b1b41f] docs: Use gbp <command> instead of {git,gbp}-<command>
      * [daccfa0] manpages: Changes references from git- to gbp-
      * [1d90e73] docs: Rename the entities from &git-<command>; to
        &gbp-<command>;
      * [1eea5d5] gbp.conf: Use command names instead of {git,gbp}-
      * [c365f7c] Rename the sgml files from git- to gbp-
      * [55fded7] NEWS: add a note about the new gbp super command
      * [b47b7e8] Update package description
      * [fe9f925] GbpOptionParser: Make sure we parse the old config sections.
        For backward compatibility between {gbp,git}-<command> and "gbp
        <command>" make sure we parse the former sections if using the later.
      * [375014d] gbp: support --help
      * [a5aff11] Consistently call gbp the supercommand and robustify against
        invalid modules names.
      * [e09ef94] gbp-import-dscs: invoke gbp import-dsc instead of
        git-import-dsc
      * [38d43b4] config: Don't fill in the parser with all defaults.
  * [4d6eecb] GitRepository.get_subject: use get_commit_info.
    This kills another _git_getoutput. Also deprecate the method since we
    don't need to special case the subject.
  * [caff99c] GbpOptionParser: Make sure we access the GbpOptionParser*'s
    default dict and not the one from the OptionParser. The instance's default
    dict this gets reset to empty when invoking OptionParser.__init__.
  * [1158503] GbpOptionParser: add test for 'filter' option handling
  * [ed63276] Git-Ignore generated gbp.conf.5 too
  * [3966076] Remove unused imports
  * [b59818d] import-dsc: print filename instead of object name

  [ Markus Lehtonen ]
  * [fa414e5] gitmodifier: make the datetime object always have timezone.  To
    be consistent with the date property and for easier compatibility with git
    dates.
  * [f717975] GitRepository/get_commit_info: add patchname to info.
    Add a new 'patchname' field to the information returned by
    get_commit_info. That is, the subject in a sanitized format, similar to
    what git-format-patch uses.
  * [74d956f] import-orig: keep working copy in sync with branch HEAD.
    Update working copy and index (to branch HEAD) if we modify the
    currently checked-out branch. Otherwise the repository is left in
    unclean state when the current branch is upstream or pristine-tar and
    the '--no-merge' option is used.
  * [a30f9e7] buildpackage: use get_commit_info() instead of get_subject()
    Utilize the get_commit_info() method of GitRepository instead of the
    deprecated get_subject().
  * [75cbd9a] GitRepository/diff: allow single object.
    Allow diffing a single object, e.g. getting diff from single commit.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 26 Jun 2013 16:36:41 +0200

git-buildpackage (0.6.0~git20130530) unstable; urgency=low

  [ Guido Günther ]
  * [f4acd7a] GitRepository: Use LC_ALL=C when checking features.
    This fixes the doctest and also makes sure we use an up to date manpage.
    Thanks to Daniel Dehennin for the report.
  * [9c5bd03] Add Jenkins Scratchbuilder example.
    It's a simple script that can be used to build Debian packages via gbp
    and Jenkins.

  [ Gaudenz Steinlin ]
  * [47f2dea] git-buildpackage: Unbreak overlay mode (Closes: #708636)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 May 2013 15:24:05 +0200

git-buildpackage (0.6.0~git20130506) unstable; urgency=low

  [ Guido Günther ]
  * Get rid of lots of spurious output to stderr, only report it in error
    cases. This makes the tools and the testsuite less chatty.
  * [4abfa6a] gbp-pull: Fix typo in help output
  * [90ffae8] manpages: Document gbp-pull's --ignore-branch option

  [ Markus Lehtonen ]
  * [9e3267a] DebianSource: raise DebianSourceError if reading changelog fails
  * [a36dc64] buildpackage: catch and handle DebianSourceError gracefully
  * tests: fixes for older dch
  * [36341dd] GitRepository: add describe() method.
  * [ae63dba] DebianSource: fix is_native()
    Determine from changelog if debian/source/format does not provide any type
    (1.0 format).
  * [f880910] tests: Fix tests for Ubuntu.
  * [f9722f6] buildpackage: implement --[no-]hooks option.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 May 2013 19:18:49 +0200

git-buildpackage (0.6.0~git20130414) unstable; urgency=low

  * [e948bd3] Don't try access source before it's filled

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Apr 2013 19:36:57 +0200

git-buildpackage (0.6.0~git20130413) unstable; urgency=low

  [ Daniel Dehennin ]
  * [a9bf9cf] Move debian/changelog manipulation to gbp.deb.changelog.ChangeLog.
    (Closes: #672954)
  * [ae4a368] Add option to manage distribution fields for non snapshot mode.
    The snapshot mode fails to merge two "debian/changelog" entries if the
    distribution is not "UNRELEASED".
    (Closes: #646684)
  * [920053e] Add urgency management.

  [ Guido Günther ]
  * [62d3b99] Move DebianPkgPolicy to separate module
  * [7335735] Move DscFile to separate module
  * [e5d9816] Generate coverage xml for cobertura style coverage information
    that can be picked up by e.g. Jenkins
  * [6eb2ddc] Use _git_inout for git.show
    so we don't spew the error message on stdout for nonexistent objects
  * [d510f2a] Honor debian/source/format when checking if a package is a
    native package (Closes: #669267)

  [ Markus Lehtonen ]
  * [54679eb] Add .coveragerc.
    To get correct report if coverage is invoked directly (not through
    nose/disttools) in order to get an xml report, for example.

  [ Thomas Koch ]
  * [3d6b68a] tests: Use tempfile.mkdtemp to create temp dirs for tests.
    This puts test dirs below /tmp which often is a tmpfs.
    All tests include the context module which consolidates tmpdir creation
    and cleanup, undoes a chdir in teardown and silences log messages.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Apr 2013 14:27:06 +0200

git-buildpackage (0.6.0~git20130329) unstable; urgency=low

  [ Guido Günther ]
  * [703da99] Remove unused imports
  * [db66286] Return boolean types from is_ methods instead of a match object
    or None
  * [db3505f] Better document how one derives from PkgTypes
  * [eb999f7] Allow for upper case characters in the upstream version
    (Closes: #703694)
  * [fc9d019] Purging of the build dir should be configurable via a config file
    so introduce --git[-no]-purge which is consistent with the other
    boolean options and deprecate --git-dont-purge. (Closes: #702200)
  * [5925499] Split out building a debian version from an upstream commit
    based on a patch by Daniel Dehennin
    Needed for #672954, #646684, #669171
  * [dafb5a3] Fix docstring

  [ Markus Lehtonen ]
  * [8b80e38] ComponentTestBase: close streamhandler when stopping log capture
  * [5ef9e77] gbp-pull: update tags, too.
    To make sure that the tags are in sync with the remote.
  * [6fc1c08] tests/component: pylint fixes.
    Add module docstring and wrap one overlong line.
  * [7709f21] tests: skip test_Changelog if 'dch' tool is not available
  * [dcf7467] setup: possibility to skip nosetest requirements.
    Makes it possible to not require test requirements by defining
    WITHOUT_NOSETESTS environment variable when running setup.
  * [3d80b2f] GitRepository/_cmd_has_feature: more intelligent parsing.
    More intelligent parsing of the git output (man page). Try to
    parse optional options like '--[no-]standard-notes' of git-show
    correctly. In this example both 'no-standard-notes' and 'standard-notes'
    would be available.
  * [57bbd0a] GitArgs: utilize the add() method in other add_X methods.
    Only use the add() method for updating the argument list. This makes the
    code more robust and makes all add method variant types support the same
    argument types.
  * [3b873f7] ComponentTestBase: capability to check files of repo.
    Makes it possible to check that the correct files are present in
    the working copy of the repo.
  * [64ed77c] tests.test_GitRepository: import and setup gbp.log.
    In order to initialize gbp logging properly. Fixes false positives when
    the GitRepository tests are run alone.

  [ Zhang Qiang ]
  * [6703edc] packaging: Add man as dependency.
    Required by GitRepository._cmd_has_feature() method.

  [ Daniel Kahn Gillmor ]
  * [4323cc8] Include the name of the package being built in the debian tag
    message.  (Closes: #704018)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Mar 2013 12:34:07 +0100

git-buildpackage (0.6.0~git20130314) unstable; urgency=low

  [ Guido Günther ]
  * [4a5fa0d] Ignore rope project files as generated by ropemacs
  * [c6b7bc2] gbp-pq: Improve patch header write out.  Avoid trailing new
    lines in the patch header when reexporing patches.  to avoid diffs when
    nothing changed.
  * [2fa7cac] gbp.log: lowercase the levelname too match the output before the
    switch to Python's logging module
  * [00ed38f] gbp.log: Improve error message on broken color lists
  * [744f85b] gbp-create-remote-repo: Set HEAD in remote repo
    to debian branch (Closes: #692006)
  * [3591792] git-dch: Allow to create changelogs when not on a branch.
    This makes snapshot changelog generation e.g. within jenkins builds
    simpler since jenkins by defaults checkouts out the commit without
    creating a branch.
  * [5176d2a] Check the sha1 doesn't exceed 40 bytes
  * [c097397] Document --git-pristine-tar-commit
  * [9e30bf2] Add component test initialization very heavily based on code by
    Markus Lehtonen
  * [3820adc] Add test data submodule
  * [9ec98c5] Move over import dsc test from external test suite.  Move over
    the first test from our external (shell based) test suite to the component
    tests.
  * [80b5c64] Add missing --git- (LP: #1112831)
  * [b678c6a] Fix typo.
    Thanks to Andreas Beckmann (Closes: #700443)
  * [4ef1081] examples: fix logging.
    Thanks to Carsten Schoenert

  [ Markus Lehtonen ]
  * [83c2c3f] log: rewrite the module to use Python logging module.  Replaces
    the Logger with a new one, derived from the Logger class of the Python
    standard library. Colorized output is handled by a separate handler class.
  * [48c48c9] log: add support for setting the color scheme.  Implements
    changeable color schemes in the gbp.log module. Color scheme is given as a
    colon-separated list, with one color for each log level:
    '<debug_color>:<info_color>:<warning_colro>:<error_color>'. Colors can be
    given as an integer number (ANSI terminal color code) or color name (.e.g
    'red').  Missing or empty fields are interpreted as using the default color
    for that log level.
  * [ebbe635] New configuration option for setting the output color scheme.
    Adds a new command line and config file option 'color-scheme' for
    selecting the colors used in log output.
  * [ec2b74c] GitRepository/strip_sha1: fix length checking.
    Accept longer sha1 than what was asked for. The length option given to
    git is merely a "wish to get a sha1 of this length". Git may also return
    longer sha1 if truncating to given length would give
    ambiguous/non-unique sha1.
  * [c9011f7] Tristate: allow to init from another Tristate object
  * [4b719cd] Tristate: drop broken and unused is_valid_state() method
  * [4bdfe2a] log: make color setting a tristate on/off/auto.
    Makes it possible to force color=on e.g. when piping output. Also, moves
    all 'auto' logic to one single place, i.e. the streamhandler.
  * [ab7a732] pq: do author guessing outside the apply_patch functions.
    Call the author parsing/guessing function outside the apply patch
    functions. This way, the caller can decide when to do the guessing, and
    with which parameters. Now the apply_patch functions do what their name
    suggests.
  * [9c80f14] buildpackage: add 'force' option to write_wc()
    To select whether to include file that would otherwise be ignored by
    gitignore (.gitignore or .git/info/exclude).
  * [5e6f163] tests.testutils: baseclass for testing commandline tools.
    Introduce a new baseclass to be utilized in testing the git-buildpackage
    command line tools.
  * [af0ee43] pq/apply_and_commit_patch: fix date parsing.
    GitModifier doesn't support dates in the format used in git format-patch
    emails.
  * [97cd5bd] gbp-clone: fix return value in case of GitRepositoryError
  * [377de2d] gbp-pull: fix --depth cmdline option

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Mar 2013 07:16:49 +0100

git-buildpackage (0.6.0~git20121124) unstable; urgency=low

  [ Guido Günther ]
  * [c3c2778] Add minimal debian/source/format parser
  * [3878867] PEP-8 and pyflakes cleanups
  * [30c1821] Add support dch's --security option
  * [4970b42] gbp-pq: Print number of import tries left
  * [cf48b03] Allow to remove the orig tarball symlink that's used make
    pristine-tar see the correct orig tarball name.
    (Closes: #692401)
  * [09ba538] GbpError accepts an error message so no need to print it
    separately.
  * [a488695] Minor git-import-orig manpage improvements
  * [4c9bb9f] Add missing git- prefix to --color and --notify options.
    Thanks to Filippo Rusconi (Closes: #693978)
  * [9478bad] testutils: create missing directories when adding a file
  * [691856d] Use an absolute path when parsing the control file so we can't
    accidentally parse a file from another dir.
  * [d248720] Test apply_and_commit_patch
  * [3952091] gbp-pq: Allow to pass in custom function to fetch authorship
    information so the RPM based tools don't need to rely on a control file
    but can e.g. look at the spec file.
  * [7f2c9c1] gbp-pq: Test if setting a topic works
  * [f4d493d] Add sha1 stripping in a single place so we can easily sanity
    check the result.
  * [95ec21a] Output test results in xunit format too to make it more useful
    in Jenkins CI builds
  * [24fdd97] Test gbp.pq.common.write_patch
  * [824e83e] gbp-pq: don't use plural form when there's only one try left
  * [8b01d37] git-import-dscs: Properly catch import errors
    (Closes: #694113)

  [ Dmitrijs Ledkovs ]
  * [323bdcf] Fix  testsuite failure if DEB_VENDOR != Debian.
    (Closes: #692289)

  [ Markus Lehtonen ]
  * [f4d2e21] GitRepository: implement _cmd_has_feature() method to allow
    compatibility with older git versions.
  * [dfbedfe] GitRepository: fix merge() for older git versions using
    _cmd_has_feature() in GitRepository.merge().
  * [ba854d8] GitRepository/diff: add 'paths' argument to makes the diff
    function more versatile
  * [b7cdef5] GitRepository/diff: catch git error.
  * [fe1e120] command_wrappers: suppress some pylint warnings
  * [4ed1b43] notifications.py: remove unused import
  * [0a9bf99] tests: make tests a Python module to make it possible to reuse
    code between various tests.
  * [932b1c0] pq: fix "no authorship" warning messages.
  * [1da7e0d] import-orig: remove dead if statement.
  * [3678906] import-orig: remove dead GbpNothingImported exception
  * [8bc7921] GitRepository/get_commits: more flexible revision ranges.
  * [36d13cb] GitRepository/get_submodules: use correct path.
  * [3362147] GitRepository/get_commit_info: support tags.
  * [03cdea0] GitRepository/has_submodules: use correct .gitmodules file.

  [ Ed Bartosh ]
  * [8bb62f5] GitRepository.find_tag: change deprecated _git_getoutput to
    _git_inout

 -- Guido Günther <agx@sigxcpu.org>  Sat, 24 Nov 2012 14:55:24 +0100

git-buildpackage (0.6.0~git20120822) unstable; urgency=low

  [ Guido Günther ]
  * [e05bfb9] dch: Fix error reporting on parsing errors
  * [f4162be] manpage: Fix typo in git-dch's multimain-merge option
    (Closes: #684322)
  * [e8d175a] manpages: correct manual section and remove duplicate entry

  [ Zhang Qiang ]
  * [0af1e72] GitRepository/branch_contains: remove prefix '*' in branch name.

  [ Markus Lehtonen ]
  * [678f85f] docs: fix cross-referencing in manpages.
  * [f0d4b0d] docs: make refentry ids of manpages more consistent
  * [dc3b3b6] GitArgs/add: support iterable and non-string args.

  [ Ed Bartosh ]
  * [7524bbb] GitRepository: Implement set_upstream_branch and
    get_upstream_branch methods

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Aug 2012 10:58:07 +0200

git-buildpackage (0.6.0~git20120803) unstable; urgency=low

  [ Guido Günther ]
  * [6287b0d] gbp.conf: Make config option printing more consistent
  * [9430ee1] Make TestDir testcase use a newly created directory neeeded for
    the upcoming packagename/version parsing support
  * [e9d239b] UpstreamSource: automatically detect package name and versions
    from directories of the form packagename-<version>
  * [41482a3] tests: test GitRepository.get_commit_info()
  * [dd593a0] GitRepository: return GitModifier object instead of separate
    fields this make sure the number of return values doesn't stays sane when
    also returning timestamps and committer information.
  * [92a744e] GitRepository: Add test that covers remote branches in
    has_branch()
  * [e6e0150] Make exception syntax consistent
  * [d3ee4b0] GitRepository: Make rev_parse's short option an int everywhere
  * [891ea2b] git.repository.GitRepository.add_remote_repo: use GitArgs
  * [036db95] gbp.git.GitRepository: Add remove_remote
  * [4db02e5] Fix variable renaming
  * [f4da964] GitModifier: More flexible date handling.
    Allow to pass in the date as datetime object, timestamp or git raw date.
    and allow to retrieve these values. This make constructing GitModifiers
    from python simpler.
  * [cd829c9] GitRepository: raise GitRepositoryError on git errors.
    Raise GitRepositoryError in cases where CommandExecFailed (from
    GitCommand) was previously silently passed forward.
    Heavily based on a patch by Markus Lehtonen.
  * [7a9f947] GitModifier: use __getitem__ to fetch date
    instead of accessing __dict__ directly which only has _date.
  * [c4524f8] GitModifier: add tests for dict interface
  * [c47deff] Remove multiple spaces
  * [56a8672] Skip tests requiring devscripts if dch is not there
    so tests don't fail on rpm based systems.
  * [5961a4d] Test help output by importing the modules
    so we get correct coverage information for the scripts
  * [68efed1] gbp.command_wrappers: Reformat to 80 chars line length
  * [aa2ba85] Add tests for gbp.deb.{DpkgCompareVersions,DscFile}
  * [83577af] Move uscan to separate class
  * [776cbb7] Improve error reporting from uscan
    by parsing out the warnings and error fields from the dehs output.

  [ Markus Lehtonen ]
  * [9b68e37] import-orig: move is_link_target() to common module.
    This change makes is_link_target() re-usable in the upcoming RPM-tools.
  * [36e0986] common/pq: use strip in apply_and_commit_patch()
    Use the strip information of the patch when applying patches. Also,
    changes GitRepository.apply_patch() to accept integer values as 'strip'
    argument.
  * [cc1ebfd] PristineTar: move Debian-specific stuff to DebianPristineTar.
    Continuation to the PristineTar refactoring, makes the "common"
    PristineTar independent of DebianPkgPolicy. This commit moves the
    Debian-specific has_commit() and checkout() methods to DebianPristineTar
    class and replaces them with more generic functions in the base class.
    Also, drops the Debian-specific get_commit() method completely, as it
    was not used outside the PristineTar class itself.
  * [18fc698] GitRepository: fix process cwd in _git_inout()
  * [1e85978] GitRepository: make get_commit_info() more robust.
    Now uses git-show instead of git-log. This is needed for further
    enhancements (namely to get name-status for merge commits). Also, use
    null-character as the field separator which makes parsing more reliable.
    The method now returns 'body' of the commit message as is, without
    stripping or splitting to lines.
    In addition, get_commit_info() now uses GitArgs and _git_inout() instead
    of the deprecated _git_getoutput().
  * [2c668bf] GitRepository/get_commit_info: check return value of git command
    correctly
  * [4d56ab6] GitRepository/rev_parse: add new argument 'short'
    Adds a new argument to get abbreviated SHA1.
    Also, modifies rev_parse() to use GitArgs class.
  * [ba55f9e] GitRepository/get_author_info: return user.name as name.
    Return users full name (user.name) instead of email (user.email) as the
    'name' of the author when taking the value from git config.
  * [21ac2d8] GitRepository: option to ignore untracked in is_clean()
    Add an option to ignore untracked files when checking if the repository
    is clean.
  * [7f9776f] GitRepository/get_commit_info: add author timestamp.
    Add author timestamps to the info returned by get_commit_info() method.
  * [32f725f] GitRepository/get_commit_info: add committer info.
    Add committer to the info returned by get_commit_info() method. Returns
    committer name, email and timestamp as a GitModifier object.
  * [6e4138f] GitRepository/get_commit_info: add file status.
    Add file status and name to the info returned by the get_commit_info()
    method.

  [ Ed Bartosh ]
  * [9c54298] deb.git: Fixed typo in method name
    the double underscore prefix was dropped ages ago.

  [ Daniel Dehennin ]
  * [b970ca0] Test behavior of gbp.scripts.dch.main().
    * tests/11_test_dch_main.py: Test common cases with "--release" and
      "--snapshot". Try 2 consecutive snapshots to check for merged entries.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Aug 2012 19:26:48 +0200

git-buildpackage (0.6.0~git20120601) unstable; urgency=low

  * Upload to unstable
  * [a5f0d87] git-import-dsc: add --allow-unauthenticated
    (Closes: #670623)
  * [a116edd] Refactor deb helpers: move PristineTar class based on a patch
    by Markus Lehtonen. This refactor is preparation to the upcoming rpm
    support.
  * [f52a417] git-buildpackage: add missing import so move_old_export works
    again
  * [16f0309] git-buildpackage overlay-mode: don't fail on files named like
    the tarball. Instead of moving individual files around simply rename the
    directories. This is faster and independent of the tarballs content.
    (Closes: #675412)
  * [7f580d9] git-buildpackage: allow to build packages from detached HEAD
    state with --git-ignore-branch.
    (Closes: #661598)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Jun 2012 23:44:17 +0200

git-buildpackage (0.6.0~git20120524) experimental; urgency=low

  [ Markus Lehtonen ]
  * [3308868] Refactor deb helpers: introduce PkgPolicy class.  Create a new
    'pkg' basemodule, intended to be re-used by the upcoming rpm package
    helpers. Move some deb functionality to a new pkg.PkgPolicy class, to be
    used as a base for different package types. Introduces Deb-specific
    deb.DebianPkgPolicy.
  * [082679d] Refactor deb helpers: move build_tarball_name() from
    UpstreamSource class to DebianPkgPolicy.
  * [f495df9] Refactor deb helpers: move UpstreamSource class to pkg base
    module. This refactor is preparation to the upcoming rpm support.

  [ Guido Günther ]
  * [83165aa] GitRepository.format_patches: allow to set threading format
    and disable it by default.
  * [5de6410] docs: complete git-dch synopsis
  * [1eeb298] Add gbp.deb.ChangeLogSection to parse package and version out of
    a changelog section
  * [1ea487e] Don't explicitly refer to lenny-backports.
    Thanks to Salvatore Bonaccorso
  * [9d1459b] gbp.deb.changelog: Split parsing into a separate function
    this will allow us to reparse the changelog after manipulation with dch.
  * [2ecf9e3] gbp.deb.ChangeLog: Add filename property

  [ Jérémy Lal ]
  * [ae850da] --ignore-branch config help fix

  [ Daniel Dehennin ]
  * [c57d4af] gbp.git.repository: Add a "git merge-base" wrapper
    (Closes: #672642)
  * [edc6483] Provide minimalist debian/control object
    (Closes: #673473)

  [ Salvatore Bonaccorso ]
  * [bb32e94] git-dch: Add support for --team switch for Team uploads
    (Closes: #673368)
  * [016bf21] Document --bpo, --nmu and --qa in git-dch's manpage
    (Closes: #673422)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 May 2012 14:05:47 +0200

git-buildpackage (0.6.0~git20120419) experimental; urgency=low

  [ Guido Günther ]
  * [3b34b26] Make building with DEB_BUILD_OPTIONS=nocheck skip all tests
    heavily based on a patch by Matthijs Kooijman (Closes: #669149)

  [ Matthijs Kooijman ]
  * [a43e9b9] Git-Dch: Full in commit messages.
    This new tag makes git-dch use the full commit message when generating
    the Debian changelog file, even when --full is not given. (Closes: #669159)
  * [b72702f] Bug#669145: Add git-dch --commit and --commit-msg options
    (Closes: #669145)

  [ Markus Lehtonen ]
  * [19b6e24] docs: add some missing tags to sgml files
  * [9c4f34c] Refactor gbp-pq as preparation for rpm support.
    Separate some functions of gbp-pq into a basemodule, intended to be
    re-used by the upcoming rpm variant of the tool.
    Also, introduces a new python subpackage gbp.scripts.common to be used
    for the re-usable parts of the scripts in the refactoring work.
  * [c8e4807] Refactor git-buildpackage as preparation for rpm support.
    Separate some functions of git-buildpackage into a basemodule, intended
    to be re-used by the upcoming rpm variant of the tool.
  * [27c35b1] import-orig: refactor args of ask_package_* functions.
    Makes ask_package_name() and ask_package_version() more generic and
    re-usable in the upcoming RPM-tools.
  * [5826e9c] Refactor git-import-orig as preparation for rpm support.
    Separate some functions of git-import-orig into a baselib, intended to
    be re-used by the upcoming rpm variant of the tool.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Apr 2012 00:24:03 +0200

git-buildpackage (0.6.0~git20120415) unstable; urgency=low

  [ Guido Günther ]
  * [1e68f6e] gbp.git.repository: don't append a second .git when mirroring a
    repository
  * [b7797f9] ALlow to set the output directory via GIT_PBUILDER_OUTPUT_DIR.
    Helps with #657277
  * [407dfa1] Make the upstream version check match policy
    (Closes: #668554)
  * [d1ed77a] Ignore locale when checking for a clean repository
    (Closes: #668896)

  [ Jö Fahlke ]
  * [43e3a60] docs: correct --git-builder default value

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Apr 2012 19:05:32 +0200

git-buildpackage (0.6.0~git20120404) unstable; urgency=low

  * [f4529a4] docs: add --git-upstream-tag to git-buildpackage's manpage
  * [96332cc] Start documenting useful options when upstream uses git. This is
    quiet terse yet so follow up bugs are welcome. (Closes: #664771)
  * [eae4e4a] gbp-posttag-push: Tighten branch regexp so we don't push to
    branches ending with the same name accidentally.
  * [169a924] gbp-add-patch: Fix typo

 -- Guido Günther <agx@sigxcpu.org>  Wed, 04 Apr 2012 18:50:19 +0200

git-buildpackage (0.6.0~git20120324) experimental; urgency=low

  * [8fd6162] gbp-create-remote-repo: Use DebianGitRepository (Closes: #664283)
  * [ddaa653] gbp-create-remote-repo: don't expect a terminal so you can do
    'echo y | gbp-create-remote-repo'
  * [92cc7ba] gbp-create-remote-repo: allow to use local file transport too
  * [6d4b4ff] gbp create-remote-repo: allow to pass template directory to git
    init so it's possible to set up remote hooks.
  * [b9d03af] gbp-create-remote-repo: add --remote-config. This specifies an
    additional config file section that can be used to preconfigure different
    remote locations.
  * [d6e0e8d] git-import-orig: Allow to pass in an upstream vcs tag.  This
    allows to link the import-orig commit with the corresponding upstream vcs
    tag. See #664771 for a discussion.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Mar 2012 23:58:42 +0100

git-buildpackage (0.6.0~git20120315) unstable; urgency=low

  * [3cac77f] docs: Fix path to gbp-configure-unpatched-source. Thanks to
    Tobias Frost (Closes: #664063)
  * [2f08cbd] Parse author and committer from changelog for native package too
    (Closes: #662993)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Mar 2012 22:39:00 +0100

git-buildpackage (0.6.0~git20120311) unstable; urgency=low

  * [83dcb28] Move gbp.conf manpage to section 5 and add references from the
    other manpages

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 Mar 2012 19:23:35 +0100

git-buildpackage (0.6.0~git20120227) unstable; urgency=low

  * Upload to unstable
  * [45d7dc8] import_dsc: Create debian branch for native packages too
    (Closes: #663001)
  * [80cf6d4] Add manual page for gbp.conf.
    Thanks to Jari Alto for the POD version (Closes: #661748)
  * [a8b8536] Build-require a git version that supports --no-edit
    (Closes: #663103)
  * [b4cfcab] Remove build/ directory during clean so we don't step on any
    epydoc leftovers
  * [b6a4387] Bump standards version to 3.9.3
  * [6f2f554] GbpOptionParser: allow to modify list of parsed conf files
    by setting the GBP_CONF_FILES environment variable.
  * [38870d5] git-import-dscs: allow to ignore gbp.conf files stored in the
    repository (Closes: #660898)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Mar 2012 18:56:42 +0100

git-buildpackage (0.6.0~git20120226) experimental; urgency=low

  [ Markus Lehtonen ]
  * [bca9f76] Refactor config.py as preparation for rpm support.
  * [38afb27] docs: add missing tags to sgml files
  * [2081900] gbp-pq: refactor args of write_patch()
    Allows defining the formerly hardcoded patch_dir. This makes write_patch()
    re-usable in the upcoming RPM-tools.

  [ Guido Günther ]
  * Upload to experimental so the current version in sid can move to testing
    first.
  * [7726bca] Make sure we test the built modules not the system ones
  * [1018809] copy_from: remove, not used anymore
  * [09e4080] docs: make version pattern match the code (Closes: #650465)
    Thanks: Leo 'costela' Antunes
  * [970fbaa] config.py: Add default value print out to all options
  * [f3aa87f] GitRepository.merge: add edit option defaulting to False
    (Closes: #659239)
  * [67c8513] Depend on git >= 1:1.7.9.1-1~ for a working "git merge
    --no-edit". Thanks to Jonathan Nieder

 -- Guido Günther <agx@sigxcpu.org>  Sun, 26 Feb 2012 12:09:23 +0100

git-buildpackage (0.6.0~git20120218) unstable; urgency=low

  [ Markus Lehtonen ]
  * [24e7725] Make pristine_tar testcases pass with older git versions that
    don't support user-defined output formats (tar filters) in git-archive.

  [ Guido Günther ]
  * [14d36c0] Depend on git instead of git-core (Closes: #659661)
  * [f25fa9b] Lower dependencies on python-nose and python-coverage the
    versions in Squeeze are recent enough.
  * [7e41626] Require git 1.7 which is already in Squeeze and Lenny Backports
  * [63411b7] gbp-pq: Properly print patch name when guessing authorship
    information

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Feb 2012 16:16:48 +0100

git-buildpackage (0.6.0~git20120210) unstable; urgency=low

  * [d279757] PristineTar: fix links in testcases
  * [44814b7] Include missing doctests in generated API docs
  * [3875d5d] gbp-pull: Use a DebianGitRepository (Closes: #659290)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Feb 2012 09:30:47 +0100

git-buildpackage (0.6.0~git20120209) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Feb 2012 14:08:43 +0100

git-buildpackage (0.6.0~git20120207) experimental; urgency=low

  * Upload to unstable
  * [1e51936] git-import-orig: Properly detect .tgz and other abbreviated file
    extensions (Closes: #658777)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Feb 2012 23:24:48 +0100

git-buildpackage (0.6.0~git20120124) experimental; urgency=low

  [ Markus Lehtonen ]
  * [b7d7016] gbp-pq: don't crash in get_maintainer_from_control() even if
    debian/control is missing.

  [ Guido Günther ]
  * [c5eee2b] PristineTar: add missing import for debug output
  * [3ca0a98] PristineTar: fix match when not passing in a compression type
  * [45ab61b] Depend on pristine-tar for the tests
  * [041dbf2] GitRepository: allow to capture stderr in __git_inout
    stderr was always None.
  * [e6fd2ce] GitRepository: Use _git_inout() in __init__()
    to avoid misleading error message

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Jan 2012 10:22:13 +0100

git-buildpackage (0.6.0~git20120123) experimental; urgency=low

  [ Guido Günther ]
  * [90fb9b2] Add "gbp-pq switch" to bash completion
  * [8328c32] Allow to specify the upstream tree via --upstream-tree without
    the indirection to --upstream-branch.
  * [3d4adca] gbp-posttag-push: Allow to push the upstream tag too via the -u
    option.
  * [2d84986] gbp-post-tag-push: Add --verbose option to ease debugging
  * [cd41023] git-buildpackage: Allow to pass pbuilder options via commandline
    or gbp.conf
  * [a31c95b] Update to git-pbuilder 1.27. This adds support for creating
    backport build environments. Thanks to Russ Allbery
  * [338ee68] git-buildpackage: Add --pristine-tar-commit option. This option
    allows to auto commit a generated tarball to the pristine-tar branch to
    simplify building non-dfsg clean packages and to make it easier to track
    uptream git without having to commit the generated tarball manually.

  [ Markus Lehtonen ]
  * [0c47432] Add git-depth option to gbp-clone and gbp-pull.  Allows creating
    and deepening shallow clones. This is sometimes useful for e.g. saving
    bandwidth when cloning.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 Jan 2012 22:13:38 +0100

git-buildpackage (0.6.0~git20111229) experimental; urgency=low

  * [686f29c] scripts/pq: handle patches without filename extension. Don't
    fail if patches don't have a proper patch header and filename extensions
    (like in the heimdal package)
  * [248b550] Update git-pbuilder to 1.25.
    Thanks to Russ Allbery (Closes: #635061, #642355)
  * [58978c5] Add --[no-]-pbuilder-autoconf to pass GIT_PBUILDER_AUTOCONF=no
    to git-pbuilder.
  * [01a2689] gbp-pq: add "switch" action to quickly switch between
    patch-queue and base branch.
  * [8f41ffb] docs: add missing dependency to manpage generation
  * [6bfc8e5] Fix typo in clean target override
  * [747c05d] dch: Honor epoch when guessing new upstream version.
    Thanks to a lot to Daniel Dehennin for the testcase (Closes: #652366)
  * [ed4e523] import_dsc: remove debian/ dir from upstream source after
    importing it. This gives us the orig tarball on upstream but the debian
    branch looks the same as with dpkg-source -x. (Closes: #653472)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Dec 2011 14:52:29 +0100

git-buildpackage (0.6.0~git20111217) experimental; urgency=low

  * [baeee74] docs: fix version string
  * [2ff6119] pq: add --force option to fore recreation of pq branch so one
    doesn't have to drop the old one first.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 Dec 2011 13:28:12 +0100

git-buildpackage (0.6.0~git20111202) experimental; urgency=low

  [ Guido Günther ]
  * [3a3539a] Document that gbp-create-repo is noninteractive
    (Closes: #643752)
  * [bf397fc] gbp-pq: Properly check for start of signature (Closes: #646400)
  * [718f0c3] gbp-pq: Strip .patch and .diff when importing patches without a
    subject
  * [3fcf009] command_wrappers.Command: Don't print several error lines
  * [37e8310] Allow to import upstream tarballs into bare repositories
    (Closes: #582775)
  * [abf90ab] Allow to import Debian packages into bare repositories
  * [8c22803] gbp-pull: massive speedup by just updating the ref to the
    remote's SHA1 instead of checking out the branch and doing a fast-forward
    merge.
  * [af07c40] gbp-pq: Instead of looking for the signature don't let git
    generate it. Thanks to Robert Luberda
  * [69d348c] Support postexport hooks. Heavily based on a patch by Jan Čapek
    (Closes: #640982)
  * [030744d] Parse the changelog of the exported tree instead of the working
    copy when using --export. This reduces the number of options needed when
    using an export dir since the correct tarball is now being created without
    additional options. (Closes: #564791)
  * GitRepository: Lots of api, documentation and test updates replacing Git*
    classes by GitRepository methods. Check the apidocs for details.
  * [7168735] Switch to dh

  [ Jan Čapek ]
  * [d2c1033] Documentation update for --git-postexport, --git-postbuild typo
    fix
  * [f7a6b07] Additional documentation for postexport hook in the manual - the
    documentation now provides sample postexport script and gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Dec 2011 19:19:51 +0100

git-buildpackage (0.5.32) unstable; urgency=low

  * [efe9220] Use known_compressions in guess_upstream_version too
    (Closes: #645477)
  * [e984baf] git-import-orig: fix --filter

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Oct 2011 10:15:22 +0200

git-buildpackage (0.5.31) unstable; urgency=low

  [ Guido Günther ]
  * [3588d88] Fix pristine-tar error message
  * [8da98da] gbp-pq: don't fail on missing series file but create an empty
    branch instead

  [ Salvatore Bonaccorso ]
  * [b33cf74] Fix URL to cl2vcs service.
    Refer to https://honk.sigxcpu.org/cl2vcs instead of
    https://honk.sigxcpu.org/cl2vcs for the cl2vcs service. (Closes: #640141)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Sep 2011 20:21:34 +0200

git-buildpackage (0.5.30) unstable; urgency=low

  * [37f16cc] Document meta tags. Thanks to Raphaël Hertzog for the
    suggestion (Closes: #636088)
  * [f2efdaf] Add known_compressions() to UpstreamSource so we can use it for
    the DscFile parsing. This fixes the import of xz compressed upstream
    tarballs.
  * [2da9e9e] Leave compression type detection to tar by default
  * [a878947] Ignore comments and empty lines in series files. 
    (Closes: #637224)
  * [b3931e0] Fix missing branch name in error message
  * [4e2f7de] gbp-pq: Use latest patches with --time-machine. When going back
    in history to find the point where the patches in debian/patches still
    apply make sure we use the latest ones not the one currently in the tree.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 10 Aug 2011 22:25:11 +0200

git-buildpackage (0.5.29) unstable; urgency=low

  * [00c2b8e] Move GbpPatchQueue and GbpPatch into gbp.pq
  * [2fbac77] Build epydoc API documents by default
  * [42a13a1] gbp-pq: add --time-mache=N option to find the last commit the
    patch-queue applies to.
  * [d052ba2] Document --time-machine option

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Jul 2011 15:07:41 +0200

git-buildpackage (0.5.28) unstable; urgency=low

  * [3c72dfa] git-import-orig: Clarify missing argument error message
  * [d34e82e] Be less picky about empty filters. (Closes: #635641)
  * [a692745] Report errors reading the patch file instead of throwing an
    exception. (Closes: #635872)
  * [9bbbc77] Better document --git-upstream-tree. (Closes: #635883)
  * [3fb7fd6] Add strip option to GitRepository.apply
  * [dbe68fb] Split out GbpPatchQueue and GbpPatch to handle "-p<num>" without
    munging the code further (Closes: #635873)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Jul 2011 19:00:25 +0200

git-buildpackage (0.5.27) unstable; urgency=low

  [ Guido Günther ]
  * [8ce3500] Add autocompletion for --git-dist= based on the available
    cowbuilder images
  * [7fc837a] git-import-orig: Better support uscan for non tar.gz tarballs
    (Closes: #629538)
  * [2d4034d] Drop suggests of git-load-dirs. It's not in the archive anymore
  * [41a5d0d] Switch to dh_python2
  * [305e871] Re-enable pychecker checks
  * [7360496] Support importing zip archives. This can be extended to support
    other formats.
  * [00e1d97] Remove fastimport code since it didn't support filters, etc.
  * [8d0143a] git-import-orig: support filters for all input formats
    (Closes: #628645)
  * [e05e985] Add tests for UpstreamSource
  * [f0ba62c] Drop unpack_orig and tar_toplevel
  * [5bd3ff2] git-dch: add formatter that wraps the changelog entry
    (Closes: #626439)
  * [0ecd9f7] git-buildpackage: Add upstream-tree option to specify where the
    upstream tarball should be created from. The default is to create the it
    from the exact tag and fail otherwise.
    Based on a patch by Ricardo Salveti de Araujo

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Jul 2011 22:18:29 +0200

git-buildpackage (0.5.26) unstable; urgency=low

  [ Guido Günther ]
  * [d841899] git-pbuilder: Add git-pbuilder 1.22. 
    Thanks to a lot Russ Allbery (Closes: #623117)
  * [43e11c7] Bump standards version. No changes necessary.
  * [f5344c6] gbp-create-remote-repo: switch to git.debian.org.
    Thanks to Ritesh Raj Sarraf (Closes: #632897)

  [ Courtney Bane ]
  * [3a68566] gbp-create-remote-repo: Improve url handling.
    Support user name expansion and different ssh ports.
    Closes: #630832

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Jul 2011 23:09:21 +0200

git-buildpackage (0.5.25) unstable; urgency=low

  * [f07c1fc] Make qemubuilder really a boolean option.
    Thanks to Gregor Herrmann <gregoa@debian.org> for tracking this down
    (Closes: #627541)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 May 2011 22:14:30 +0200

git-buildpackage (0.5.24) unstable; urgency=low

  [ Guido Günther ]
  * [033f359] git-pbuilder: Distinguish 1.0 and 3.0 source format and set
    exclude patterns for the 1.0 format. Otherwise the build fails since
    dpkg-source tries to include .git.
  * [09bf9f1] Add git-pbuilder 0.21. Thanks to Russ Albery.
    (Closes: #601045, #601298)
  * [7e022fb] Add support for qemubuilder (Closes: #601298)
  * [e66c9e8] git-pbuilder: remove single quotes from '$BASE' to fix "cannot
    canonicalize filename '/var/cache/pbuilder/base-sid.cow', does not exist"
    failure

  [ Jon Dowland ]
  * [a645073] Spelling corrections (Closes: #627378)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 May 2011 13:51:29 +0200

git-buildpackage (0.5.23) unstable; urgency=low

  [ Guido Günther ]
  * [6710462] git-pbuilder: Drop diffignore and tarignore patterns
    (Closes: #606412, #610662)
  * [5b63e3f] tests: add doctests for gbp.deb.orig_file()
  * [9f3030b] git-dch: improve formatting of commit subject by taking into
    account idlength and the prefix added by git-dch itself.

  [ Peter Eisentraut ]
  * [0958897] Correct option name in git-buildpackage man page
  * [3e1fd70] Fix various typos in man pages
  * [e5dd444] gbp-clone: check out the debian branch after the clone is
    complete.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 May 2011 14:38:58 +0200

git-buildpackage (0.5.22) unstable; urgency=low

  [ Guido Günther ]
  * [61513e6] git.rev_parse: unconditionally use --quiet to avoid the
    confusing "fatal: Needed a single revision" error message
  * [c7bb3f1] Add aliases for gz and bz2 compression types
  * [dc39596] gbp: Handle whitespace in submodule names (Closes: #622103)
  * [f5db59d] Disable submodule processing by default.

  [ Loïc Minier ]
  * [2d620e4] Ignore .noseids from nosetests
  * [8189cc9] Add tests for orig autodetection
  * [85c5d8e] Detect compression from orig tarball (Closes: #621701)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Apr 2011 09:42:50 +0200

git-buildpackage (0.5.21) unstable; urgency=low

  [ Guido Günther ]
  * [d8142c7] git-import-dsc: don't silently drop the epoch in tags
    (Closes: #620950)
  * [ebc19c7] docs: Document Gbp-Pq-Topic: tag
  * [82e5f4d] git-buildpackage: Call gbp.update_submodules before exporting a
    tarball or creating a separate build tree. We invoke git-submodule with
    --no-fetch to not break offline operation.
  * [dff62f2] Make submodule support conditional

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Apr 2011 20:35:37 +0200

git-buildpackage (0.5.20) experimental; urgency=low

  [ Guido Günther ]
  * [a618bdc] git-buildpackage: Make the desktop notification transient so
    they timeout and don't clutter the notification area.
  * [3b0f296] Add gbp-configure-unpatched-source example to ignore .pc and
    tell dpkg-source to unpatch the source. See #591858.
  * [258743a] gbp-pull: make sure git interprets arguments as revisions in
    is_fast_forward  so it prints a clearer error message on configuration
    errors in .git/config.
  * [40f4709] gbp-pq: Allow to specify subdirs for patches via the
    "Gbp-Pq-Tag: <subdir>" directive in the patch header. This also gets rid
    sed callouts. Add "apply" action to apply single patches.
  * [fadcfcb] gbp: Add git.archive() and git.{has,get,update,add}_submodules()
    and testcases.
    Heavily based on work by Sean Finney and Chow Loong Jin
  * [2353ab7] git-buildpackage: submodule support for dump_tree.
    Heavily based on work by Sean Finney and Chow Loong Jin
  * [97c32c7] git-buildpackage: submodule support for git_archive.
    Heavily based on work by Sean Finney and Chow Loong Jin (Closes: #588752)
  * [3b0ebe9] gbp: Don't fail on paths without extensions in get_compression()
    and add doctests for that. (Closes: #618893)
  * [1021f84] git-buildpackage: special case non-submodule tarfile generation.
    Tarfile generation with submodules is slower since we need to
    concatenate several tarfiles and compress afterwards. So special case
    the common non submodule case and add a testcase to check the tarfiles
    content.
  * [80048e9,dcc2562,0827a33,93b4ab7,adc50a3,431075b] improve our testsuite

  [ Sean Finney ]
  * [ddf5ea3] gbp: Allow to pass cwd to git.__get_output()

  [ Charles Plessy ]
  * [c9f1e1e] docs: Added markup to the example for creating upstream branch.
  * [0095808] docs: Easier to remember commands to create orphan upstream branch.
    Closes: #619084

 -- Guido Günther <agx@sigxcpu.org>  Mon, 21 Mar 2011 21:09:32 +0100

git-buildpackage (0.5.19) unstable; urgency=low

  [ Jonathan Nieder ]
  * [7f00d39] git-import-dsc: improve error message when upstream branch is
    missing

  [ Guido Günther ]
  * [b9acbf9] logging: don't use color inside Emacs's comint shell
    (Closes: #612384)
  * [14fdbce] gbp-clone: reparse the configuration after cloning the
    repository (Closes: #607936)
  * [d21506e] git-import-dscs: really use git-import-dsc from the same
    location as git-import-dscs
  * [b92b88f] git-import-dsc: auto create upstream branch if it's missing.
    This allows to mass import old history of packages that were native and
    switched to non-native later.
  * [0363f47] git-import-dsc: better explain missing upstream branch.
    Thanks to Jonathan Nieder for the suggestion. (Closes: #610379)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Feb 2011 18:20:36 +0100

git-buildpackage (0.5.18) experimental; urgency=low

  [ Guido Günther ]
  * [0b2b869] git-buildpackage: fix fallback to auto detection for unknown
    compression types
  * [b7136f3] gbp-pull: Adjust incorrect logging level
  * [d8d2347] git-import-dscs: Ignore debsnap download errors to cope with
    binNMUs. Based on a patch from Jonathan Nieder. (Closes: #610376)
  * [e1661bd] git-buildpackage: print the "Looking for tarball..." message at
    debug level.  There's no need to print two messages in the default logging
    level.
  * [9054ae1] git.force_head: quiet git reset so we don't see pointless 'HEAD
    is now at ...' messages during imports.
  * [d36077c] Add --author-is-committer and --author-date-is-committer-date
    commandline options (Closes: #610381)

  [ Jonathan Nieder ]
  * [f2f03b7] git-import-dscs: Fix --debsnap doc and option error handling
    (Closes: #610368)
  * [2984d27] git-import-dsc doc updates for new options --author-is-committer
    and --author-date-is-committer-date

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Jan 2011 14:52:25 +0100

git-buildpackage (0.5.17) experimental; urgency=low

  * [244c1d2] gbp-create-remote-repo: allow for repository names without
    substitutions
  * [ebc67f3] gbp-create-remote-repo: get repository name from
    debian/changelog if possible
  * [eb9c0e6] git-create-remote-repo: don't hardcode 'origin' as remote.  This
    makes it possible to create different remote repos from within the same
    repository.
  * [b383c96] Document --remote-name
  * [8d5f78a] Use the latest commit instead of the earliest one
    when guessing the compression type for pristine-tar.
    Thanks to Andreas Rottmann for the detailed report (Closes: #609980)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Jan 2011 13:46:36 +0100

git-buildpackage (0.5.16) experimental; urgency=low

  * [b9aae05] git-import-orig: Make --[no-]merge a proper option so it can be
    configured via gbp.conf.
  * [05d9ecb] gbp-create-remote-repo: allow to set up remote branch tracking
  * [03f3d75] Make gbp-create-remote-repo a first class citizen. Add manpage,
    move into path, add bash completion
  * [5ca57cd] git-import-dsc: also set the commit date to the changelog date
    when importing old history. This makes sure we get proper sorting with
    e.g. gitk.
    Thanks to Rob Browning for the hint and explanation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Jan 2011 07:48:02 +0100

git-buildpackage (0.5.15) experimental; urgency=low

  * [b770493] git-buildpackage: Add support for sending notifications via
    libnotify after the build finished.
  * [bfb233a] git-dch: don't add empty changelog entries with "Git-Dch: Ignore"
  * [ab06072] Require python 2.6 since we use a context manager
  * [79ed2e0] Use tristate option for --color=value this allows true and false
    as alias for on and off.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Jan 2011 19:09:41 +0100

git-buildpackage (0.5.14) experimental; urgency=low

  [ Guido Günther ]
  * [2a5df0a] docs/gbp-clone: better document --all
  * [c3c76ac] docs/gbp-pull: Better document --force and --redo-pq
  * [b23f05b] docs/git-import-dscs: document --debsnap to fetch from
    snapshots.debian.org
  * [8040433] docs/gbp-pq: fix typo in manpage.
    Thanks to Emilio Pozuelo (Closes: #609166)
  * [8cabb0e] Add gbp-{pull,clone,pq} examples to gbp.conf
  * [eac621a] Add generated files to .gitignore
  * [91b0aa8] pychecker warning cleanups (mostly unused variables and imports)
  * [63d9624] Change dirs declaration to avoid false positives from pychecker.
    See #608153
  * [bd2ac3a] Enable pychecker warnings
  * [67bdb1f] git-import-dscs: Remove duplicate log message
  * [d523065] command_wrappers: Use logging functions
  * [9411f76] bash completion: parse short options too
  * [7374d00] bash completion: also complete on tags
  * [25677d0] bash completion: add completion for gbp-{pq,pull,clone}
  * [3f05eba] bash completion: add support for tristate options like --color
  * [d9ed286] bash completion: avoid space after options taking an argument.
    This makes branch and tag completion more useful.

  [ Yaroslav Halchenko ]
  * [2558ea7] git-import-dscs: Use git-import-dsc from the same location as
    git-import-dscs.  With hardcoded path it is impossible to use
    git-import-dscs directly from the repository while developing both tools
  * [31b4854] Spit out debug message in __git_inout

 -- Guido Günther <agx@sigxcpu.org>  Fri, 07 Jan 2011 09:58:39 +0100

git-buildpackage (0.5.13) experimental; urgency=low

  * [7e697a9] Update the repo after the first import so master matches the
    debian branch. Thanks to Rob Browning for the testcase
  * [83b9235] Initialize Logger.get_color{,off} so we can print errors before
    the option parsing finished. (Closes: #608004)
  * [b1f081a] Rewrite gbp-pq in python so we get consistent logging and
    debugging options.
  * [5a312db] Allow to drop numbers from patch names via --no-patch-numbers
    so patch names remain constant when interim patches are dropped.
    (Closes: #592129)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Dec 2010 00:05:30 +0100

git-buildpackage (0.5.12) experimental; urgency=low

  [ Guido Günther ]
  * [3e0d663] Also allow for 'issue' as bugnumber prefix as used in Grml.
  * [4323487] Fix off by one error by not counting. Thanks to Olivier Aubert
    for pointing this out
  * [5ace5eb] Better wrap thanks and closes (Closes: #529332)
  * [cf98258] Move Debian tag with --ignore-same-version
    so the import doesn't fail. (Closes: #606204)
  * [29feba8] Change --ignore-same-version to --allow-same-version
    and properly document it. This matches the defaults we had since ages.
  * [3b858a9] Fix debug string formatting (Closes: #606771)
  * [8a46f74] Favor ARCH environment variable over dpkg's architecture
    based on a patch by Jacob Helwig. (Closes: #607318)
  * [2c94f9d] Add option to open editor (Closes: #565553)

  [ Rob Browning ]
  * [98b034c] Remove unused commit_msg variable from git-dch.
  * [5b7b0f1] Use "log -n1" instead of "show" to retrieve commit log
    information.
  * [e875704] Add "*.pyc" to .gitignore.
  * [3640569] Add git-dch --customizations FILE to allow changelog entry
    customization:
    Add support for git-dch --customizations FILE. FILE must be Python code,
    and for now, the only useful thing it can do is define a
    format_changelog_entry() function which will override
    kgbp.dch.format_changelog_entry().
    Add a new customization option group for --customizations.  Create a
    gbp.dch module and move the changelog entry formatting functions there.
    Create separate procedures to handle extracting metadata from the git log,
    and use them in the default format_changelog_entry(). These functions are
    also available for use by custom formatters: extract_git_dch_cmds(),
    filter_ignore_rx_matches(), extract_bts_cmds(), extract_thanks_info(), etc.
    Add a GitRepository.get_commit_info() method, and use it in git-dch
    parse_commit(). (Closes: #536719)
  * [d12a32f] Add --multimaint support to git-dch

 -- Guido Günther <agx@sigxcpu.org>  Mon, 20 Dec 2010 16:31:12 +0100

git-buildpackage (0.5.11) unstable; urgency=low

  [ Matthijs Kooijman ]
  * [083834b] git-import-orig: Ask the user for the package name and version
    if needed.  If there is no debian/changelog to find the source package
    name, and/or the upstream version was not given on the commandline, ask
    the user for them. The values guessed from the original tarball name are
    offered as defaults to the user. Previously, this guessed version was used
    without confirmation. (Closes: #479172)
  * [ee0e9ff] Let git-import-orig find the changelog when not on the
    debian-branch. When no changelog file is available in the checkout, look
    for the changelog in the repository.

  [ Guido Günther ]
  * [beaee6e] git-import-orig: Add --[no]-interactive to avoid prompts on
    import.
  * [223b97a] Fall back to source only changes file if the architecture one
    doesn't exist. (Closes: #593598)
  * [a6f2974] Makes uscan options explicit - thanks to Chris Butler.
    (Closes: #596003)
  * [ea9a656] Don't put generated gbp/gbp_version.py into the source package.
  * [c385e76] Fix download location - thanks to Rob Browning.
  * [7e79bcd] Add logging functions. This allows us to color and prefix the
    output. Coloring can be disanbled via the --color option.
    (Closes: #544332)

  [ Yaroslav Halchenko ]
  * [d62fadd] Document --git-overlay. (Closes: #598530)

  [ Benoît Knecht ]
  * [dfe9104] Expand environment variables and '~' in gbp.conf paths.
    Options that expect a path in gbp.conf can now be given as
    '~/path/to/dir' or '$HOME/path/to/dir' (or any other environment
    variable for that matter). (Closes: #545692)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 16 Nov 2010 13:27:41 +0100

git-buildpackage (0.5.10) unstable; urgency=low

  * [4b23f2d] Warn if not invoked by git-buildpackage git-pbuilder is
    supposed to be invoked by git-buildpackage. Otherwise things like
    export-dir aren't respected. (Closes: #596625)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Sep 2010 09:46:52 +0200

git-buildpackage (0.5.9) experimental; urgency=low

  * [6a200ad] Resync with git-pbuilder 0.16 (Closes: #595055)
  * [ed97b84] Add --git-arch option
  * [257a3e1] Switch to debian branch before forcing the HEAD update
    otherwise we might forward the current branch to another branch's
    ref - thanks to Rolf Leggewie for the testcase
  * [af97781] Avoid unnecessary branch switch when fixing the previous
    issues. (LP: #637286)
  * [70c5b22] Improve compression format detection by checking if a
    version is already on the pristine-tar branch and use it's
    compression type if found. (LP: #615212)
  * [02b1a03] Don't fail on missing debian/rules. (LP: #638371)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Sep 2010 10:42:32 +0200

git-buildpackage (0.5.8) experimental; urgency=low

  [ Guido Günther ]
  * [a09cce7] gbp-svn-tag: Simple helper to tag a version if using git-svn
  * [3262621] gbp-pull: Properly handle local only changes as no update needed
  * [b1bd417] git-import-dsc: Remove file and commit ambiguity
  * [65bf135] git-dch: Fix exception name so we don't fail on repos without
    tags.

  [ Svend Sorensen ]
  * [39b1a07] Fix --git-cleaner option name in git-buildpackage man page
    (Closes: #594612)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Sep 2010 10:56:34 +0200

git-buildpackage (0.5.7) experimental; urgency=low

  * [07c11d5] git-pbuilder: Only output dist if set.
  * [3d97dfe] git-pbuilder: Check for cowbuilder. The cowbuilder package
    depends on pbuilder so this is enough.
  * [7f07ed6] Recommend cowbuilder
  * [0a081d4] Update copyright file
  * [af3dc21] Don't fail on gbp_version import errors. This makes it easier to
    test from the source tree without starting a build first.
  * [c0dad1a] git-import-dsc: Catch KeyboardInterrupt
  * [cc557e7] git-dch: Check for greater not unequal when looking for a new
    upstream version
  * [74aa351] git-buildpackage: Use --pretty=format: instead of --format= to
    support the git version in Lenny.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Aug 2010 18:18:35 +0200

git-buildpackage (0.5.6) experimental; urgency=low

  * [1d06128] git-pbuilder: When creating a new base image don't fail if it's
    not there already.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Aug 2010 01:26:42 +0200

git-buildpackage (0.5.5) experimental; urgency=low

  * [36edd3c] git-dch: Support --nmu, --bpo and --qa. (Closes: #561535)
  * [7200035] git-dch: Pass dch_options to all calls of spawn_dch. This fixes
    the problem of an empty [maintainer] at the end of the changelog section.
    - thanks to Michael Prokop
  * [8d33c92] git-dch: Guess changelog version number from upstream version
  * [595d6d8] git-buildpackage: Add --git-pbuilder and --git-dist=<dist>
    options
  * [b193936] docs: Use git-pbuilder in the pbuilder chapter
  * [61e0c3c] docs: Simplify example using --download
  * [76b16df] docs: Build and install git-pbuilder manpage
  * [67287d0] Add git-pbuilder (Closes: #583078) - thanks to Russ Allbery
  * [bc52725] Deprecate our own pbuilder helpers
  * [3c6bbd0] Better version number replacement (Closes: #534494)
  * [55fdbc6] Check for legacy tags where necessary.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Aug 2010 23:35:30 +0200

git-buildpackage (0.5.4) unstable; urgency=low

  * [88afa61] git-dch: Pass --multimaint-merge on to dch (Closes: #586165)
  * [e8b6b49] gbp-pq: Use the maintainer of the Debian package as fallback
    patch author
  * [f63c4ed] git-import-dsc: Don't add superfluous parents to imports on the
    Debian branch. Only set a parent on the first import per upstream version.
  * [af2a435] gbp-pull: Don't update already up to date branches
  * [407b614] docs: Drop git_load_dirs reference we're not using it anymore.
  * [dbc7fe3] docs: We don't only support .gz tarballs
  * [34d6d84] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Aug 2010 17:07:47 -0400

git-buildpackage (0.5.3) unstable; urgency=low

  * [2808207] git-dch: Terminate the patch description with a dot in case of
    multiline commits where the second line starts with a uppercase letter.
    Heavily based on a patch by Jonathan Nieder.
  * [47463da] Better document the default config file.
  * [57b2abf] git-dch: Set author information from git on --release when using
    --git-author - thanks to Boleslaw Tokarski for his feedback.
  * [ad2416e] examples/zeitgeist-git: Adjust for zeitgeist 0.4.0.
  * [8676193] examples/gbp-create-remote-repos: Simple helper to create remote
    repos based on dom-new-git-repo from the OCaml maintainers as well as
    aa-create-repo. (Closes: #540185)
  * [3ed1a5c] git-import-dscs: Fetch all snapshots from snapshots.debian.org
    using debsnap and import them (Closes: #591218)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Aug 2010 22:10:18 +0200

git-buildpackage (0.5.2) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Jul 2010 22:13:57 +0200

git-buildpackage (0.5.1) experimental; urgency=low

  [ Jonathan Nieder ]
  * [a650ce3] Add prebuild hook Can be used to add an upstream changelog
    generated from the git repository to the build dir. (Closes: #587652)

  [ Guido Günther ]
  * [9b8bc60] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Jul 2010 21:31:30 +0200

git-buildpackage (0.5.0) experimental; urgency=low

  [ Guido Günther ]
  * [bd1ad03] Drop dependency on python-dev since it's not needed for arch all
    packages. Depend on python instead.
  * [077bdb0] git-buildpackage: Add compression=auto to guess compression type
    of upstream tarball from pristine-tar branch. This is now the default.
    (Closes: #566993)
  * [3bcb1ef] Abort if upstream tarball contains git metadata
    (Closes: #571717)
  * [24410e9] docs: Mention patch-queue branches
  * [877166c] docs: Don't document Git-Dch: twice. Thanks to Matthijs Kooijman
    (Closes: #587456)
  * [719f1ae] git-import-dsc: Use commit_dir to write directly commit the
    content of the unpacked orig tarball and the patched Debian tree instead
    of using replace_tree. Thanks to Roger Leigh for his nice explantion on
    howto do this.
    (Closes: #506211, #588061)
  * [fc270b5] git-import-dsc: Drop --no-merge We don't invoke 'git merge'
    anymore.
  * [d35ee45] git-import-orig: Use commit_dir instead of replace_tree
    (Closes: #526022, #569031)

  [ Torsten Werner ]
  * [d3c0901] fix typo in gbp-pq
    (Closes: #587673)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Jul 2010 21:58:14 +0200

git-buildpackage (0.4.68) unstable; urgency=low

  [ Guido Günther ]
  * [88c2d6d] gbp-pq export: Instead of failing switch branch if on a
    patch-queue branch.
  * [65ea70f] gbp-pq: Use run_git to catch git errors
  * [488f16c] No need to assign repo
  * [7f0b81f] Strip traling slashes from repo path (Closes: #584775)
  * [a831329] Add 'ignore-branch' option This disables the 'current branch' ==
    'debian-branch' check.
  * [5988e20] Add 'ignore-branch' option This disables the 'current branch' ==
    'debian-branch' check.

  [ Christian Kastner ]
  * [2173157] Add option --git-force-create to force tarball creation
    (Closes: #519297)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 19 Jun 2010 16:07:05 +0200

git-buildpackage (0.4.67) unstable; urgency=low

  * [6427e2a] git-import-dsc: Add --download option. This allows to directly
    import source packages either via git-import-dsc --download <pkg> or
    git-import-dsc --download <url-to-dsc> The former uses "apt-get soure" the
    later "dget". (Closes: #510036)
  * [823f49f] gbp-pull: Document exit codes
  * [9fb419f] git-import-orig: Document --uscan
  * [3473689] git-buildpackage: Document --git-compression and
    --git-compression-level
  * [f31c82d] git-dch: Document 'Git-Dch: Ignore' and 'Git-Dch: Short'
  * [65b9e0d] gbp-pq: Improve manpage and help output
  * [33e56ca] git-import-dsc: Document --download

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 May 2010 14:01:03 +0200

git-buildpackage (0.4.66) unstable; urgency=low

  [ Paul Menzel ]
  * [1072473] docs/manpages/git-dch.sgml: Consistency fixes and typo. 
     • Start sentences with capital letter and end them with a full stop. 
     • s/enty/entry/

  [ David Paleino ]
  * [49e31b1] Add --uscan command-line option Launch uscan and use the
    tarball, if there's a new upstream version. (Closes: #577394)

  [ Guido Günther ]
  * [0826409] Bump standards version
  * [6646d63] Depend on git | git-core (Closes: #577731)
  * [f7a085a] Make --uscan more robust by not throwing exceptions onto the
    console and catching download errors.
  * [9521e6c] Fix typo - thanks to Paul Menzel
  * [a2dd58d] gbp-pull: Requests for non fast-forward updates should exit with
    a non-zero result (Closes: #579997)
  * [b0100b6] Add simple Zeitgist data provider
  * [5aefe29] Add 'Git-Dch: Short' tag to changelog parser This omits
    the long description of the commit from the changelog.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 04 May 2010 09:08:40 +0200

git-buildpackage (0.4.65) unstable; urgency=low

  [ Guido Günther ]
  * [07d54ef] gbp-add-patch: Strip path from patchname and handle missing
    files gracefully.
  * [a7fe7c4] Add basic bash completion for git-buildpackage (Closes: #567313)
    - thanks to Siegfried-Angel Gevatter
  * [aec185f] Add gbp-{clone,pull,pq} to description
  * [24ac91c] bash-completion: Add git-dch, git-import-{orig,dsc} and tab
    completion for branch names.
  * [cbc0577] Add GitRepository.get_remotes() to easily query remote branches
  * [4654425] gbp-clone: Add --all to track all remote branches

  [ Matthijs Kooijman ]
  * [2874c23] Make the commit message for upstream imports configurable.
    This adds the import-msg commandline and configuration file option
    to change the commit message. (Closes: #474457)

  [ Jon Bernard ]
  * [ad9b7f5] Prevent git-add-patch from being gzip'd

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Feb 2010 12:37:41 +0100

git-buildpackage (0.4.64) unstable; urgency=low

  * [ab40623] Add gbp-add-patch to easily commit patches from debian/patches
  * [34c1c43] Allow to skip imports of same version Based on a patch by
    Christoph Göhre.
  * [ea6311e] DscFile: Parse name of debian.tar.gz
  * [237a547] Import version 3 source format (Closes: #552771)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 25 Jan 2010 22:08:26 +0100

git-buildpackage (0.4.63) unstable; urgency=low

  [ Guido Günther ]
  * [a0c7a91] docs: fix git-init call - thanks to Pietro Battiston
  * [02ab603] docs: Drop superfluous upstream branch creation
  * [e339c70] gbp: Make sure we drop the generated custom index file 
              (Closes: #561454)
  * [d436612] git-dch: Add body regex filter (Closes: #544238)
  * [cf45595] gbp-{pull,clone}: Don't hardcode pristine-tar branch
  * [0eb4580] gbp: Allow to set compression type (Closes: #554520)
  * [7ad35fb] tests: Add other gbp-* commands
  * [f1f3d8e] tests: Add unpack test

  [ Matthijs Kooijman ]
  * [725b9d3] git-dch: Add support for a Git-Dch: Ignore metaheader.
              (Closes: #561346)
  * [e54b7bf] git-dch: There was a second use of parse_commit. Both uses of
    parse_commit now support the None return value. The shortlog_to_dch
    function is now superfluous and was removed.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Dec 2009 18:17:39 +0100

git-buildpackage (0.4.62) unstable; urgency=low

  * [dce995d] Improve error handling on broken dsc files. (Closes: #560689)
  * [bcdd6b5] Improve error message when trying to import 3.0 source format
    packages until we properly support them.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Dec 2009 09:15:49 +0100

git-buildpackage (0.4.61) unstable; urgency=low

  * [fc96f75] switch to 3.0 (native) source format
  * [bf258de] use git;// instead of http://
  * [043c75a] Make gbp-clone, gbp-pull and gbp-pq first class citizens
    by moving them from examples/ to /usr/bin/
  * [c5e4148] Add documentation for gbp-{pg,pull.clone}
  * [06059df] Make the default build command 3.x source format safe Instead of
    passing "-i\.git/ -I.git" to debuild use "-i -I". This makes sure we use
    the default behaviour of dpkg-source. (Closes: #553079)
  * [ecec4d5] gbp-pull: Don't fail if no tracking branch exists.
  * [5539417] cleanup symlinks

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Nov 2009 19:05:53 +0100

git-buildpackage (0.4.60) unstable; urgency=low

  [ Guido Günther ]
  * gbp-pull: 
      * [9960f24] check for clean repo
      * [9d190a5] add --redo-pq so a "gbp-pull --redo-pq" also refreshes the
        patch-queue branch
  * gbp-pq:
      * [526fc0c] add option to drop patch-queue branch
      * [3bf8288] Don't fail when series file is missing. Create an empty
        patch-queue branch instead.
  * git-import-orig:
      * [eef5eca] Use "imported" instead of "merged". This way we don't claim
        we merged something but we possibly didn't. (Closes: #545908)
  * debian/rules:
      * [5372050] Don't compress the example scripts
  * docs:
      * [4da84c0] document --git-retag

  [ Charles Plessy ]
  * [509c1c3] Stefano Zacchiroli’s workaround for creating empty
    upstream branches. (See ‘http://bugs.debian.org/cgi-
    bin/bugreport.cgi?bug=471560’)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Nov 2009 15:30:49 +0100

git-buildpackage (0.4.59) unstable; urgency=low

  * new tools:
      * [9ccbcd2] add examples/gbp-pull. Addresses another part of #540185.
  * git-buildpackage:
      * [38fcab2] add --git-retag (Closes: #521329)
  * git-import-orig:
      * [ee3209c] Drop superfluous argument. Fixes TypeError on merge failures.
        (Closes: #549885)
  * examples/gbp-clone:
      * [1d8fb9d] gbp-clone: import Command too. Fixes "--verbose".
  * gbp module:
      * [db7cbab] add GitFetch
      * [6f03267] add GitRepository.get_merge_branch()
      * [b543f67] add GitRepository.is_fast_forward()
      * [5bf8201] move FastImport into gbp/git.py
  * docs:
      * [189ff52] fix link to "homepage"

 -- Guido Günther <agx@sigxcpu.org>  Sat, 24 Oct 2009 21:31:08 +0200

git-buildpackage (0.4.58) unstable; urgency=low

  * [78bcf5e] catch config file parse errors (Closes: #545690)
  * [8a9b813] docs: mention pristine-tar branch and pristine-tar
  * [260afa1] docs: add missing --git- prefix
  * [af4265e] git-dch: export GBP_BRANCH to postimport hook so we can pass the
    current branch to git-dch

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Oct 2009 18:16:10 +0200

git-buildpackage (0.4.57) unstable; urgency=low

  * new tools:
      * [13316be] Add gbp-clone to examples. Using this to clone
        repositories will automatically track the remote branches used by
        gbp. Addresses parts of #540185.
  * git-dch:
      * [d42ed40] Trim commit display.
      * [a335e04] Catch gbp.deb.NoChangelogError.
      * [98a9b88] Add changelog section if current topmost version is already
        tagged. This makes sure we add a new changelog section after a
        release. This was broken due to 016318.
  * git-import-orig:
       * [dcbe091] Use option groups for nicer --help output
       * [ee6c238] Add postimport hook for git-import-orig Allows to run git-
         dch after import. Drop the dch invocation and warn when --no-dch gets
         passed on the commandline. (Closes: #520355)
       * [aecb9b4] NEWS: --no-dch is no more (Closes: #540750)
  * git-import-dsc:
       * [dcbe091] Use option groups for nicer --help output
  * packaging:
      * [4f82dfb] Honor DEB_BUILD_OPTIONS=nocheck
      * [29cacc0] Run doctests with nose
      * [1f8abec] Bump standards version
      * [c84fd78] TODO list maintained in the wiki
  * gbp module:
      * [715d42a] Drop superfluous _utils from module names
      * [46d6c1b] Make sanitize_version a private function
      * [75eedb8] Add doctest for __sanitize_version() and build_tag()
      * [4cd72bc] Add doctest for Command.__call__()
      * [a4fd8eb] Add doctest for Command.call() and fix error in exception
        handling revealed by the test.
      * [edfe670] Add GitClone
      * [2663f23] Make GitBranch remote branch aware
      * [838b3f4] Make has_branch aware of remote branches
  * tests:
      * [6cbbddf] Add unit test for --help
      * [52d9b5a] Fix testcase name
  * [e4abaad] document changes so far

 -- Guido Günther <agx@sigxcpu.org>  Sat, 05 Sep 2009 16:06:11 +0200

git-buildpackage (0.4.56) unstable; urgency=low

  * [d6dae62] depend on devscripts >= 2.10.49 for --no-force-save-on-release
    in dch.  (Closes: #541420)
  * [080b1eb] make parameters for GitRepository.commits() optional
  * [016318e] git-dch: use the last commit in which debian/changelog was
    touched as starting point if no snapshot header was found. This can still
    be overriden by using --since. Based on a patch by Felipe Sateler. 
    (Closes: #511269)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Aug 2009 19:24:23 +0200

git-buildpackage (0.4.55) unstable; urgency=low

  [ Guido Günther ]
  * [651f723] fix release
  * [e1bdfdb] update Homepage:
  * [8ea4747] add gbp-pq to examples (Closes: #537212)
  * [bedacee] check for correct overlay usage
  * [849c801] bump standards version
  * [f636022] add --no-force-save-on-release so dch saves the changlog
    even when there are no changes so we don't end up with UNRELEASED
    when passing -R.

  [ أحمد المحمودي ]
  * [14915d9] make tar_toplevel safer
  * [b86ddcc] add --git-overlay option (Closes: #411206)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Jul 2009 11:27:17 +0200

git-buildpackage (0.4.54) unstable; urgency=low

  [ Damyan Ivanov ]
  * [b577f01] Unconfuse git-dch when commit message starts with "--"
    (Closes: #531985)

  [ Guido Günther ]
  * [55a89e1] allow for uppercase characters in the version pattern and
    in the package name if it's not a debian source package's name. Also
    allow for ':' and '~' which are allowed accoring to Debian Policy.
    Based on a patch by Felipe Sateler. (Closes: #531819)
  * [882f971] check for snapshot mode when checking if we need to add a
    new section. (Closes: #532583) - thanks to Ove Kaaven for sorting
    this out
  * [f80ee2e] fix one digit version numbers
  * [5edecd9] + is a valid character in version numbers

  [ Mehdi Dogguy ]
  * [7de9f12] add filter-pristine-tar to filter upstream tarball before
    passing it to pristine-tar (Closes: #520722)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Jul 2009 16:16:41 +0200

git-buildpackage (0.4.53) unstable; urgency=low

  * [b772300] pass --pretty=medium to git show (Closes: #525969)
  * [5ed3078] add commit argument to GitTag
  * [129b3c4] add get_author_email that parses git config and
              environment
  * [9ed19e7] add --fast-import. This uses git-fast-import to import the
              upstream tarball, speeds up imports of upstream tarballs by a
              factor of two. This options is experimental and will become the
              default once it got more testing. (Closes: #449075)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 May 2009 18:35:52 +0200

git-buildpackage (0.4.52) unstable; urgency=low

  * [a2e42cd] move to section vcs
  * [2892e7f] document postbuild hook
  * [66f1027] promote pristine-tar to Recommends:
  * [54b9da0] fix missing argument in error message
  * [3e4b08e] restore default signal handlers before subprocess.call, python
              changes them to SIG_IGN. (Closes: #525411)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Apr 2009 17:35:44 +0200

git-buildpackage (0.4.51) unstable; urgency=low

  * [74a0954] git-import-dsc: don't ignore --debian-branch on import into non
    empty archives
  * [abe7de4] store version without epoch and simplify version parsing
  * [8d2c6bd] add get_arch returns dpkg's notion of the architecture
  * [e4db34b] add postbuild hook can be used to e.g. run lintian.
    (Closes: #521358)
  * [829db7c] pass GBP_BUILD_DIR to the build command this allows hooks
    to figure out where to copy back the build result. Adjust the
    cowbuilder example accordingly.
  * [eaacadf] bump standards version
  * [d113a3b] let the version detection patter match debian policy
    (Closes: #522888)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Apr 2009 11:47:27 +0200

git-buildpackage (0.4.50) unstable; urgency=low

  * [eceac16] be less strict on the spelling of boolean config file
    options any capitalization of 'true' or 'false' as well as '0' and
    '1' are allowed. (Closes: #517376)
  * [94084b0] Skip all comments before looking for clean_msg (Closes: #518008)
  * [e56c9f5] add git-builder cowbuilder example

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Mar 2009 21:08:24 +0100

git-buildpackage (0.4.49) unstable; urgency=low

  * [4ddcd5c] gbp-posttag-push: fix for remote repos containing '.'
  * [1e62d1a] Pass "-d" to debuild when run as cleaner. This way build-
    deps don't have to be fulfilled in the source tree but only in the
    build tree. (Closes: #516876)
  * [660acbe] better document 'Closes:' tag (Closes: #516877)
  * [e3b7610] simplify boolean option handling
  * [1e1a1ca] add --no-pristine-tar (Closes: #517024)
  * [600a16d] add --git-no-ignore-new
  * [2fa0cc8] make --[no-]full a config file option
  * [6ccd482] make --export a config file option

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Feb 2009 13:48:50 +0100

git-buildpackage (0.4.48) unstable; urgency=low

  * [ae575e3] Add --export=WC to export the working copy into export-
    dir. (Closes: #509138)
  * [9f42e53] run git-cleaner with --git-ignore-new Makes running with
    and without --git-ignore-new more consistent.
  * [b8a35b4] docs: add --git-export=INDEX to the manual
  * [47c8a38] docs: add --git-dont-purge to the manual
  * [616bff3] docs: fix typo
  * [15042e3] rename git-pbuilder to gbp-pbuilder
  * [ffbb38a] add gbp-posttag-push example to examples/

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 Feb 2009 18:24:12 +0100

git-buildpackage (0.4.47) unstable; urgency=low

  * [b5a3215] export sha1, branch and tagname into the commit hooks
    environment this makes it possible to push out that specific tag only
  * [2be813e] document exported env vars and add example posttag hook
  * [a498bdf] add GitRepository.rev_parse
  * [28973fb] fix VCS-Browser URL

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Feb 2009 20:37:49 +0100

git-buildpackage (0.4.46) unstable; urgency=low

  [ Guido Günther ]
  * [746d63b] fix typos (Closes: #510479) - thanks to Jonathan Wiltshire
  * [07ceb2c] add Vcs-Browser

  [ Dietmar Winkler ]
  * [a92c398] documentation typo

  [ Jonathan Wiltshire ]
  * [a748f52] typo in docs/manpages/git-dch.sgml (Closes: 511096)

  [ Guido Günther ]
  * [5c8de27] handle dpkg-parsechangelog errors (Closes: #512765)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Jan 2009 18:32:27 +0100

git-buildpackage (0.4.45) unstable; urgency=low

  [ Robie Basak ]
  * [6f4af4a] Use name and email from git (Closes: #509867)

  [ Guido Günther ]
  * [b097286] document --no-sign-tags
  * [6fe5985] add --no-git-author
  * [7c2034c] add --no-sign-tags to git-import-{dsc,orig} too 
    (Closes: #508889)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2009 20:11:16 +0100

git-buildpackage (0.4.44) unstable; urgency=low

  * [c54e6dc] help option cleanup (Closes: #505787)
  * [45541fe] don't require bugnumbers to start with '#' - use the regex
    from Debian policy instead
  * [77a875c] move common help messages into config.py
  * [9223997] allow to import into empty repositories this makes git-
    import-dsc's behaviour finally consistent with git-import-orig
    (Closes: #500458, #504075)
  * [aacd04a] require python 2.5
  * [54b9a3e] better descriptions
  * [e806326] add --no-sign-tags (Closes: #508889)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Dec 2008 00:29:43 +0100

git-buildpackage (0.4.43) unstable; urgency=low

  * [8b8c137] gather all invocations of dch in one function - fixes dch
    failures due to missing quotes introduced by [7f24b98]
  * [a328fa2] fix off by one introduced by not counting first_commit
    when creating a new header in [7f24b98]

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Nov 2008 14:12:04 +0100

git-buildpackage (0.4.42) unstable; urgency=low

  [ Guido Günther ]
  * [b5e8691] debian/control: fix maintainer
  * [ee9e51d] doc: mention cl2vcs
  * [a0c03e1] doc: fix typo
  * [0314acc] git-buildpacakge: use option groups
  * [2d44dad] git-dch: merge sha and snapshot parameter

  [ Felipe Sateler ]
  * [7f24b98] git-dch: Don't include first UNRELEASED line - There's not much
    point in keeping this line when either doing a release or when having a
    snapshot header (nor does it help much if one invokes git-dch without
    options). (Closes: #505400)

  [ Guido Günther ]
  * [a6f5472] git-import-orig: Don't fail on symlink creation (Closes: #502565)
  * [b7f8efd] git-dch: add missing call to escape_commit

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Nov 2008 17:08:52 +0100

git-buildpackage (0.4.41) unstable; urgency=low

  * [8b15994] allow for another config file $REPO/debian/gbp.conf
    (Closes: #502253)
  * [1ef4e04] add repo.set_branch() to switch branches
  * [d4d4580] use repo.set_branch()
  * [245d5f1] add GbpNothingImported exception
  * [c410c0b] switch back to original branch on empty imports 
    (Closes: #504029, #504072)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Oct 2008 10:28:47 +0100

git-buildpackage (0.4.40) unstable; urgency=low

  [ Guido Guenther ]
  * [d87e2ab] fix typo (Closes: #500167) - thanks to Aleksej R.  Serdyukov
  * [632c9b4] gbp.git_utils.GitRepository: make indentation more consistent
  * [b1a2847] adjust is_clean for git 1.6 (Closes: #500238)
  * [3332982] gbp.deb_utils.symlink_orig: remove superflous printout
  * [fb6187f] silence parse_dsc and move sanity checks into DscFile

  [ Kurt B. Kaiser ]
  * [bbd9946] Force tarball symlink on second export to build-area
    (Closes: #500498)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 02 Oct 2008 12:26:56 +0200

git-buildpackage (0.4.39) unstable; urgency=low

  [ Kurt B. Kaiser ]
  * [ac30b9b] Don't buffer stdout; let git-bp messages print in-line
    (Closes: #479846)

  [ Guido Guenther ]
  * [4da9954] git-import-dscs: likewise
  * [2162ead] git-dch: demangle adding commits and sections
  * [af70d4d] git-dch: improve wording
  * [bbf5020] git-dch: more option grouping
  * [3931f70] git-import-orig: print version number on failed imports
  * [745fbf6] git-import-dsc: merge by default when importing into an existing archive
    (Closes: #475571)
  * [631c347] git-import-dsc.sgml: document --no-merge
  * [2f46ba4] gbp: Don't honor .gitignore during replace_source_tree 
    (Closes: #467504)
  * [624bdc9] gbp: move replace_source_tree into GitRepository
  * [519901e] gbp: add find_tag(branch)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 22 Sep 2008 20:55:07 +0200

git-buildpackage (0.4.38) unstable; urgency=low

  * [1623560] "git-commond" vs. "git command" cleanup (Closes: #497335)
  * [0a34c3b] add --new-version
  * [2a17687] document --new-version
  * [fc67ac2] document short options and snapshot mode

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 08 Sep 2008 18:48:58 +0200

git-buildpackage (0.4.37) unstable; urgency=low

  * [d1ea39d] allow setting the bug-closing meta tag to look for this
    way we can generate bug-closing entries for different BTSs such as
    Debian or Launchpad.
  * [0376265] document meta-closes
  * [4da3586] fix commit order of GitRepository.commits() - we request
    since..until but got until..since. This makes the order of changelog
    entries generated by git-dch the same order as if git-dch would be
    called individually for each commit.

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 30 Aug 2008 14:20:11 +0200

git-buildpackage (0.4.36) unstable; urgency=low

  * [64808df] Warn if we can't parse the changelog - without a changelog we
    can't parse the package name. Without that we might end up with wrong
    names on the pristine tar branch and with missing symlinks in tarball-dir.
    Since this might be intentional we issue a warning only.
  * [32b2e89] detect flat tar archives in git-import-dsc too
  * [277581c] don't fail import on non rfc822 adressess in the dsc file
    (Closes: #494753)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 12 Aug 2008 19:31:26 +0200

git-buildpackage (0.4.35) unstable; urgency=low

  * [e012d8b] add epoch parsing to DscFile (Closes: #493214)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 01 Aug 2008 19:32:01 +0200

git-buildpackage (0.4.34) unstable; urgency=low

  * [4ac0aa8] git-buildpackage: always symlink orig.tar.gz from tarball dir
    (Closes: 490706)
  * [fb94fea] git-buildpackage: print default export-dir on --help
  * [ffeb40e] git-dch: escape backticks (`) (Closes: 491104)
  * [4e398cc] git-dch: --auto and --since are incompatible
  * [3537f24] git-dch: use option groups
  * [18d8405] git-dch: split git-log options into a list (Closes: #479267)
  * [044083f] docs: readd list import line (Closes: #488120)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 22 Jul 2008 00:29:49 -0230

git-buildpackage (0.4.33) unstable; urgency=low

  [ Adeodato Simó ]
  * [35c92a4] git-import-orig: merge upstream by tag name instead of by
    branch name.
  * [f1ca044] command_wrappers.py: add a GitMerge wrapper class.

  [ Guido Guenther ]
  * [9bbd5d2] make symlink_orig's error message more helpful
  * [26c0310] make no-dch configurable via gbp.conf
  * [e6ce2df] bump standards version
  * [45b060e] mention git-import-dscs
  * [721068a] add "meta" to sample config file

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 26 Jun 2008 16:47:55 +0200

git-buildpackage (0.4.32) unstable; urgency=low

  * [217263e] Don't set the version number twice - makes sure git-import-dsc
    doesn't use the Version: line from the message instead of the signature on
    old PGP signatures (Closes: #486397)
  * [063fab5] escape $s in commit messages so variable names like
    $remote_fs don't get dropped silently. (Closes: #486447)
  * [6008c37] don't try to cleanup in case of tag_only (Closes: #486398)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 16 Jun 2008 17:54:09 +0200

git-buildpackage (0.4.31) unstable; urgency=low

  * [bf8738f] add --git-tag-only (Closes: #485114)
  * [b06bcf0] document git-import-dscs
  * [c1deeb2] add epoch to dch call (Closes: #483718)
  * [6640ac7] Fix typo (Closes: #484243)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 12 Jun 2008 16:53:45 +0200

git-buildpackage (0.4.30) unstable; urgency=low

  * [cc9c42a] Try harder to find/build the upstream tarball (Closes:
    #482786)
  * [e6dd31e] Help pristine-tar to find the branch name (Closes:
    #481806)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 29 May 2008 13:24:51 +0200

git-buildpackage (0.4.29) unstable; urgency=low

  * [ce152d4] git-dch: include the commit id in the changelog entry
  * [ad6ff99] git-dch: print default value of --meta
  * [2c1c265] git-dch: avoid extra space before "(Closes: )"
  * [6ddf168] add git-import-dscs (Closes: #471580)
  * [2cfbf05] move dsc handling into deb_utils

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 17 May 2008 22:01:49 +0200

git-buildpackage (0.4.28) unstable; urgency=low

  * git-buildpackage: add --git-dont-purge to leave the exported build dir
    intact (Closes: #479848) - thanks to Kurt B. Kaiser for the patch
  * git-dch: make --meta a config file option
  * git-import-orig: fix symlink creation
  * docs: missing EOF (Closes: #479726) - thanks to Sedat Dilek

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 12 May 2008 18:03:47 +0200

git-buildpackage (0.4.27) unstable; urgency=low

  * make author parsing more robust  (Closes: #479263)
  * fix --git-export  (Closes: #479147)

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 04 May 2008 16:43:43 +0200

git-buildpackage (0.4.26) unstable; urgency=low

  * git-export=INDEX exports the index into git-export-dir
    (Closes: #471568)
  * make ignore-new a config file option  (Closes: #466900)
  * build-depend on python-dateutil  (Closes: #477959)
  * git-dch:
      * use --no-auto-nmu
      * error handling fixes
  * depend on devscripts that has dch --no-auto-nmu
  * gbp/config.py: make boolean options parsing more robust
  * add a link to the online version of the manual

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 28 Apr 2008 16:36:44 +0200

git-buildpackage (0.4.25) unstable; urgency=low

  * create a symlink archive -> <package>_<version>.orig.tar.gz this makes
    sure pristine_tar uses the correct filename for the orig.tar.gz.  (Closes:
    #475316)
  * fix unpack_orig error reporting by adding the missing imports
  * fix "pristine-tar missing" error message

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 18 Apr 2008 11:33:46 +0200

git-buildpackage (0.4.24) unstable; urgency=low

  [ Adeodato Simó ]
  * Make commits from git-import-dsc get author and date from
    debian/changelog.

  [ Guido Guenther ]
  * add rfc822_date_to_git() this function converts a date in RFC822
    format to a string 'seconds_since_epoch tz' that can be used for eg.
    GIT_AUTHOR_DATE.
  * better handle broken dsc files

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 14 Apr 2008 14:39:37 +0200

git-buildpackage (0.4.23) unstable; urgency=low

  [ Frank S. Thomas ]
  * docs/manpages/*.sgml: Use the citerefentry for references to other
    manpages.
  * Do not list the --upstream-version option twice in the synopsis
    section of git-import-orig's manpage. (Closes: #472496)

  [ Guido Guenther ]
  * don't pass nonexisting branches to pristine-tar (Closes: #475554)
  * doc cleanups (Closes: 473610):
  	* mention the html manual in the manpages
  	* reference pristine-tar
  	* filter uses glob
  	* move conffiles section into separate sgml file
  * fix doc-base section

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 11 Apr 2008 19:18:08 +0200

git-buildpackage (0.4.22) unstable; urgency=low

  * git-dch: don't skip meta tags without --force
  * gbp: git-core 1.5.3.4 doesn't support -q so use --quiet instead
  * fix typos in documentation  (Closes: #471582) - thanks to Michael
    Biebl

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 19 Mar 2008 18:03:20 +0100

git-buildpackage (0.4.21) unstable; urgency=low

  * allow meta tags in the commit logs
  * add --full and --meta options --full (Closes: #468118)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 14 Mar 2008 20:42:53 +0100

git-buildpackage (0.4.20) unstable; urgency=low

  * add missing pngs (Closes: #469403)
  * be more verbose on pbuilder (Closes: #469138)
  * explain howto push tags and mention linda and lintian (Closes: #469436)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 06 Mar 2008 08:48:02 +0100

git-buildpackage (0.4.19) unstable; urgency=low

  * don't fail of the pristine-tar branch doesn't exist 
    (Closes: #468675)

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 01 Mar 2008 14:22:20 +0100

git-buildpackage (0.4.18) unstable; urgency=low

  * update documentation about git-import-dsc and --filter
  * gbp/command_wrappers.py: make error messages more consistent
  * git-import-dsc: don't throw a python exception on tag failures or non
    existant branches

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 29 Feb 2008 18:05:40 +0100

git-buildpackage (0.4.17) unstable; urgency=low

  * make dsc import repeatable (Closes: #468120, #432082)
  * drop now (due to git-apply) unneeded code

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 29 Feb 2008 16:09:47 +0100

git-buildpackage (0.4.16) unstable; urgency=low

  [ Guido Guenther ]
  * speed up git-import-dsc by using git-apply (addresses parts of
    #449075)
  * update docs and gbp.conf with --filter and filter = [ ... ]

  [ Harald Braumann ]
  * allow multiple file filters for git-import-{orig,dsc} (Closes: #464653)

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 24 Feb 2008 14:56:47 +0100

git-buildpackage (0.4.15) unstable; urgency=low

  * add (for now experimental) pristine-tar support based on a patch from
    Julian Andres Klode (Closes: #463580)
  * document pristine-tar options
  * suggest pristine-tar
  * don't use the deprecated git-* command versions

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 21 Feb 2008 16:25:33 +0100

git-buildpackage (0.4.14) unstable; urgency=low

  * correct several typos in the manual (Closes: #464582, #464583,
    #464617)
  * better dpkg-parsechangelog error reporting (Closes: #460195)
  * document default tag formats (Closes: #464100)
  * git-import-orig: detect flat tar archives (Closes: #463822)
  * git-import-orig: add --no-dch options

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 08 Feb 2008 17:38:29 +0100

git-buildpackage (0.4.13) unstable; urgency=low

  * git-import-orig: don't fail when importing into empty git archives

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 28 Dec 2007 23:01:29 +0100

git-buildpackage (0.4.12) unstable; urgency=low

  * remove unused debian/dirs
  * bump standards version
  * add a homepage field
  * add doc-base file (Closes: #457495)
  * git-import-orig: fix doc url (Closes: #456535)
  * use export-dir instead of build-area in gbp.conf because git-
    buildpackage has no --git-build-area option - thanks to Frank S. Thomas
    for the patch.

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 23 Dec 2007 20:35:45 +0100

git-buildpackage (0.4.11) unstable; urgency=low

  * --export-dir and --export are actually --git-export-dir and --git-
    export (Closes: #456384) - thanks to Frank S. Thomas for the patch.
  * don't start a new changelog section if we found a snapshot header
    even when distribution != UNRELEASED

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 15 Dec 2007 17:16:34 +0100

git-buildpackage (0.4.10) unstable; urgency=low

  * git-ls-files: separate filenames by '\0', based on a patch from Uwe
    Kleine-König <Uwe.Kleine-Koenig@digi.com> (Closes: #454470)
  * git-import-dsc: return non null on failure 

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 07 Dec 2007 23:19:39 +0100

git-buildpackage (0.4.9) unstable; urgency=low

  * fix "gpb gets confused by color enabled on branches..." - thanks to
    Niv Sardi for the patch (Closes: #452921)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 26 Nov 2007 17:22:48 +0100

git-buildpackage (0.4.8) unstable; urgency=low

  * git-buildpacakge: make sure we don't switch directories during build
    (Closes: #451550)
  * debian/control: use the now official Vcs-Git 

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 19 Nov 2007 18:50:08 +0100

git-buildpackage (0.4.7) unstable; urgency=low

  * add tarball-dir option losely based on patch from Sjoerd Simons
    (Closes: #448357)
  * don't print a commit summary when importing into empty repos
    (addresses parts of #449075)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 05 Nov 2007 20:09:15 +0100

git-buildpackage (0.4.6) unstable; urgency=low

  * fix url (Closes: #448350)
  * call gzip with "-n" (Closes: #449094) - thanks to Romain Francoise
  * add .gitignore 

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 04 Nov 2007 16:20:36 +0100

git-buildpackage (0.4.5) unstable; urgency=low

  * git-import-orig: fix missing s/upstream/upstream_branch/ rename
    (Closes: #447920) - Thanks to Arnaud Cornet

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 24 Oct 2007 22:56:24 +0200

git-buildpackage (0.4.4) unstable; urgency=low

  * git-buildpackage: use upstream-branch in case the tag doesn't exist

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 22 Oct 2007 17:00:12 +0200

git-buildpackage (0.4.3) experimental; urgency=low

  * git-dch: properly quote "" (Closes: #447211)
  * git-dch: use Command() instead of implementing it again
  * documentation updates
  * don't split up the manual that much (local.dsl taken from
    darcs-buildpackage)
  * add version number to docs and a tools (--version)
  * pylint and other consistency updates

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 19 Oct 2007 10:12:40 +0200

git-buildpackage (0.4.2) experimental; urgency=low

  * git-dch:
       * make --git-log a config file option
       * git-dch: fix help message for --debian-branch
       * doc: snapshot-number can be used in gbp.conf too
  * git-buildpackage:
       * add --git-export-dir=dir/, --git-export=treeish (Closes: #446042)
       * allow to use any treeish object for --git-upstream-branch
  * add missing examples to gbp.conf
  * parse .gbp.conf in the repository directory (Closes: #426009)
  * minor doc updates and clarifications

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 17 Oct 2007 00:00:13 +0200

git-buildpackage (0.4.1) unstable; urgency=low

  * make sure the changelog section's trailer points to the person
    invoking git-dch
  * depend on devscripts with a working 'dch ""'
  * git-dch: eval() the snapshot number calculation

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 10 Oct 2007 18:15:54 +0200

git-buildpackage (0.4.0) experimental; urgency=low

  * add support for automatic snapshot releases as suggested by Ottavio
    Salvador
  * make git-dch actually useful:
      * --auto: guess last changelogged commit from the snapshot header
      * add short options for --snapshot and --release
      * don't fail if the commit msg starts with '--'
      * add a check for the debian branch instead of always using it as the
        tip
      * handle versions containing epochs
      * add --git-log to pass options along to git-log
      * allow to specify paths to look at: git-dch path1 path2 - useful if
        upstream uses git
  * add some basic documentation for git-dch

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 07 Oct 2007 15:32:40 +0200

git-buildpackage (0.3.6) unstable; urgency=low

  * create upstream branch when importing into an empty archive 
    (Closes: #443305)
  * detect upstream version from common tarball formats 
    (Closes: #443306)

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 03 Oct 2007 18:01:15 +0200

git-buildpackage (0.3.5) unstable; urgency=low

  * add a minimalistic git-dch that creates changelog entries from git commit
    messages
  * s/reopsitory/repository/ - thanks to Loïc Minier (Closes: #444702)
  * update TODO
  * short paragraph on hacking on arbitrary debian packages

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 03 Oct 2007 14:10:05 +0200

git-buildpackage (0.3.4) unstable; urgency=low

  * introduce --git-no-create-orig to skip building of any orig.tar.gz - this
    is especially usefull if you're working on an NMU that has a X-0.Y version
    number although it's a Debian native package
  * fix the error path in case the tgz can't be unpacked
  * git-pbuilder: add filter for git meta data and allow to pass options to
    pbuilder vi $PBUILDER_OPTS (Closes: #439535)

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 08 Sep 2007 20:40:36 +0200

git-buildpackage (0.3.3) unstable; urgency=low

  * git-buildpackage: don't hardcode -i\.git -I.git as build arguments
    (Closes: #438669)
  * git-import-dsc: support --debian-branch (Closes: #432084)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 20 Aug 2007 19:22:24 +0200

git-buildpackage (0.3.2) unstable; urgency=low

  * git-import-orig: allow to import into an empy git repository
  * docs: we don't use git_load_dirs internally anymore 
  * docs: howto start a package from scratch

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Jun 2007 04:06:33 +0300

git-buildpackage (0.3.1) unstable; urgency=low

  * don't fail imports on large archives 
  * print a sensible error message, when a git repository isn't a debian
    source package

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 11 Jun 2007 18:06:15 +0200

git-buildpackage (0.3.0) unstable; urgency=low

  * don't use git_load_dirs for imports, this addresses:
      * upstream directory removal (#423363)
      * empty dirs and files not under version control (#409606)
      * filtering out of files (Closes: #425986)
      * importing of an empty .diff.gz (like libx86 0.99-1.2)
  * doc: remove stray ';' from special.sgml. Thanks to Loïc Minier
  * doc: gbp.conf is per working copy, not per repository

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 28 May 2007 03:19:32 +0200

git-buildpackage (0.2.31) unstable; urgency=low

  * git-import-orig: rename --upstreamversion to --upstream-version, to match
    the documentation and the other --upstream-* options
  * add several missing options to manpages and documentation

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 24 May 2007 09:38:35 +0200

git-buildpackage (0.2.30) unstable; urgency=low

  * fix changelog upstream version parsing (Closes: #425615)
  * git-import-orig: allow to import from an unpacked source tree

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 24 May 2007 06:19:06 +0200

git-buildpackage (0.2.29) unstable; urgency=low

  * git-import-orig: more specific error message, when the merge merge fails
    (Closes: #424036)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 15 May 2007 23:55:07 +0200

git-buildpackage (0.2.28) unstable; urgency=low

  * git-import-orig: support import of tar.bz2 (Closes: #423254)
  * type fixes by Aurélien GÉRÔME. Thanks! (Closes: #422171)

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 13 May 2007 14:13:00 +0200

git-buildpackage (0.2.27) unstable; urgency=low

  * git_load_dirs now supports --summary, use this for nicer import messages
  * bump versioned dependency on git-load-dirs therefore
  * improve tagging messages

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 12 Apr 2007 18:25:40 +0200

git-buildpackage (0.2.26) unstable; urgency=low

  * use GbpError everywhere
  * move commands into a submodule
  * git-import-orig: pass --verbose on to git_load_dirs
  * use default python version in setup.py
  * depend on a git that has the "removed files left in working copy after
    merge" bug (#410325)
  * adjust to new output of git-status in git 1.5

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 27 Feb 2007 19:11:06 +0100

git-buildpackage (0.2.25) unstable; urgency=low

  * posttag support for git-buildpackage: use --git-posttag to run a command
    after a successfull build and tag (e.g. --git-posttag='git-push --tags
    git.alioth.org')
  * repositories that weren't created by git-import-dsc and never had the
    upstream sources as a single commit (let alone an upstream branch) can be
    made git-import-orig compatible by using git's grafts - mention this in
    the manual. This (Closes: #403988) since with this every git repo can use
    git-import-orig (with some preparation).
  * Allow to specify the tag format. The format of generated tags can now be
    specified via the debian-tag and upsteam-tag options. The default now puts
    debian tags and upstream tags into different namespaces (Closes: #408990).
  * add example for pbuilder

 -- Guido Guenther <agx@sigxcpu.org>  Fri,  2 Feb 2007 16:26:52 +0100

git-buildpackage (0.2.24) unstable; urgency=low

  * add XS-Vcs-Git
  * fix error message in case the upstream branch doesn't exist

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 13 Jan 2007 22:05:23 +0100

git-buildpackage (0.2.23) unstable; urgency=low

  * depend on gtk-doc-tools, sgml2x and jade (Closes: #404673)
  * use docbook-utils insted of docbook-to-man
  * docbook updates

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 29 Dec 2006 18:18:50 +0100

git-buildpackage (0.2.22) unstable; urgency=low

  * git-buildpackage: check if upstream branch exists
  * git-import-dsc: improve error handling
  * add GitRepository class
  * make pylint a bit happier
  * update manpages

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 26 Dec 2006 00:27:44 +0100

git-buildpackage (0.2.21) unstable; urgency=low

  * While dpkg-buildpackage's -i argument takes a regexp -I doesn't - fix
    inclusion of git metadata in debian native packages

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 22 Dec 2006 17:59:49 +0100

git-buildpackage (0.2.20) unstable; urgency=low

  * git-import-orig: improve error message when the upstream branch cannot be
    found. We cannot create the branch automatically since on repositories
    not created by git-import-dsc it's not clear where to branch from.
    (Closes: #403990)
  * remove pointless patch arguments from most of the git helper functions
  * add some more documentation

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 22 Dec 2006 17:30:11 +0100

git-buildpackage (0.2.19) unstable; urgency=low

  * git-buildpackage: add an option (--git-cleaner) that allows to specify
    a different clean command (Closes: #403987)
  * depend on a git-core that has git-archive
  * s/keyid/GPG keyid/
  * minor fixes all over the place

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 21 Dec 2006 15:18:40 +0100

git-buildpackage (0.2.18) experimental; urgency=low

  * git-buildpackage: detect the branch we're on and bail out if it's not the
    debian branch 
  * doc updates

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 10 Dec 2006 14:57:35 +0100

git-buildpackage (0.2.17) experimental; urgency=low

  * fix wrong default debian branch
  * git-buildpackage: fix typo in git-ignore-new

 -- Guido Guenther <agx@sigxcpu.org>  Sat,  9 Dec 2006 13:22:33 +0100

git-buildpackage (0.2.16) experimental; urgency=low

  * git-buildpackage: properly pass builder args

 -- Guido Guenther <agx@sigxcpu.org>  Fri,  8 Dec 2006 17:13:32 +0100

git-buildpackage (0.2.15) experimental; urgency=low

  * git-buildpackage now supports signed tags via the "sign-tag" and "keyid"
    options. This allows us to have a nice "trustable" history. See:
         http://www.kernel.org/pub/software/scm/git/docs/
    on how this ensured.

 -- Guido Guenther <agx@sigxcpu.org>  Wed,  6 Dec 2006 22:04:41 +0100

git-buildpackage (0.2.14) experimental; urgency=low

  * config file parsing to set default branches and build commands

 -- Guido Guenther <agx@sigxcpu.org>  Tue,  5 Dec 2006 19:36:41 +0100

git-buildpackage (0.2.13) experimental; urgency=low

  * fix typos in 'git-buildpackage -v'

 -- Guido Guenther <agx@sigxcpu.org>  Sun,  3 Dec 2006 22:27:11 +0100

git-buildpackage (0.2.12) experimental; urgency=low

  * upload to experimental (Closes: #389710)
  * bump dependency on git-load-dirs again

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 30 Nov 2006 09:47:33 +0100

git-buildpackage (0.2.11) git-buildpackage; urgency=low

  * git-buildpackage: use pipes module instead of os.system
  * git-import-orig: fix printout of branch name 

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 28 Nov 2006 16:33:54 +0100

git-buildpackage (0.2.10) git-buildpackage; urgency=low

  * build an orig.tar.gz if nones there

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 19 Nov 2006 14:17:40 +0100

git-buildpackage (0.2.9) git-buildpackage; urgency=low

  * depend on a fixed git-load-dirs that contains the git_load_dirs executable
  * git-import-dsc: fix importing debian native packages 

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 14 Nov 2006 12:39:26 +0100

git-buildpackage (0.2.8) git-buildpackage; urgency=low

  * sanitze_version: strip of epochs
  * don't use a regexp for version parsing on import
  * minor cosmetic cleanups all over the place
  * README: no need to mention git-load-dirs anymore, it's in unstable now.
    Thanks John.
  * git-import-orig: implement "--no-merge"

 -- Guido Guenther <agx@sigxcpu.org>  Wed,  8 Nov 2006 10:36:55 +0100

git-buildpackage (0.2.7) git-buildpackage; urgency=low

  * more robust regex matching 
  * sanitize all version numbers before running git-tag

 -- Guido Guenther <agx@sigxcpu.org>  Fri,  6 Oct 2006 18:40:12 +0200

git-buildpackage (0.2.6) git-buildpackage; urgency=low

  * run pychecker during build
  * also filter out git metadata when building tarballs, not only when
    building diffs (affects Debian native packages)
  * git-import-dsc: allow for '+' in Debian as well as upstream version
    numbers
  * check if we're at the top level of a git repository before starting the
    build

 -- Guido Guenther <agx@sigxcpu.org>  Thu,  5 Oct 2006 19:46:23 +0200

git-buildpackage (0.2.5) git-buildpackage; urgency=low

  * fix syntax error in tag replacement
  * minor manpage reformating 
  * cleanup generated manpage.* files

 -- Guido Guenther <agx@sigxcpu.org>  Thu,  5 Oct 2006 11:21:01 +0200

git-buildpackage (0.2.4) git-buildpackage; urgency=low

  * add manpages 

 -- Guido Guenther <agx@sigxcpu.org>  Wed,  4 Oct 2006 19:39:13 +0200

git-buildpackage (0.2.3) git-buildpackage; urgency=low

  * git doesn't like '~' in tag names so replace this with a dot when tagging 

 -- Guido Guenther <agx@sigxcpu.org>  Mon,  2 Oct 2006 18:30:20 +0200

git-buildpackage (0.2.2) git-buildpackage; urgency=low

  * git-import-dsc: don't fail if the dsc is a plain filename without a
    directory component
  * git-buildpackage: add --git-verbose option
  * git-import-{orig,dsc}: allow to set the name of the upstream branch 

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 29 Sep 2006 19:08:08 +0200

git-buildpackage (0.2.1) git-buildpackage; urgency=low

  * git-import-orig: don't try import new upstream versions when there
    are uncommitted changes
  * git-buildpackage: use helpers from git_buildpackage 

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Sep 2006 12:15:47 +0200

git-buildpackage (0.2) git-buildpackage; urgency=low

  * git-import-dsc: import of debian native packages

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Sep 2006 00:40:46 +0200

git-buildpackage (0.01) unstable; urgency=low

  * Initial release

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 12 Sep 2006 14:55:57 +0200
